Welcome

Topic 1 Next topic: Contents

Welcome to WUFI 2D

WUFI is a Windows-based program for the hygrothermal (i.e., heat and moisture) analysis of building envelope constructions. WUFI is an easy-to-use, menu-driven program for use on a personal computer which can provide customized solutions to moisture engineering and damage assessment problems for various building envelope systems.

The WUFI simulation model is a transient heat and mass transfer model which can be used to assess the heat and moisture distributions for a wide range of building material classes and climatic conditions.

With WUFI you can estimate the drying times of masonry and lightweight structures with trapped or concealed construction moisture, investigate the danger of interstitial condensation or study the influence of driving rain on exterior building components. The program can also help to select repair and retrofit strategies with respect to the hygrothermal response of particular roof or wall assemblies subjected to various climates. This allows the comparison and ranking of different designs with respect to total hygrothermal performance.

In addition, WUFI provides an instructive overview of the complex moisture transport phenomena occurring in construction assemblies, making the basic principles and interactions present during moisture transport more accessible and allowing both designers and architects insight into design decisions.

This design tool can also aid the development and optimization of innovative building materials and components. One example is that WUFI simulations led to the development of the smart vapor retarder; a successful application of a software tool to a practical moisture control problem.

Topic 1 Next topic: Contents


Contents

The following help topics give you a general overview of WUFI 2D:

What is WUFI?
What Do I Get From WUFI?
How Do I Use WUFI?

These help topics provide in-depth discussion of selected items:

Material Data
Surface Transfer
Climate Data

Here is an overview of WUFI's dialog structure:

Overview of WUFI's Dialog Structure

This list of Questions & Answers may help you to better understand the program and its application:

Questions and Answers

And this glossary defines some of the terms used in the program:

Glossary

On-line help for WUFI-2D, version 3.2.0
91 help topics
April 2007 , Th. Schmidt

© FhG - IBP 2007
Previous topic: Welcome Topic 2 Next topic: What is WUFI?


What is WUFI?

WUFI is the acronym for "Wärme- und Feuchtetransport instationär" ("Transient Heat and Moisture Transport").

WUFI is designed to calculate the simultaneous heat and moisture transport in one- or two-dimensional building components.

A comfortable Windows® user interface allows quick set-up of a calculation project, easy change of parameters for numerical experiments and comfortable viewing of the results as graphics or as an animation.

The physical and numerical ideas underlying WUFI are developed and discussed in the doctoral thesis:

Künzel, H.M.:
Verfahren zur ein- und zweidimensionalen Berechnung des gekoppelten Wärme- und Feuchtetransports in Bauteilen mit einfachen Kennwerten.
Dissertation Universität Stuttgart 1994

(may be ordered from IBP: http://www.hoki.ibp.fhg.de/index.html )
or

Künzel, H.M.:
Simultaneous Heat and Moisture Transport in Building Components.
One- and two-dimensional calculation using simple parameters.
IRB Verlag 1995

(may be ordered from IRB Verlag, Stuttgart: http://www.irb.fhg.de ).

In the calculation of heat transport, WUFI takes into account:

  • thermal conduction
  • enthalpy flows through moisture movement with phase change
  • short-wave solar radiation
  • nighttime long-wave radiation cooling (optional, and with TRY or DAT weather data only).

Convective heat transport by air flows has been disregarded, since it is usually difficult to quantify. As it is rarely one-dimensional, including it in WUFI-1D would not be very useful. A future WUFI-2D version may include it.

The vapor transport mechanisms included in WUFI are:

  • vapor diffusion
  • solution diffusion

Again, convective vapor transport by air flows has been ignored.

The liquid transport mechanisms taken into account are:

  • capillary conduction
  • surface diffusion.

Seepage flow through gravitation, hydraulic flow through pressure differentials, as well as electrokinetic and osmotic effects have not been included.

The choice of temperature and relative humidity as driving potentials allows the use of simple, easily comprehensible storage and transport coefficients. These can thus readily be derived from standard material data if no measured data are available and utmost precision of the results is not required.

The boundary conditions for each time step are expressed in terms of meteorological data (temperature, relative humidity, driving rain, radiation), since in building physics these are the relevant parameters specifying the conditions at surfaces exposed to natural weather.
However, conditions for laboratory experiments (e.g. imbibition measurements) can also be expressed as 'meteorological' data.

Previous topic: Contents Topic 3 Next topic: What do i get from WUFI?


What Do I Get From WUFI?

Once you have furnished WUFI with the data it needs, it can calculate the temporal evolution of the two-dimensional temperature and moisture fields in the building component.

During and after the calculation, a separate visualiser program (WUFI-2D Motion) allows you to view two-dimensional plots of the resulting temperature, relative humidity, water content, vapor pressure, heat flux, capillary flux and diffusion flux for specific points in time or as an animation.
Start the 2D visualizer by choosing "Output | View the Results".

Another visualiser program allows you to select regions of interest in the component and to analyse the temporal behavior of the mean temperatures, humidities etc. in this region.
Start the 1D visualizer by choosing "Output | View the Results (1D)".

Previous topic: What is WUFI? Topic 4 Next topic: How Do I Use WUFI?


How Do I Use WUFI?

The following will guide you through the process of setting up and performing a calculation with WUFI, giving you a general impression of what you can do and how you can do it.

Collecting the Necessary Data
Defining the Component and the Numerical Grid
Setting Numerical Parameters
Summary: Preparing a Calculation
Performing the Calculation
Viewing the Results
Previous topic: What Do I Get From WUFI? Topic 5 Next topic: Collecting the Necessary Data


Collecting the Necessary Data

Of course, WUFI needs some data to perform the calculations. However, the equations built into WUFI have been formulated in terms of quantities that are well known or readily available, or can easily be measured or estimated.

This is what WUFI needs:

  • Material data

    These quantities define the hygrothermal behaviour of the materials:

    Basic Data:

    • bulk density [kg/m³]
    • porosity [m³/m³],
    • specific heat capacity of dry material [J/kgK]
    • thermal conductivity of dry material [W/mK]
    • water vapor diffusion resistance factor of dry material [-]

    Hygric Extensions:

    • moisture storage function [kg/m³]
      as a table or approximated by sorption moisture at 80% RH (w80) and free saturation (wf),
    • liquid transport coefficient for suction [m²/s]
      as a table or generated from the water absorption coefficient (A-value),
    • liquid transport coefficient for redistribution [m²/s]
      as a table or generated from the water absorption coefficient (A-value),
    • moisture-dependent thermal conductivity [W/mK]
      as a table or generated from the moisture-induced thermal conductivity supplement,
    • moisture-dependent vapor diffusion resistance factor [-]
      as a table.

    These material data are further discussed in the topic "Material Data".

    The definition of the water vapor diffusion resistance factor (a.k.a. µ-value) and related quantities is discussed in the topic "Water Vapor Diffusion".

    For mathematical reasons, the basic data are required as a minimum for each calculation; otherwise, the transport equations are not fully defined.
    The hygric extensions are refinements of the simulation model that are not mathematically required, but they may well be necessary to fully and appropriately describe the hygrothermal situation.

  • Climate data

    These quantities define the boundary conditions at the surfaces of the building component:

    • rain load on the surface [Ltr/m²h],
      as dependent on the inclination and orientation of the building component,
    • short-wave (solar) radiation flux density [W/m²],
      as dependent on the inclination and orientation of the building component,
    • air temperature [°C],
    • relative humidity (0..1),
    • mean barometric pressure [hPa] over the calculation period,
    • atmospheric counterradiation [W/m²], if radiation cooling is to be accounted for during the night.

    For each time step, WUFI reads these data from a climate file. Since the rain load and the radiation flux are directional quantities, they must be evaluated in dependence of the orientation and inclination of the building element. This evaluation can be done with a preprocessor or by WUFI itself during the calculation.

    In the former case, the preprocessed data are written to a file of *.KLI type, in the latter case WUFI expects climate data in *.WET or *.TRY or *.DAT or *.IWC or *.WBC or *.WAC format.
    You can create files with your own data in any of these formats in order to use them with WUFI.

    Climate data and the climate file formats are further discussed in the topic "Climate Data".

  • Surface transfer coefficients

    These quantities specify the coupling between the climate data and the conditions in the building component:

    • heat transfer coefficient [W/m²K]
    • vapor diffusion thickness, a.k.a. sd-value [m]
      allows to account for the diffusion-retarding effect of paint coats, wallpapers, vapor retarders etc., if present, without the need to explicitly include these layers in the component assembly,
    • short-wave (solar) radiation absorptivity [-],
    • long-wave (thermal) radiation emissivity [-]
      (can or must often be neglected, since data on sky and ground counterradiation are rarely available),
    • rain water absorption factor [-]
      describes the reduction of rain water volume available for suction on non-horizontal surfaces, since some water splashes off on impact.

    The water vapor transfer coefficients are automatically calculated from the heat transfer coefficients and need not be specified separately.

    The coefficients listed here are further discussed in the topic "Surface Transfer".

    The definition of the vapor diffusion thickness and related quantities is discussed in the topic Water Vapor Diffusion.

  • Initial conditions

    The temperature and mosture fields of the building component must be initialized with starting values for the temperature and the relative humidity. Currently, WUFI-2D only allows constant values for both across each element of the component.

    The initial conditions are further discussed in the help topic for the dialog "Initial Conditions".

Previous topic: How Do I Use WUFI? Topic 6 Next topic: Defining the Component and the Numerical Grid


Defining the Component and Numerical Grid

Previous topic: Collecting the Necessary Data Topic 7 Next topic: Setting Numerical Parameters

Defining the Component and the Numerical Grid

In a first step you define the geometry of the component by assembling it from rectangular elements, then you subdivide it into small numerical grid elements.

The definition of the geometry is done interactively in a graphical diagram of the component.

The transport equations cannot be solved analytically. To allow a numerical treatment, the building component must be divided into discrete grid elements. WUFI can automatically generate a general-purpose grid which will suffice for most cases (you can select one of three degrees of fineness for the grid).

In special cases (e.g. severe interstitial condensation in a narrow region) you may need to adapt the grid manually. You can easily set up and manually edit the grid by using WUFI's grid editor. All grid data are entered into a table where each line represents a layer of the component in x- or y-direction. Each layer is subdivided into two sublayers with expanding and contracting grid elements. You may define expanding or contracting grids in order to tailor the local fineness of the grid to the demands of the simulation model:

For the discretisation of the transport equations, the values of the calculated quantities are assumed to be constant across each grid element. Therefore, the size of each element should be chosen so as to make this assumption approximately valid, depeding on the local conditions. In general, this requires the use of small elements in regions where steep moisture or temperature gradients are to be expected, and allows the use of larger elements in more placid regions to cut down on calculation effort.

In general, steep gradients are to be expected close to the boundaries of a layer, i.e., close to the surfaces of the component because of the influence of climate conditions, and close to internal layer interfaces because of condensation. Less variation will occur in the middle of each layer.
The two sublayers of each layer may have different expansion factors (>1, <1) for the grid and thus allow you to achieve a smooth, not necessarily symmetrical, expansion and contraction of the grid elements which can be adapted to the requirements in each individual layer.

The choice of a suitable grid is further discussed in the topic Background, details of how to set up a manual grid are described in the help topic for the "Geometry" dialog.

Finally you specify the material data for each layer. The material data need not be entered by hand if the material in question is contained in WUFI's material database. Just select the material in the database and transfer all the data.

WUFI comes complete with a database which offers a selection of materials for instant use. (Please note, however, that due to large variations in the materials and often incomplete or inconsistent literature data, the data provided here should not be taken as divine revelations. They are just intended to give you a starting point.)
You can supplement the database with your own materials.

Previous topic: Collecting the Necessary Data Topic 7 Next topic: Setting Numerical Parameters


Setting Numerical Parameters

The numerical parameters control WUFI's behavior during the calculation.

Most important, you have to specify a starting date (e.g. October 1) of the calculation and the number of time steps to be performed. The time step size is usually 1 hour; if needed, you may specify other time steps. See the topic "Background" for a discussion on suitable choices of time step widths.

You may also select or de-select certain quantities for output. De-selecting quantities you are not interested in will reduce the size of the result file. The quantities available for output are temperature, relative humidity, water content, vapor pressure, heat flux, capillary flux and diffusion flux.

Previous topic: Defining the Component and the Numerical Grid Topic 8 Next topic: Summary: Preparing a Calculation


Summary: Preparing a Calculation

This is an overview of the steps that have to be taken before you can start a calculation:

  • You may enter some optional information about the project.

  • You must define the geometry of the component (i.e. how it is composed of rectangles) and you may fine-tune the numerical grid. You must enter the material data for the individual elements of the component. The material data may be entered by hand or taken from the material database.

  • You must specify the initial conditions, which describe the starting values of the temperature and moisture fields.

  • For each surface, you must specify the surface transfer coefficients for heat, vapor and liquid transport, the orientation and inclination and the climatic conditions.

    • You must specify the time interval for which the calculation shall be carried out: enter the starting date and the number of time steps.

  • You may edit the parameters for the numerical control.

  • You may check your input by viewing a report detailing the input data.

  • As a precaution, you should now save your input to a save directory.

  • Now you can start the calculation.

Previous topic: Setting Numerical Parameters Topic 9 Next topic: Performing the Calculation


Performing the Calculation

When you have entered (and saved) all the necessary data, you can start the calculation. Open the dialog "Processing" and click on Start. You may Suspend or Terminate the calculation at any time; the results accumulated so far remain accessible and can be analysed.

WUFI experts may edit the input file which transfers all the input data to WUFI's numerical processor.

Make the calculation a Low Priority task on your PC if you wish to continue working while the calculation is done in the background. The calculation will take longer, however.

During the calculation, WUFI wanders from the specified initial state through the evolution of the temperature and moisture fields, proceeding in discrete time steps, reading the changing boundary conditions from the climate file and writing the data of each step to a result file.

Previous topic: Summary: Preparing a Calculation Topic 10 Next topic: Viewing the Results


Viewing the Results

During and after the calculation, a separate visualiser program (WUFI-2D Motion) allows you to view two-dimensional plots of the resulting temperature, relative humidity, water content, vapor pressure, heat flux, capillary flux and diffusion flux for specific points in time or as an animation.
Start the 2D visualizer by choosing "Output | View the Results".

Another visualiser program allows you to select regions of interest in the component and to analyse the temporal behavior of the mean temperatures, humidities etc. in this region.
Start the 1D visualizer by choosing "Output | View the Results (1D)".

Previous topic: Performing the Calculation Topic 11 Next topic: Material Data


Material Data

The heat and moisture fluxes permeating the building component are not only determined by its present and past conditions and the boundary conditions, but also and foremost by the conductive and capacitive properties of the individual materials. A discussion of the data needed by WUFI may help you to better understand the physics involved in the calculations.

There are basic data which are indispensable for a calculation. Other data may be optional, depending on the material and on the purpose of the calculation:

  • Basic Material Data
  • Moisture Storage Function
  • Liquid Transport Coefficients
  • Heat Conductivity, Moisture-dependent
  • Diffusion Resistance Factor, Moisture-dependent

Some materials need special treatment:

  • Air Layers
  • Membranes

Previous topic: Viewing the Results Topic 12 Next topic: Basic Material Data


Basic Material Data

These material data constitute an indispensable minimum without which a calculation is not possible:

• Bulk density [kg/m³],
serves to convert the specific heat by mass to the specific heat by volume.

The bulk density r bulk is the ratio of the mass m of the sample and the total volume Vtot of the sample: r bulk = m / Vtot.
The true density r true, by contrast, is the ratio of the mass of the sample and the volume taken up by the material matrix only: r true = m / (Vtot - Vpores) = m / Vtrue.

The bulk density should be available for virtually every building material. If not, it can be measured very easily. Since it only affects the specific heat value entering into the calculation, and hygrothermal simulations usually don't depend very sensitively on this value, it need not be known with great precision.
• Porosity [m³/m³],
determines the maximum water content wmax (by multiplication by rwater = 1000 kg/m³).

Since most calculations are not sensitive to the exact value of the maximum water content (you'll rarely encounter water contents above free saturation), it is usually sufficient to estimate it if no value is available for the material in question.

The porosity can be estimated from the true density r true and the bulk density r bulk:
r bulk = m / Vtot = m / (Vtrue + Vpores) = r true / (1 + Vpores/Vtrue) = r true * Vtrue/Vtot = r true * (1 - Vpores/Vtot) = r true * (1 - porosity), therefore

porosity = 1 - r bulk / r true.

r true can in turn be estimated from other materials which have the same composition but different bulk density, if their bulk density and porosity are known. Example: a cellular concrete brick with r bulk = 600 kg/m³ and porosity = 0.72 has r true = 600 / (1 - 0.72) kg/m³ = 2140 kg/m³. The porosity of a cellular concrete brick with r bulk = 400 kg/m³ can then be estimated as porosity = 1 - 400 / 2140 = 0.81.

• Heat capacity [J/kgK],
the specific heat capacity by mass of the dry material.

Using the specific heat capacity by mass has the advantage that this value only depends on the chemical composition of the material, but not on its porosity. For example, cellular concrete bricks with bulk densities of 400 kg/m³ and 600 kg/m³ have the same specific heat capacity by mass.

To convert into heat capacity by volume (which enters into the transport equations), WUFI multiplies the mass-specific heat capacity by the bulk density.

Rough values are 850 J/kgK for mineral materials and 1500 J/kgK for organic materials. In most cases, these estimates will be sufficient since hygrothermal simulations usually don't depend very sensitively on this value.
WUFI automatically allows for the additional heat capacity of the water content, if any.

• Heat conductivity dry [W/mK],
the heat conductivity of the material in dry condition. A moisture-dependent heat conductivity is optional.

Please note that experimentally measured heat conductivities of vapor-permeable materials may include the effect of vapor transport with phase change (i.e. water evaporating at one side of the specimen and condensing at the other side, thus in effect transporting latent heat without a corresponding heat flow being conducted across the specimen). Since WUFI explicitly computes this thermal effect of vapor flow, it should not be included in the heat conductivity, if possible. However, it is usually difficult or impossible to separate this effect out of the measured data.

Furthermore, design values, such as the data given in German Standard DIN 4108, may already contain the contribution of a typical water content and, if so, are not strictly dry values.
If you want to perform the calculation with a constant (i.e. not moisture-dependent) heat conductivity (for example because you have no detailed data on the moisture-dependence), you may use these design values to allow for moisture content at least in a crude approximation. However, if you explicitly use a table of moisture-dependent heat conductivities, you should make sure that the value for moisture content = 0 is really the dry value.

On the other hand, hygrothermal simulations (in particular the resulting moisture contents and distributions) usually don't depend very sensitively on the precise values of the heat conductivities, so the difference may be generally negligible unless you are specifically interested in heat flows.

• Diffusion resistance factor dry [-]
the diffusion resistance factor (µ-value) of the material in dry condition. The µ-value states by how much the diffusion resistance of the material in question is higher than that of stagnant air. A moisture-dependent µ-value is optional.

The definition of the µ-value and its relation to permeability are discussed in the topic Water Vapor Diffusion.

Please note that even if you do not explicitly use a moisture-dependent µ-value, WUFI will treat it as moisture-dependent for moisture contents above free saturation wf. WUFI will reduce it in proportion to the moisture excess over wf, until it reaches µ=0 at wmax. This reflects - in a first approximation - the fact that at very high moisture contents even the larger capillaries become clogged with water and can't contribute to vapor transport any more.
Previous topic: Material Data Topic 13 Next topic: Moisture Storage Function


Moisture Storage Function

The moisture storage function

In a porous hygroscopic material, the surfaces of the pore system accumulate water molecules until a specific equilibrium moisture content corresponding to the humidity of the ambient air is reached. Due to the reduction of the saturation vapor pressure in the smaller capillaries, there is also some condensation which - at relative humidities above ca. 0.6 .. 0.8 - results in a marked increase of the equilibrium moisture.

A capillary-active material in contact with water will take up this water until it reaches its free saturation wf. This water content wf corresponds to the moisture storage function at a relative humidity of 1 (=100%). Because of air pockets trapped in the pore structure, however, the free saturation is less than the maximum water content wmax which is determined by the porosity. Moisture contents exceeding wf may e.g. result from condensation in a temperature gradient (especially in insulation materials; these are often not capillary-active and therefore have wf ~ 0).

The free saturation wf ranks among the standard material data and is known for most materials. The 'practical moisture content' w80 that corresponds to the equilibrium moisture at a RH of 0.8 is another standard quantity.

The dependence of the moisture storage function on the temperature is marginal and is ignored in WUFI.

Measurement of the moisture storage function

Because of limitations of the respective measuring procedures, the moisture storage function has to be composed from sorption isotherms (up to ~ 0.9 RH) and pressure plate measurements (above 0.95 RH) [1]. The hysteresis between adsorption and desorption isotherms is usually not very pronounced, so that it is sufficient to use the adsorption isotherm. Where necessary, a mean isotherm may be used. Due to the measuring technique, the pressure plate measurements are 'desorption' measurements.

The moisture storage function in WUFI

In WUFI, the moisture storage function is described by means of a table with relative humidities and the corresponding moisture contents. The table may contain an arbitrary number of entries between which WUFI interpolates linearly.

Example: Sander sandstone

j [-] | w[kg/m³]
0 | 0
0.1 | 4.4
0.3 | 10.2
0.65 | 15.2
0.8 | 19.0
0.91 | 30.0
0.95 | 45.9
0.99 | 61.7
0.995 | 75.0
1.0 | 130.0

The pressure plate measurements would even allow a still finer subdivision of the table in the high-moisture region, but then at j ~ 1 the curve would approach the ordinate so closely that its immensely steep slope might cause numerical problems. If the moisture transport across the interface between two capillary-active materials in capillary contact is to be calculated, however, the moisture storage function must be as detailed as possible in this region [2]. (If the capillary contact is non-ideal, an additional transfer resistance has to be taken into account [2]).

WUFI allows moisture contents in the supersaturated region, since these may well occur under condensation conditions. However, in this region there is no unique functional relation between relative humidity and moisture content. The relative humidity is always 1, and the moisture content varies between wf and wmax.
The moisture content thus doesn't depend on the relative humidity, it is determined by the boundary conditions: it increases under condensation conditions and decreases under evaporation conditions. In order to treat these moisture contents above wf, WUFI internally extends the table of each material by introducing an additional entry:

j[-] | w[kg/m³]
... | ...
1.01 | wmax

Relative humidities between 1 and 1.01 are only fictitious, of course, but they allow WUFI to assign a unique RH to each water content, as required by the moisture transport equations.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

Approximation of the moisture storage function

If the moisture storage function can be adequately described by the function

w = wf· | (b-1)·j b-j |
w | [kg/m³]: | moisture content corresponding to relative humidity j
wf | [kg/m³]: | moisture content at free saturation
j | [-]: | relative humidity
b | [-]: | approximation factor,

then it is sufficient to specify w80 and wf, in order to define the moisture storage function for WUFI (this is called 'approximation of the moisture storage function'). However, this condition is not met by all materials (e.g. some kinds of concrete).

WUFI's default moisture storage function

The moisture storage function of non-hygroscopic materials (essentially insulating materials, but air layers as well) is theoretically more or less zero in the region j = 0..1, whereas for j = 1 it takes on some indefinite value between zero and wmax, so that no well-defined functional relationship exists. Because of numerical requirements, however, WUFI assigns a (low) artificial moisture storage function to all materials for which the user did not define such a function.
So the results of a WUFI calculation will indicate some (low) moisture content even in materials for which you did not define a moisture storage function. These moisture contents are artificial and should be regarded with caution. Only when the moisture contents surpass the fictitious free saturation of ca. 0.05·wmax, they have resulted from condensation phenomena which are independent from the choice of the moisture storage function. In that case the excess of the moisture content over wf can with appropriate caution be regarded as a realistic measure of the amount of condensed moisture.

For discussion of some specific questions concerning the moisture storage function, see the Questions & Answers section.

Literature:

[1] | Krus, M.: Moisture Transport and Storage Coefficients of Porous Mineral Building Materials. Theoretical Principles and New Test Methods Fraunhofer IRB Verlag, 1996
[2] | Holm, A., Krus, M., Künzel, H.M.: Feuchtetransport über Materialgrenzen im Mauerwerk. Bauinstandsetzen 2 (1996), H. 5, 375 - 396.
Previous topic: Basic Material Data Topic 14 Next topic: Liquid Transport Coefficients


Liquid Transport Coefficients

The predominant moisture transport mechanism in capillary porous materials is the capillary liquid transport. Although it is basically a convective phenomenon, in the context of building physics it is sufficiently accurate to regard the liquid transport in the pore spaces as a diffusion phenomenon:

gw = -Dw(w) · grad w
gw | [kg/m²s]: | liquid transport flux density
w | [kg/m²]: | moisture content
Dw | [m²/s]: | liquid transport coefficient,

where the liquid transport coefficient Dw is generally strongly dependent on the moisture content. The main reason why the liquid transport can adequately be described by a diffusion formula is that it correctly reproduces the linear increase of the imbibed amount of liquid over the square root of time.

The liquid transport coefficient is not a pure material property, however - it depends on the material as well as the boundary conditions [1].

The liquid transport coefficient for suction Dws describes the capillary uptake of water when the imbibing surface is fully wetted. In the context of building physics this corresponds to rain on a facade or an imbibition experiment. The suction transport is dominated by the larger capillaries, since their lower capillary tension is more than compensated by their markedly lower flow resistance.

The liquid transport coefficient for redistribution Dww describes the spreading of the imbibed water when the wetting is finished, no new water is taken up any more and the water present in the material begins to redistribute. In a building component, this corresponds to the moisture migration in the absence of rain. The redistribution is dominated by the smaller capillaries since their higher capillary tension draws the water out of the larger capillaries.

Since the redistribution is a slower process (taking place in the small capillaries with their high flow resistance), the corresponding liquid transport coefficient is generally markedly less than the coefficient for suction.

WUFI therefore uses two distinct liquid transport coefficients for each capillary-active material which are used depending on the boundary conditions (rain / no rain). Each coefficient is entered in a separate table.

As a rough approximation, the liquid transport coefficients show a more or less exponential dependence on the moisture content. That is why WUFI uses a logarithmic interpolation between the table entries (i.e., linear in a semilogarithmic diagram).

The first entry in a table should be the pair (0 ; 0); the next entry then corresponds to the moisture content below which the liquid transport is negligible, i.e., the transport coefficients are zero. The logarithmic interpolation automatically results in interpolated values of zero for the coefficients below that threshold.

The last entry is also used for all higher moisture contents up to wmax. Although there is little capillary conduction above free saturation [2], there might be other transport mechanisms which could approximately be described by finite liquid transport coefficients (convection due to gravitation or pressure differentials etc.).
To allow for this kind of transport processes (if desired), WUFI accepts arbitrary liquid transport coefficients for this moisture region, too. In general, you will rarely encounter moisture contents in this region which is difficult to treat in calculation. By setting the last entry to zero, the capillary conduction in the moisture region above the last entry may be suppressed.

Example: Baumberger sandstone

w | Dws
[kg/m³] | [m²/s]
0 | 0
31 | 2.5E-10
52 | 3.9E-9
84 | 5.2E-9
126 | 1.0E-8
168 | 2.8E-8
189 | 5.0E-8
200 | 1.0E-7
210 | 3.0E-7

This table states, among other things, that

  • there is no capillary conduction at a moisture content below 31 kg/m³,
  • at a moisture content of 40 kg/m³, the liquid transport coefficient for suction is 8.1E-10 m²/s (interpolated), and
  • for all moisture contents above 210 kg/m³, a liquid transport coefficient of 3.0E-7 m²/s is being used.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

Unfortunately, measured liquid transport coefficients are available only for a relatively small number of materials. The ability to at least estimate them from standard material data is therefore desirable.

In many cases, the increase of Dws with increasing moisture content can be approximately described by an exponential function which, for most mineral building materials, spans about three powers of ten. Under these conditions, there is the following approximate relation between Dws and the A-value A:

Dws(w) = 3.8 · (A / wf)² · 1000(w / wf) - 1
Dws | [m²/s]: | liquid transport coefficient for suction
A | [kg/m²s1/2]: | water absorption coefficient
w | [kg/m³]: | moisture content
wf | [kg/m³]: | free water saturation

In this way, WUFI can automatically generate a table with estimated liquid transport coefficients for suction. Only the water absorption coefficient needs to be entered, and WUFI will use it, the moisture storage function and the above formula to generate a table with the following entries:

w | Dws
[kg/m³] | [m²/s]
0 | 0
w80 | Dws(w80)
wf | Dws(wf)

In the same way, WUFI can also generate an estimated table with liquid transport coefficients for redistribution. WUFI will create this:

w | Dww
[kg/m³] | [m²/s]
0 | 0
w80 | Dws(w80)
wf | Dws(wf)/10

Please note that this method is just a rough estimate that proves successful in many cases, but which is not necessarily useful for all materials. Especially, there may be inaccuracies in the shape of the suction profiles. A generated table is just meant to be some assistance; you should not blindly rely on it. Future WUFI versions are planned to offer more sophisticated methods.

Please note that the water absorption coefficient here has SI units [kg/m²s1/2], whereas the relevant German standard uses [kg/m²h1/2]. Divide the latter values (e.g. 2.6 kg/m²h1/2 for Baumberger sandstone) by 60 to get SI units (0.043 kg/m²s1/2).

Literature:

[1] | Krus, M.: Moisture Transport and Storage Coefficients of Porous Mineral Building Materials. Theoretical Principles and New Test Methods Fraunhofer IRB Verlag, 1996
[2] | Krus, M., Künzel H.M.: Flüssigtransport im Übersättigungsbereich. IBP-Mitteilung 22 (1995), Nr. 270.
Previous topic: Moisture Storage Function Topic 15 Next topic: Heat Conductivity, Moisture-dependent


Heat Conductivity, Moisture-dependent

The heat conductivity of the dry material is a basic material parameter and thus indispensable. If, in addition, the dependence of the heat conductivity on the moisture content must be taken into account, WUFI can optionally employ a table with the relevant data. WUFI interpolates linearly between table entries.

If a simple linear dependence of the heat conductivity on the moisture content is sufficient, a two-line table may be generated by entering the moisture-induced heat conductivity supplement. The linear interpolation in this table is then equivalent to evaluating the formula

l(w) = lo·(1 + b·w/r s)
l(w) | [W/mK]: | heat conductivity of moist material
l o | [W/mK]: | heat conductivity of dry material
r s | [kg/m³]: | bulk density of dry material
b | [%/m-%]: | moisture-induced heat conductivity supplement

The supplement b gives the fractional increase [in %] of the heat conductivity per mass-% moisture. Its value depends on the material; in hygroscopic materials, however, it is largely independent of their bulk density.

Examples:

Material | Bulk Density | l | b
 | [kg/m³] | [W/mK] | [%/M.-%]
cellular concrete | 400-800 | 0.09-0.19 | 4
lime silica brick | 1800 | 0.7 | 8
expanded clay concrete, pumice concrete | 1400-1800 | 0.5-1.0 | 4
light-weight concrete with EPS aggregate | 300-900 | 0.07-0.28 | 3
normal concrete | 2300 | 1.3-1.5 | 8
wood | 400-700 | 0.08-0.15 | 1.5

In organic insulation materials, there is in general no linear relationship between the heat conductivity and the moisture content.

In this context, 'heat conductivity of moist materials' means exclusively the influence of stationary water on heat transport. Water vapor diffusion with phase change (evaporation and condensation of water) also contributes to heat transport, but this is allowed for by separate terms in the transport equations. However, since in the standard measurement techniques this effect of water vapor diffusion is usually included, results of measurements in the plate apparatus for permeable materials (e.g. mineral wool) have to be regarded with caution.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

Please note that design values, such as the data given in German Standard DIN 4108, may already contain the contribution of a typical water content and, if so, are not strictly dry values.
If you want to perform the calculation with a constant (i.e. not moisture-dependent) heat conductivity (for example because you have no detailed data on the moisture-dependence), you may use these design values to allow for moisture content at least in a crude approximation. However, if you explicitly use a table of moisture-dependent heat conductivities, you should make sure that the value for moisture content = 0 is really the dry value.

On the other hand, hygrothermal simulations (in particular the resulting moisture contents and distributions) usually don't depend very sensitively on the precise values of the heat conductivities, so the difference may be generally negligible unless you are specifically interested in heat flows.

Previous topic: Liquid Transport Coefficients Topic 16 Next topic: Diffusion Resistance Factor, Moisture-dependent


Diffusion Resistance Factor, Moisture-dependent

The diffusion resistance factor (µ-value) of the dry material is a basic material parameter and thus indispensable. If, in addition, the dependence of the diffusion resistance factor on the moisture content must be taken into account, WUFI can optionally employ a table with the relevant data. WUFI interpolates linearly between table entries.

Please note, however, that in mineral building materials the (fictitious) decrease of the diffusion resistance factor with increasing moisture content is due to surface diffusion [1] and may therefore also be included in the capillary conduction. In this case, using a constant diffusion resistance factor and choosing appropriate liquid transport coefficients is more advisable.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

The definition of the diffusion resistance factor (µ-value) is discussed in the topic Water Vapor Diffusion.

Even if you do not explicitly use a moisture-dependent diffusion resistance factor, WUFI will treat it as moisture-dependent if the moisture content exceeds the free saturation wf. For details see the discussion of the "Diffusion Resistance Factor Dry".

Literature:

[1] Krus, M.: Moisture Transport and Storage Coefficients of Porous Mineral Building Materials. Theoretical Principles and New Test Methods
Fraunhofer IRB Verlag, 1996
Previous topic: Heat Conductivity, Moisture-dependent Topic 17 Next topic: Air Layers


Air Layers

WUFI can also include air layers in the building component. It does not simulate the air convection (a future WUFI-2D version may do), but it allows for the air layer as a resistance to heat and moisture flows. The following assumes that heat and moisture flows occur essentially perpendicular to the air layer.

In addition to heat conduction, in air layers heat can also be transferred by convection and radiation. In addition to water vapor diffusion, in air layers water vapor can also be transferred by convection. Since WUFI is primarily intended for solid materials, it only allows for heat conduction and water vapor diffusion (plus liquid transport, which is not relevant here). However, the additional transport phenomena can be included by adjusting the heat conductivity and the diffusion resistance so that the correct heat and vapor flows result from the calculation.

The method is based on the following considerations which are valid for non-ventilated air layers. (No general treatment is possible for ventilated air layers; they may even exhibit the same conditions as the exterior air. Building components outward from the air layer may then be disregarded except for their shielding of rain and radiation.)

The relative contributions of heat conduction, convection and radiation are dependent on the thickness and orientation of the air layer, the nature of the two surfaces and the temperature. Fortunately, the dependence on the temperature may be neglected in building physics. Furthermore, it suffices to distinguish between metallic and non-metallic surfaces. So if we restrict ourselves to, say, vertical air layers with non-metallic surfaces, we can simply determine (e.g. from measurements) a heat resistance Rnon-met which depends only on the air layer thickness and which comprises all transport phenomena.

Now, for WUFI the effective heat conductivity l* has to be chosen so that for an air layer with a given thickness the heat resistance as determined above results. Note: the thickness with wich the air layer is included in the assembly for calculation need not (but can) be identical with the real thickness, since the real thickness was already allowed for in the specific choice of Rnon-met.

The heat resistance of an air layer with the desired thickness, orientation (vertical, horizontal) and surfaces (metallic, non-metallic) may be looked up in a relevant table. Let's choose non-metallic surfaces here and call this value Rnon-met, since in building components non-metallic surfaces are predominant. We also choose an arbitrary thickness Dx*, which shall be the thickness of the air layer as inserted in WUFI's component assembly. Then

Rnon-met = Dx* / l* ,

therefore

l* = Dx* / Rnon-met.

Since water vapor diffusion and convective water vapor transport are based on analogous mechanisms as heat conductivity and convective heat transport, the coefficients describing vapor transport can be derived from the coefficients for heat transport, using similarity relations. For vapor flow, we have formally:

-gv = Dc / µ* · Dc / Dx* = Dc / S
gv | [kg/m²s]: | water vapor diffusion flux density
Dc | [m²/s]: | concentration-related diffusion coefficient
µ* | [-]: | effective water vapor diffusion resistance factor
c | [kg/m³]: | water vapor concentration
Dx* | [m]: | effective layer thickness
S | [m³/s²Pa]: | water vapor diffusion resistance,

therefore

µ* = Dc · S / Dx*

But we have

Dc = 0.083 · (T/273)1.81 ~0.09 [1],

and, because of similarity relations,

S ~ Rmet / 3.5 [2],

where we have to use the heat resistance Rmet of air layers between metallic surfaces (i.e., without radiation), since we want to estimate the vapor diffusion resistance and there is no transport mechanism analogous to radiation involved, in contrast to the above case of heat transport.

Finally, we have the freedom to choose an arbitrary thickness Dx* with which the layer is included in the component assembly for calculation, since the real thickness was already allowed for in the choice of the specific value for Rmet.

µ* = 0.09 · Rmet / (3.5 · Dx*) = 0.026 · Rmet / Dx*

For vertical air layers, Rnon-met and Rmet may be taken from this table (interpolated after [3]):

thickness | Rnon-met | Rmet
[cm] | [m²K/W] | [m²K/W]
0 | 0 | 0
1 | 0.140 | 0.280
2 | 0.160 | 0.430
3 | 0.171 | 0.526
4 | 0.178 | 0.590
5 | 0.180 | 0.620
6 | 0.178 | 0.627
7 | 0.176 | 0.623
8 | 0.174 | 0.613
9 | 0.172 | 0.598
10 | 0.170 | 0.580
11 | 0.168 | 0.557
12 | 0.166 | 0.530
13 | 0.164 | 0.501
14 | 0.162 | 0.468
15 | 0.160 | 0.430

The other basic material parameters may be determined according to the following:

  • if Dx* was chosen not equal to the real thickness, multiplication of the 'bulk density' 1.29 kg/m³ by (real thickness)/Dx* results in the correct heat capacity;
  • the 'porosity' should be chosen very high (e.g. 0.999 m³/m³);
  • the specific heat capacity by mass of the air layer is 1 kJ/kgK, even if Dx* is chosen not equal to the real thickness.

For the graphical display of the component assembly, it will be advisable to choose Dx* equal to the real thickness. Note however that if you want to repeat the calculation with an air layer of a different thickness, it is not sufficient to simply adapt the layer thickness in the component assembly. Instead, l* and µ* have to be newly determined from scratch.

Regarding the 'moisture storage function' of air layers, see the topic Moisture Storage Function and the Questions & Answers section. Note that the moisture contents of air layers as currently implemented are not realistic and should not be evaluated.

The definition of the diffusion resistance factor (µ-value) is discussed in the topic Water Vapor Diffusion.

Literature:

[1] | Schirmer, R.: Die Diffusionszahl von Wasserdampf-Luft-Gemischen und die Verdampfungsgeschwindigkeit, Beiheft VDI-Zeitschrift, Verfahrenstechnik (1938), H. 6, p. 170-177.
[2] | Illig, W.: Die Größe der Wasserdampfübergangszahl bei Diffusionsvorgängen in Wänden von Wohnungen, Stallungen und Kühlräumen, Gesundheitsingenieur 73 (1952), H. 7/8, p. 124-127.
[3] | Gösele, K., Schüle, W.: Schall·Wärme·Feuchte. Bauverlag 1989.
Previous topic: Diffusion Resistance Factor, Moisture-dependent Topic 18 Next topic: Membranes


Membranes

Membranes may serve different purposes in building elements, such as airflow control, waterproofing, surface protection etc. Since the current WUFI-2D version does not simulate air flows, only vapor retarders and vapor barriers are of interest.

Generally, the only effect of these membranes is their water vapor diffusion resistance. At most, a membrane at the exterior surface may make itself additionally felt by its radiation absorptivity (for example, 0.9 for bituminous felt) and its rain water absorption factor (0 for watertight membranes), which are treated separately in WUFI. The thermal resistance of a membrane is usually negligible.

If the membrane is on the exterior or interior surface, its diffusion resistance may simply be allowed for by choice of an adequate vapor diffusion thickness for the surface.

A membrane in the midst of a building component, however, has to be explicitly included in the component assembly.

Generally, a membrane will have a thickness of a few hundredths to a few tenths of a millimeter. Since every layer of the assembly should be composed of at least ca. five grid elements, the individual grid elements of the membrane will be very small. For numerical reasons, neighbouring grid elements should not differ too much in their thickness; in the material layers adjacent to the membrane, this would necessitate a succession of smaller and smaller elements towards the membrane in order to avoid a large mismatch. The resulting large number of grid elements would impose a heavy burden on the calculation without any other benefit than to smooth the grid.

It may therefore be preferable to use an 'effective' membrane which is thicker than the real membrane and whose material data have accordingly been adapted to result in the correct heat and vapor diffusion fluxes. The membranes in the database that comes with WUFI have their data adjusted so that these membranes must be used as 1 mm thick membranes in the component assembly.
The 'effective' membranes have the additional advantage that they are easier to identify in graphical representations of the component assembly.

The following assumes that the heat and moisture flows occur essentially perpendicular to the membrane. Note that in two-dimensional calculations the effective thickness should not be too large, because there may be heat or moisture flows along the membrane instead of only across it, and these are not computed correctly if the effective material parameters have been adapted with respect to a change of the effective membrane thickness. In general you can't use an arbitrary effective length of the membrane (e.g. a membrane wrapped around a rafter or one following a winding path through the assembly).

The conversion is simple: Often you'll neither know the thickness of the membrane nor the diffusion resistance factor of its material, but the vapor diffusion thickness of the membrane (i.e. the thickness of a stagnant air layer with the same diffusion resistance). That's all you need: divide the vapor diffusion thickness by 1 mm or another convenient thickness, use the result as the diffusion resistance factor and insert the membrane with the chosen thickness in the component assembly.

The other basic material parameters are treated as follows:

  • if you happen to know the bulk density of the membrane material and the thickness of the membrane, you may determine the effective density as r · (real thickness) / (effective thickness) in order to adjust the heat capacity. Otherwise, choose a value that is small enough to result in a plausible heat capacity if multiplied by the specific heat capacity. (The heat capacity of a thin membrane is negligible, but you should take care that the heat capacity of the thicker effective membrane is negligible, too.)
  • set the porosity to an arbitrary, preferably very small value (e.g. 0.001, since the usual membrane materials are not porous)
  • if you know the specific heat capacity of the membrane material, enter this value unchanged. Otherwise enter e.g. 1500 J/kgK for organic materials
  • if you know the heat conductivity of the membrane material and the thickness of the membrane, determine the effective heat conductivity as l · (effective thickness) / (real thickness). Otherwise, choose a value that is large enough to result in a negligible heat resistance for the membrane.

The definitions of the vapor diffusion resistance factor (µ-value) and the vapor diffusion thickness (sd-value) are discussed in the topic Water Vapor Diffusion.

Previous topic: Air Layers Topic 19 Next topic: Surface Transfer


Surface Transfer

Starting from specified initial conditions, WUFI computes the temporal evolution of the temperature and moisture distributions in the building component. This evolution is determined not only by the underlying transport equations which govern the processes in the component, but also by the heat and moisture exchange with its surroundings. Thus there are heat and moisture flows through the surfaces, the direction and magnitude of which depend on the conditions in the component as well as on the conditions in the surroundings.

The surface transfer coefficients indicate to which extent the conditions in the surroundings affect the building component, especially the heat and moisture flows through its surfaces.

The following help topics offer a discussion of the surface transfer coefficients used by WUFI:

Heat Transfer Coefficients
Water Vapor Transfer Coefficients
Water Vapor Diffusion
Surface Coatings
Short-wave Radiation Absorptivity
Long-wave Radiation Emissivity
Rain Water Absorption Factor

Previous topic: Membranes Topic 20 Next topic: Heat Transfer Coefficients


Heat Transfer Coefficients

If a wall surface is warmer than its surroundings, it will give off heat. This heat transport is effected by several transport mechanisms: heat conduction through the air adjacent to the surface, convective transport by air flows, and emission of long-wave radiation. Detailed modelling of all these phenomena is extremely complicated, but fortunately it is not necessary in the context of building physics. For the temperature and flow situations encountered here, a simple proportionality with a constant coefficient is usually adequate:

q = a (Ju - Jo)
q | [W/m²]: | heat flux density
a | [W/m²K]: | heat transfer coefficient
Ju | [°C]: | ambient temperature
Jo | [°C]: | surface temperature

The heat transfer coefficient consists of two parts:

a = a c + a r
a c | [W/m²K]: | convective heat transfer coefficient
a r | [W/m²K]: | radiative heat transfer coefficient
convective heat transfer coefficient

The air adjacent to the component surface drains heat from the component by conductive and convective heat transport. Although these are two distinct transport phenomena, they are lumped together in the term 'convective heat transfer'.

Right next to the wall, the air takes on the temperature of the wall surface. At some distance from the surface, the convective mixing of the air maintains a nearly constant temperature distribution which is determined by the indoor or outdoor climate. It's usually the latter temperature that is measured as the 'air temperature'.

However, the heat transfer from the wall surface to the adjacent air is not determined by the difference between the surface temperature and the 'air temperature' but by the smaller difference between the surface temperature and the temperature of the boundary layer of air next to the wall. The heat flow is thus less than might be expected from the air temperature. This reduction of the heat flow is formally allowed for by introduction of a 'resistance'. The reciprocal of this resistance is the convective heat transfer coefficient in the above heat transport equation.

The numerical value of the convective heat transfer coefficient is in a complicated way dependent on the temperature, the magnitude and direction of a possible air flow, the nature of the wall surface etc. Only rough values can be given for general cases. With free convection (by warming or cooling of the air) the convective heat transfer coefficient is in the range from 3 to 10 W/m²K, with forced convection (by wind), in the range from 10 to 100 W/m²K.

radiative heat transfer coefficient

A wall surface always exchanges long-wave thermal radiation with other surfaces in its surroundings. The corresponding heat flow depends on the temperatures (to the fourth power), the materials, the nature of the surfaces, the size and the geometrical arrangement of the involved surfaces.

Since in most cases the temperatures of the other surfaces are not known, they are for the purpose of calculations in building physics usually assumed to be identical to the known air temperature. Furthermore, three of the four powers of the temperature are lumped together with the radiative heat transfer coefficient (which thus becomes temperature-dependent), and the result is a simple linear relationship analogous to the convective heat transfer.

The dependence on the material of the wall and the nature of the surface is negligible as long as the materials are non-metallic, which is usually the case in the context of building physics.

For two close, extended, parallel, plane, non-metallic surfaces (such as indoor wall surfaces) the radiative heat transfer coefficient lies between ca. 3 and 6 W/m²K. For exterior surfaces it is slightly higher since the sky emits less thermal radiation than a solid body of the same temperature and the net thermal radiation loss of an exterior surface is therefore higher than that of an interior surface, even if the temperature conditions are the same.

Please note that the radiative heat transfer coefficient only applies to radiation exchange between surfaces which are more or less at ambient temperature (+/- several tens of degrees). Solar radiation (with a source temperature of 6000 K and a marked diurnal variation) is treated separately (see short-wave radiation absorptivity).

Standard values we commonly use for heat transfer coefficients are 17 W/m²K for exterior surfaces and 8 W/m²K for interior surfaces.
The exterior value assumes a typical exposure situation for the component and is valid for a wind speed of 3.6 km/s, the average value for Germany. It does not apply to greatly exposed building components or building surfaces at great height, where correspondingly higher heat transfer coefficients must be used.
The interior value in the region of corners or edges is generally higher than the suggested average value. Should there be a stratification of temperature in a room, moisture transport calculations must not allow for this by a transfer coefficient based on the mean temperature, since this results in an erroneous assessment of the moisture conditions at the interior surfaces. If a vertical room temperature profile is to be taken into account, this can only be done by specifying the boundary conditions as a function of height.

Regarding the problem of nighttime radiation cooling, see the topic long-wave radiation emissivity.

The heat transfer coefficients are entered in the dialog "Edit Surface Coefficients".

Literature:

[1] | Schaube, H. und Werner, H.: Wärmeübergangskoeffizient unter natürlichen Klimabedingungen. IBP-Mitteilung 13 (1986), Nr. 109.
[2] | Erhorn, H. und Szerman, M.: Überprüfung der Wärme- und Feuchteübergangskoeffizienten in Außenwandecken von Wohnbauten. Gesundheitsingenieur 113 (1992), H. 4, S. 177-186.
Previous topic: Surface transfer Topic 21 Next topic: Water Vapor Transfer Coefficients


Water Vapor Transfer Coefficients

The water vapor transfer across the surface may be described in analogy to the heat transfer:

gv = b p (pu - po)
gv | [kg/m²s]: | water vapor flux density
b p | [kg/m²sPa]: | water vapor transfer coefficient
pu | [Pa]: | ambient water vapor partial pressure
po | [Pa]: | water vapor partial pressure at the surface

The reason for a resistance affecting water vapor transfer is the same as with heat transfer, namely the effect of a boundary air layer close to the wall surface.

Since the ambient conditions affect both boundary layers in analogous ways, there are similarity relations between water vapor transfer and heat transfer, so that b p may be obtained from the following equation (with the numerical value valid only for the SI units quoted above)[1]:

b p = 7·10-9 a c
a c [W/m²K]: convective heat transfer coefficient

This requires to estimate the convective component a c of the heat transfer coefficient a. WUFI uses the following estimate (in FORTRAN notation):

ALFAWC = ALFAW - 6.5 | ! EXTERIOR
ALFAEC = ALFAE - 4.5 | ! INTERIOR
ALFMIN = 3.5 |
BETAW = 7.E-9 * DMAX1(ALFMIN, ALFAWC) | ! EXTERIOR
BETAE = 7.E-9 * DMAX1(ALFMIN, ALFAEC) | ! INTERIOR

The suffix W refers to the exterior surface; E, to the interior surface; and C, to the convective component.

For example, the water vapor transfer coefficients 8.0E-8 (exterior) and 2.2E-8 kg/m²sPa (interior) result from the standard heat transfer coefficients 17 and 8 W/m²K, respectively.

Literature:

[1] Illig, W.: Die Größe der Wasserdampfübergangszahl bei Diffusionsvorgängen in Wänden von Wohnungen, Stallungen und Kühlräumen, Gesundheitsingenieur 73 (1952), H. 7/8, p. 124-127.
Previous topic: Heat Transfer Coefficients Topic 22 Next topic: Water Vapor Diffusion


Water Vapor Diffusion

This help topic discusses several physical quantities used to describe water vapor diffusion, since these quantities and their interrelationships may not be familiar to all WUFI users.

Water vapor diffusion resistance factor, µ-value

Diffusion of water vapor in air can be described by the equation

gv = -d * dp/dx (in air),
gv | [kg/m²s]: | water vapor flux density
p | [Pa]: | water vapor partial pressure
d | [kg/(msPa)]: | water vapor diffusion coefficient in air,
where
d = 2.0·10-7 T0.81 / PL [1]
T | [K]: | absolute ambient temperature
PL | [Pa]: | ambient atmospheric pressure.

In porous building materials, diffusion likewise takes place in air (in the pore spaces), but it is impeded by the reduction of the accessible cross-section, adsorption effects at the pore walls and the tortuosity of the pore paths. In the context of building physics, it is admissible to allow for this by simply introducing a diffusion resistance factor µ:

gv = -(d/µ) * dp/dx (in porous material),
µ [-]: water vapor diffusion resistance factor.

Retaining d as a separate coefficient in the above equation has the advantage that it already describes the temperature and pressure dependence of water vapor diffusion and µ is therefore practically independent of temperature and pressure, i.e. it is a constant which only depends on the material in question.

However, measurements of µ which are performed at different levels of relative humidity (dry-cup and wet-cup) may result in different values for one and the same material. This is due to surface diffusion which becomes noticeable at higher humidities but would be more properly treated as liquid transport [2]. This additional moisture transport is usually not separated out in the analysis of the measurements and, lumped together with vapor diffusion, reduces the apparent diffusion resistance, resulting in a lower µ-value. In these cases, it is more appropriate to use a constant µ-value and to adjust the liquid transport coefficients to include surface diffusion. However, WUFI also allows to use a moisture-dependent µ-value to simplify the treatment of cases where this distinction can be neglected.

The µ-value represents the ratio of the diffusion coefficients of water vapor in air and in the building material and has therefore a simple interpretation: it is the factor by which the vapor diffusion in the material is impeded, as compared to diffusion in stagnant air. For very permeable materials, such as mineral wool, the µ-value is thus close to 1, whereas it increases for materials with greater diffusion resistance.

The following table lists µ-values for some common materials:

 | µ-value
 | dry-cup (3% - 50% RH) | wet-cup (50%-93% RH)
cellular concrete | 7.7 | 7.1
lime silica brick | 27 | 18
solid brick | 9.5 | 8.0
gypsum board | 8.3 | 7.3
concrete (B25) | 110 | 150 (*)
cement-lime plaster | 19 | 18
lime plaster | 7.3 | 6.4
Saaler sandstone | 60 | 28
Baumberger sandstone | 20 | 17
Worzeldorfer sandstone | 38 | 22
(*) the increase of the µ-value in the wet-cup measurement of concrete is probably due to swelling effects [3].

In WUFI, the µ-value is one of the basic material properties which needs to be specified for each material.

Vapor diffusion thickness, sd-value

Assuming constant temperature and µ-value, the diffusion flow through a material layer with thickness Dx=s is

gv_mat = -d/µ * Dp/Dx = -d/(µ*s) * Dp,

whereas the diffusion flow through a stagnant air layer (µ=1) with thickness sd is

gv_air = -d/µ * Dp/Dx = -d/(1*sd) * Dp = -d / sd * Dp.

Dividing the former equation by the latter yields

gv_mat / gv_air = sd / (µ*s).

If the air layer is chosen so that its vapor diffusion resistance is the same as that of the material layer of thickness s (and therefore gv_mat = gv_air), then its thickness sd must be

sd = µ*s.

For a material layer with diffusion resistance factor µ and thickness s, the product µ*s thus gives the thickness which a stagnant air layer would need in order to have the same diffusion resistance. This "sd-value" or "vapor diffusion thickness" expresses the diffusion resistance of a layer in a form which is easily understood and applied.

Since the definition of the sd-value contains the the thickness Dx of the layer, the sd-value is a property of the given layer, not of the material itself. Two layers made from the same material but with different thicknesses will have different sd-values, but in both cases the material will have the same µ-value.

For some building components, only their total diffusion resistance is of importance but not their µ-value and their thickness separately. They may then simply be specified in terms of their sd-value. Also, measuring the sd-value does not require to determine the thickness of the sample.
In particular, the sd-value is used to characterise vapor retarders (sd >= 10 m), vapor barriers (sd >= 1000 m) and surface coatings (mineral paints: sd ~ 0.04 m, oil paints: sd = 1.0 .. 2.6 m), where it can be difficult to determine their thickness properly.

In WUFI, surface coatings on the component need not be explicitly modelled in the component assembly; their diffusion resistance may instead be taken into account by simply specifying their sd-value in the dialog "Edit Surface Coefficients".

Permeance, Permeability

In the formula for water vapor diffusion in a porous material

gv = -d/µ * Dp/Dx = - d/sd * Dp =: - D * Dp

the so-called permeance D may be introduced by defining

D := d/sd [kg/(m²sPa)].

Since the definition of the permeance contains the thickness Dx of the layer, the permeance is a property of the given layer, not of the material itself. Two layers made from the same material but with different thicknesses will have different permeances.

In Inch-Pound units the permeance is measured in perm. One perm is one grain (avoirdupois) of water vapor per hour flowing through one square foot of a layer, induced by a vapor pressure difference of one inch of mercury across the two surfaces. In SI units, this corresponds to 57.45e-12 kg/(m²sPa) [4]. Therefore, with D expressed in perm:

57.45e-12*D = d/sd [kg/(m²sPa)], or
sd = d/(57.45e-12*D) [m].

For a reference temperature of 5°C and a barometric pressure of 1013.25 hPa, d has the value 1.884e-10 kg/(msPa) (see above), and we obtain

sd = 3.28/D,

where D is expressed in perm and sd in m.

The permeance describes a property of a specific construction layer with a given thickness. Multiplying the permeance by the layer thickness Dx yields the permeability P [perm inch] of the layer material:

D * Dx = d/sd * Dx = d/µ =: P , so that
gv = P Dp/Dx.

The conversion factor for D*Dx is 57.45e-12 [kg/(m²sPa)]/[perm] * 0.0254 [m]/[in] = 1.459e-12 [kg/(msPa)]/[perm in]:

1.459e-12*P = d/µ [kg/(msPa)],

and with the same reference value for d as above:

7.744e-3*P = 1/µ [-], or

µ = 129 / P [-],

where P is expressed in perm inch and µ is dimensionless.

Literature:

[1] | Schirmer, R.: Die Diffusionszahl von Wasserdampf-Luft-Gemischen und die Verdampfungsgeschwindigkeit, Beiheft VDI-Zeitschrift, Verfahrenstechnik (1938), H. 6, p. 170-177.
[2] | Krus, M.: Moisture Transport and Storage Coefficients of Porous Mineral Building Materials. Theoretical Principles and New Test Methods Fraunhofer IRB Verlag, 1996
[3] | Holm, A., Krus, M., Künzel, H.M.: Concrete from the viewpoint of moisture technology: Parameters and mathematical approaches to the evaluation of climatic effects in external structural elements made of concrete. To be published in Concrete Science and Engineering
[4] | ASHRAE Terminology of Heating, Ventilation, Air Conditioning, & Refrigeration, 2nd ed. 1991
Previous topic: Water Vapor Transfer Coefficients Topic 23 Next topic: Surface Coatings


Surface Coatings

Walls may have a surface 'coating' which does not affect their thermal behaviour but impedes water vapor diffusion, e.g. paint coats, wallpapers, vapor retarders, laminations, an impregnation which alters the pore space close to the surface etc.

Instead of including a separate, often extremely thin layer in the component assembly, you may allow for its effect on water vapor transport in these cases by only applying a separate diffusion resistance at the surface. This resistance is specified in terms of the thickness of a stagnant air layer with the same diffusion resistance, i.e. you enter the corresponding vapor diffusion thickness (sd-value).

Thus, you may simulate the effect of a vapor retarder by setting the vapor diffusion thickness to 10 m (e.g.) at the respective surface. But more massive components like gypsum board (sd ~ 0.1 m) or renderings may also be replaced by their sd-value, as long as their effect on the hygrothermal behaviour of the entire building component is limited to their diffusion resistance.

If you nevertheless want to explicitly include membranes or other thin surface layers in the component assembly, please refer to the notes in the topic Membranes.

Because of the boundary air layer which exists at every wall surface, there is always some surface transfer resistance to the water vapor diffusion flow (see Water Vapor Transfer Coefficients). The sd-value discussed here only describes an additional resistance that is caused by factors like those enumerated above. That is, WUFI adds the resistance resulting from the internally computed water vapor transfer coefficient and a possible sd-value to arrive at the total water vapor transfer resistance used in the calculation. An ordinary naked wall surface simply has sd = 0 m.

The definition of the vapor diffusion thickness (sd-value) is discussed in the topic Water Vapor Diffusion.

The vapor diffusion thicknesses of surface coatings (if any) are entered in the dialog "Surface Transfer Coefficients".

Previous topic: Water Vapor Diffusion Topic 24 Next topic: Short-wave Radiation Absorptivity


Short-wave Radiation Absorptivity

Whereas the thermal long-wave radiation exchange between the building component and the surroundings (T ~ 300 K) essentially takes place in the infrared, the spectrum of the solar radiation (T ~ 6000 K) moslty contains short-wave radiation in the visible part of the spectrum. For this reason, the solar radiation is also simply called 'short-wave radiation' here.

The short-wave radiation absorptivity indicates the fraction of the total (i.e., visible and non-visible) solar radiation incident on the component surface which is absorbed:

q = as·I
q | [W/m²]: | heat flow due to solar radiation
as | [-]: | 'short-wave' radiation absorptivity
I | [W/m²]: | solar radiation vertical to component surface

WUFI calculates the radiation load vertical to the surface from the data in the climate file, multiplies it by the short-wave radiation absorptivity and applies the result as a heat source to the component.

Examples:

plaster, white (aged) | 0.4
roof tile, red | 0.6
klinker brick, dark red | 0.7
roof tile, brown | 0.8
bituminous roof covering | 0.9
wood (spruce):
untreated | 0.4
weathered (silver-gray) | 0.7
painted brown | 0.8
Schilf sandstone:
dry | 0.7
wet | 0.85
red Main sandstone | 0.75
sandstone with patina | 0.9

The absorptivity coefficients are entered in the dialog "Edit Surface Coefficients".

Previous topic: Surface Coatings Topic 25 Next topic: Long-wave Radiation Emissivity


Long-wave Radiation Emissivity

At the surface of a building component, heat is exchanged with the surroundings by both convection and long-wave radiation. The two heat transport mechanisms generally give rise to heat flows of comparable intensities, with the exact values depending on the boundary conditions. Both heat flows may be considered to be proportional to the difference between the surface temperature and the temperature of the ambient air. The corresponding proportionality factors are the convective heat transfer coefficient and the radiative heat transfer coefficient. Since usually both heat flows go in the same direction, the two coefficients may be combined into one generic heat transfer coefficient which describes the total heat flow.
This somewhat simplified approach is sufficient for most applications in building physics and is also used by WUFI (see the topic on the heat transfer coefficient).

During the day, when the facade is heated by solar radiation, it emits more thermal radiation than it receives from the cooler air and its long-wave radiation balance is negative. However, the atmophere is a less efficient thermal emitter than most solid bodies at the same temperature. Therefore, even during the night, when the facade and the ambient air have comparable temperatures, the facade emits more thermal radiation towards the sky than it receives from the sky. The radiation balance is thus negative during the night, too. In a clear night, this radiative cooling, due to the net loss of of long-wave radiation, may lead to a considerable drop of the facade surface temperature below ambient air temperature ("overcooling"). In this case, the net radiation flow and the convective heat flow go in opposite directions and cannot be described by a combined convective and radiative heat transfer coefficient any more.
If such a combined heat transfer coefficient is used, as is done in WUFI, the cooling stops when the surface temperatures reaches air temperature. No cooling below ambient air temperature occurs.

However, it may be desirable to account for this cooling effect at least in a rudimentary way. This is only possible if the weather file contains data on the long-wave atmospheric counterradiation emitted by the sky. Test reference years are among the file formats which provide such data. Therefore, if a weather file in test reference year format (*.TRY or *.DAT) is used, WUFI switches to a different method:

  • During the day WUFI (as usual) only indirectly accounts for long-wave exchange by using a heat transfer coefficient which contains some long-wave contribution. In order to distinguish day from night, WUFI looks at the diffuse solar radiation: if such radiation is present, it's "day".
  • If the diffuse solar radiation is zero, WUFI switches to "night" mode: before performing the next time step it estimates the nighttime thermal net emission of the component surface (inclination angle b) as
    Since the temperature of the emitting surface is not yet known before the time step is performed, it is replaced by the exterior air temperature which is known from the weather file (this approximation is roughly admissible by night; by day it would usually be very wrong). Furthermore it is assumed that the radiation exchange with the terrestrial part of the field of view is exactly balanced. The cosine factor describes the sky part of the field of view.
    This net radiation loss is given a negative sign and is then treated as a heat source (actually a heat sink) at the surface. WUFI's computation core decides on the basis of the sign whether the radiation intensity it was handed over is solar radiation (positive sign) or long-wave emission (negative sign). Solar radiation is multiplied by the short-wave absorptivity of the surface, long- wave emission is multiplied by the long-wave emissivity of the surface.

    Since during the night the long-wave exchange is explicitly accounted for (albeit in a very approximate way) the long-wave contribution should be removed from the exterior heat transfer coefficient. In the current implementation this is, however, not done.

Conclusion: if the weather file is in *.TRY or *.DAT format, WUFI can produce rudimentary results for nighttime overcooling. No quantitatively correct results can be expected, however. Furthermore, allowing for the overcooling effect tends to degrade the numerical stability of the calculation. Fortunately, overcooling usually is of minor importance for the hygrothermal behaviour of the building component and can then be neglected altogether. Exceptions are special investigations like the effect of dew moisture on algae growth at exterior surfaces etc. Future WUFI versions may take long-wave emission fully into account.

Note for the user:

If the weather data are read from a *.TRY or *.DAT file, WUFI will automatically determine the nighttime net emission with the above formula and treat the result as a heat loss.

If you convert your own weather data to one of these formats but have no atmospheric counterradiation data, you must not simply fill the respective column with zeros. Otherwise the thermal emission of the component will remain uncompensated by counterradiation and the resulting overcooling will be much too strong. Instead, you may

  • use empirical formulas to estimate the counterradiation from other weather elements, if you have data on the cloud cover, or
  • fill the counterradiation column with the expected thermal emission (set surface temperature := air temperature, see emission formula above), so that in the calculation emitted and absorbed thermal radiation cancel. With these weather data you will get no overcooling at all, but at least you will get no wrong overcooling. Or you can
  • fill the counterradiation column with zeros, but then you must also set the long-wave emissivity of the component surface to zero, in order to suppress long-wave exchange altogether. Of course, no overcooling will result here either.

For non-metallic surfaces, the long-wave radiation emissivity is usually 0.9 or thereabout.

The long-wave emissivity of the surface segment under consideration is entered in the dialog "Edit Surface Coefficients".

Previous topic: Short-wave Radiation Absorptivity Topic 26 Next topic: Rain Water Absorption Factor


Rain Water Absorption Factor

The rain water absorption factor takes into account that some of the rain water hitting an inclined surface splashes off on impact and is therefore not available for capillary suction.

WUFI calculates the rain load on the component from the data in the climate file and multiplies it by the rain water absorption factor. The resulting rain quantity is offered to the component for capillary suction. (The component may imbibe the offered quantity or less, but not more).

The rain water absorption factor depends on the roughness, orientation and inclination of the surface, and on the nature of the precipitation (rain, snow...).

For horizontal surfaces, the rain water absorption factor is usually 1, since the scattered drops fall back to the surface.

For vertical surfaces, it is nearly zero for snow and hail, for other conditions it must be estimated. A value of 0.7 should be a good starting point.

Since most component surfaces - with the exception of unrendered masonry and natural stone facades - only have a moderate water absorption, they cannot imbibe all the offered water anyway. In these cases, an exact knowledge of the rain quantity is not essential (whereas the duration of the rain is still important) and estimates for the rain water absorption factor and the position-specific driving rain coefficients may be sufficient.

The rain water absorption factor is entered in the dialog "Edit Surface Coefficients".

Previous topic: Long-wave radiation emissivity Topic 27 Next topic: Climate Data


Climate Data

Starting from specified initial conditions, WUFI computes the temporal evolution of the temperature and moisture distributions in the building component. This evolution is determined not only by the underlying transport equations which govern the processes in the component, but also by the heat and moisture exchange with its surroundings. Thus there are heat and moisture flows through the surfaces, the direction and magnitude of which depend on the conditions in the component as well as on the conditions in the surroundings. The latter are described by the boundary conditions.

Since WUFI has been developed specifically for application in building physics, the surrounding medium is the ambient air (outdoor air, indoor air). Since it is furthermore designed to calculate the behaviour of building components exposed to the weather, it seems natural to describe the condition of the surrounding air in terms of meteorological parameters like temperature, relative humidity, solar radiation etc. In this way, WUFI keeps in close touch with building practice and can use existing measured data.

The choice of expressing the boundary conditions in terms of meteorological parameters does not prevent you from applying WUFI to laboratory investigations like imbibition or drying experiments, since the laboratory conditions can be expressed in meteorological terms as well.

WUFI needs the following climate data for each time step:

  • the rain load vertically incident on the exterior surface in [Ltr/m²h]. For the determination of this rain load, the inclination and orientation of the surface must be taken into account.
  • the solar radiation vertically incident on the exterior surface in [W/m²]. For the determination of the amount of radiation, the inclination and orientation of the surface must be taken into account.
  • the temperature of the ambient air in [°C]
  • the relative humidity of the ambient air (0..1)
  • the barometric pressure in [hPa]. Since the barometric pressure has only a minor effect on the calculation, specification of a mean value over the calculation period can be sufficient.
  • the long-wave atmospheric counterradiation [W/m²], if radiation cooling is to be accounted for during the night. Counterradiation data are only rarely available, however

The weather file may contain measured weather data (such as IBP weather data), or synthetic but realistic weather data (such as the Test Reference Years), or completely artificial data (which describe, for example, a laboratory experiment).

Since WUFI's main application is the investigation of the hygrothermal behavior of building components exposed to natural weather, it is set up to read files that contain measured weather data. However, measured data can not always be used directly:

As mentioned above, WUFI needs the rain load and the radiation load incident on the wall or roof surface under investigation. Since rain and radiation are directed quantities, these loads depend on the orientation and the inclination of the individual building component. Unfortunately, in conventional weather measurements they are usually only recorded for horizontal surfaces.
It is possible, however, to compute them from conventional weather data. The rain load can be determined from the normal rain and the wind velocity and direction. The amount of radiation can be determined from the global (or direct) and diffuse radiation incident on a horizontal surface. WUFI performs these conversions automatically and the user only needs to supply the conventionally measured weather data. In the current WUFI version, this requires a file in *.WET or *.TRY or *.DAT or *.IWC or *.WAC or *.WBC format. Depending on the format, files provided by the user (as opposed to the files supplied with WUFI or files pre-registered in the database) may also require a supporting *.AGD file which supplies geographical data on the climate location.

On the other hand, WUFI can also read files which directly contain the required rain and radiation loads as determined for the specific surface in question, so that no further conversion is necessary. This may be convenient if

  • you want to convert the weather data with more sophisticated algorithms than WUFI does, or if
  • you want to employ data that have been directly measured at the surface in question and thus need not be converted, or if
  • you want to use data synthesized by your own climate simulator, or if
  • you want to use data which describe the conditions of a laboratory experiment,
  • etc.

These files must be in *.KLI format.

The following sections explain these file formats in detail:

The *.WET Format for Climate Data

The *.TRY Format for Climate Data

The *.DAT Format for Climate Data

The *.IWC Format for Climate Data

The *.WAC Format for Climate Data

The *.WBC Format for Climate Data

The *.KLI Format for Climate Data

The *.AGD File

The method used by WUFI to convert radiation data is described in the Questions & Answers section.

Previous topic: Rain Water Absorption Factor Topic 28 Next topic: The *.WET Format for Climate Data


The *.WET Format for Climate Data

You can use existing IBP weather files (file format *.WET) to perform WUFI calculations; you can also convert your own weather data to that format and use them.

IBP weather files contain 21 lines of header which explain the meaning of the different data columns and an arbitrary number of lines with hourly weather data. WUFI skips the header.

Example:

(for formatting reasons, the data lines cannot be reproduced here in their entirety. Please refer to the file IBP1991.WET you received with WUFI for a complete example).

The format of the numbers is free; the only requirement is that a PASCAL program (like WUFI) must be able to read them.
The file need not conform to a specific column format (as in FORTRAN), the number of decimal places does not matter, floating point numbers need not be in exponential format etc.

The number type real/integer has to be adhered to, however. The individual numbers must be separated by blanks, not tabulators.

The fact that the floating point numbers in the example all start with a zero is irrelevant (they were created with a FORTRAN program which likes to write numbers this way).

The data in detail:

  • Day, month, year, hour (integer):

    The IBP files contain hourly mean values of the measured data. These time stamps indicate the point in time when each measuring interval of one hour was finished and the measured mean values recorded. I.e., the data line starting with 01 01 91 04 contains the mean values for the hour from 03:00 to 04:00 on January 1, 1991.

    Since its data are real-life data, an IBP weather file may contain an intercalary day (February 29). WUFI however knows nothing about intercalary days (at least in the present version). These must be deleted from files you want to use for WUFI calculations.

    The time count always refers to winter time (CET). There is no daylight saving time.

  • Exterior air temperature (real):

    the temperature of the exterior ambient air in [°C]. It is used without change as the exterior air temperature in the WUFI calculation.

  • Temperature of black surface (real):
  • Temperature of white surface (real):

    Surface temperatures of west-facing test facade elements painted black (as ~ 0.9) and white (as ~ 0.4), respectively.
    These may optionally be read instead of the exterior air temperature.

  • Temperature of Ground Surface (real):
  • Temperature 50 cm below Ground Surface (real):
  • Temperature 1 m below Ground Surface (real):

    Soil temperatures at various depths in [°C].
    These may optionally be read instead of the exterior air temperature.

  • Global radiation (real):

    the sum of the direct and diffuse components of the solar radiation incident on a horizontal surface; in [W/m²].

  • Diffuse radiation (real):

    the diffuse component of the solar radiation incident on a horizontal surface; in [W/m²].

    Subtracting the diffuse radiation from the global radiation results in the direct radiation. From this, the direct normal radiation can be calculated, i.e., the amount of radiation incident on a surface that is orthogonal to the ray direction. This calculation requires knowledge of the time and geographical location of the measurement, since the corresponding position of the sun has to be determined [2].

    The direct normal radiation can then be used to calculate the direct radiation incident on a surface with arbitrary orientation and inclination. Addition of the appropriate fraction of diffuse radiation results in the global radiation incident on the building component.

    These calculations are automatically done by WUFI during a simulation run.

    WUFI uses a simplified radiation model which treats the diffuse radiation as isotropic and ignores the albedo of the ground. If you are more demanding or want to allow for local specifics (like shadows etc.), you can perform the conversion yourself and feed the results to WUFI via a *.KLI file.

  • Western radiation (real):

    the global radiation measured with a west-facing solarimeter; in [W/m²].
    Optionally, the radiation component impinging on a (west-facing) facade may directly be read from this column. No conversion is then necessary as would be the case if global and diffuse radiation were used as data source.

  • Relative humidity (real):

    the relative humidity of the ambient air (0..1). Used by WUFI without change as the exterior relative humidity.

  • Barometric pressure (real):

    the ambient air pressure reduced to sea level; in [hPA].

  • Wind velocity (real):

    the scalar mean of the wind velocity; in [m/s]. It is needed to compute the driving rain from the normal rain.

    The scalar mean of the wind velocity is the mean value of the readings of an anemometer without the directions taken into account. For example, if for an hour the wind is blowing at 2 m/s but at the same time steadily travelling through all the direcions, then the scalar mean is 2 m/s, whereas the vectorial mean is 0 m/s.

    In the vectorial mean, some vector components may cancel. Thus, the scalar mean is greater than (or at least equal to) the vectorial mean.

    The IBP weather files also contain information about the distribution of the wind directions (see below). This allows to ignore components that come from 'behind' (and don't contribute to the rain load) and to weight the remaining directions according to the angle they make with the surface.

  • Normal rain / tipping bucket (real):
  • Normal rain / droplet counter (real):

    the normal rain (i.e., the rain incident on a horizontal surface in open area) during one hour, measured with a tipping bucket and a droplet counter rain gauge, respectively; in [Ltr/m²h] or, equivalently, [mm/h].

    WUFI uses the readings of the droplet counter, since it is in general more reliable.

    The rain load on a wall is determined by the driving rain rather than the normal rain. The driving rain can be estimated from the normal rain and the wind velocity:

    The rain coefficients R1 and R2 in the dialog "Edit Surface Coefficients.htm" serve to estimate the driving rain load on a surface of arbitrary orientation and inclination from data on normal rain, wind velocity and wind direction distributions, using the relation

    rain load = rain · (R1 + R2 · wind velocity),

    where 'rain' is the normal rain and 'wind velocity' is that component of the mean wind velocity (measured at a height of 10 m, in open area), which is orthogonal to the building surface. This component is determined from the scalar mean of the wind velocity (see above) and the wind direction distribution (see below).

    R1 and R2 are strongly dependent on the specific location on the building facade. If calculations are to be compared to actual measurements, these coefficients should be experimentally determined for that location.

    If they cannot be measured, only a very rough estimate is possible. For vertical surfaces, R1 is zero. R2 is about 0.2 s/m for free-standing locations without influence from surrounding buildings etc.; it is markedly less in the center of a facade (e.g. 0.07 s/m); it may even be greater at exposed locations of a building (near edges and corners) [1].

  • Driving rain / tipping bucket (real):
  • Driving rain / droplet counter (real):

    the driving rain load on a west-facing wall, measured at a height of 1.50 m with a tipping bucket and a droplet counter rain gauge, respectively. In [Ltr/m²h] or, equivalently, [mm/h].

    WUFI uses the readings of the droplet counter, since it is in general more reliable.

    The values in this column can optionally be read and used for the variable 'rain' in the formula for the rain load (see above: normal rain). Set R1 to 1 and R2 to zero; the resulting rain load will then directly be the measured driving rain.

  • Wind direction distribution (17 * integer):

    the frequency of wind directions, binned into sectors of 22.5° each.

    The wind direction is averaged over 2 minutes and the counter of the corresponding sector then increased by one. A special counter is registering calms. The sum of all counts during one hour should thus be 30 if no interruption of the measurements has occured.

    The individual counters are assigned to the following directions:

    NNE-NE-ENE-E-ESE-SE-SSE-S-SSW-SW-WSW-W-WNW-NW-NNW-N-calm

    For the calculation of the driving rain load, the contributions of the different directions are determined individually and then summed up. Wind coming 'from behind' does not contribute to the rain load and is ignored.

A *.WET file supplied by the user must be accompanied by a *.AGD file which contains geographical information on the climate location.

Literature:

[1] | Künzel, H.M.: Bestimmung der Schlagregenbelastung von Fassadenflächen. IBP-Mitteilung 21 (1994), Nr. 263
[2] | VDI 3789 Umweltmeteorologie, Blatt 2: Wechselwirkungen zwischen Atmosphäre und Oberflächen; Berechnung der kurz- und der langwelligen Strahlung. Oktober 1994
Previous topic: Climate Data Topic 29 Next topic: The *.TRY Format for Climate Data


The *.TRY Format for Climate Data

You can use existing TRY weather files (file format *.TRY) to perform WUFI calculations; you can also convert your own weather data to that format and use them.

This format was used by the German National Weather Service DWD for the test reference years published in 1986 (the new test reference years, published in 2004, are in *.DAT format). Also, this format was used for some of the climate files supplied with WUFI.

The 1986 test reference years (TRY) cannot be purchased from DWD any more (they have been replaced by the 2004 test reference years), but existing old TRY can still be used with WUFI. They contain synthetic hourly climate data which - based on seasonal mean values and long-term annual mean values - represent typical weather conditions for different geographical regions [1].

Please note that these (1986) test reference years may be of limited usability for calculating the moisture balance of building components, since they have been designed for thermal simulations only. The total amount of precipitation is reproduced correctly, but the number of hours with precipitation is overestimated [2]. With building materials of low absorptive capacity, however, the duration of precipitation is more important than the amount of precipitation.

WUFI can read two different variants of the TRY format: the IBP variant and the DWD variant.

IBP variant

TRY weather files consist of 24 lines of header and 8760 lines of weather data in hourly intervals.

Example:

WUFI skips the header, with the exception of lines 3 and 4, from which it reads the geographical position of the measuring site.

Since the file format is a remnant from the FORTRAN era, the column-oriented structure of the file has to be followed strictly. It is not necessary, however, to stick to the exact floating point format of the numbers themselves: for example, WUFI reads columns 42-47 as a string and then converts it to a real number.

A TRY file contains 8760 data lines with hourly weather data. The first one of these consists of the mean weather data for the hour from 0:00 to 1:00 CET on January 1. There is no intercalary day (February 29).

The meaning of the weather data in detail:

  • Column 1-5: site ID.
    Not used by WUFI.

  • Column 6-10: cloud cover (0..1).
    Currently not used by WUFI.

  • Column 11-14: wind direction [degrees] (0..360).
    Counted clockwise from north (0°) over east (90°).

  • Column 15-19: wind velocity, scalar mean [m/s].
    Not used by WUFI.

  • Column 20-24: wind velocity, vectorial mean [m/s].
    Since no wind direction distributions are provided in the TRY files, this loss of information must be compensated by using the vectorial mean instead of the scalar mean.

    The vectorial mean of the wind velocity is the mean value of the readings of an anemometer with the directions taken into account. For example, if for an hour the wind is blowing at 2 m/s but at the same time steadily travelling through all the directions, then the vectorial mean is 0 m/s, whereas the scalar mean is 2 m/s.

    In the vectorial mean, some vector components may cancel. Thus, the vectorial mean is always less than (or at most equal to) the scalar mean.

    If only the mean direction and velocity are provided, no individual treatment of specific directions is feasible anymore. Therefore, it is not possible to disregard wind directions which hit the building component from behind and thus don't contribute to the rain load. In a driving rain situation, however, the wind will mostly blow from a narrow range of directions, so that the mean direction will be reasonably representative.

  • Column 25-27: DWD code for regular weather observations.
    Not used by WUFI.

  • Column 28-34: precipitation during the last hour [mm].
    The rain load on a wall is determined by the driving rain rather than the normal rain. If no measured data on the driving rain are available, it can be estimated from other data.

    The rain coefficients R1 and R2 in the dialog "Edit Surface Coefficients" serve to estimate the driving rain load on a surface of arbitrary orientation and inclination from data on normal rain, wind velocity and wind direction, using the relation

    rain load = rain · (R1 + R2 · wind velocity),

    where 'rain' is the normal rain and 'wind velocity' is that component of the mean vectorial wind velocity (measured at a height of 10 m, in open area), which is orthogonal to the building surface.

    R1 and R2 are strongly dependent on the specific location on the building facade. If calculations are to be compared to actual measurements, these coefficients should be experimentally determined for that location.

    If they cannot be measured, only a very rough estimate is possible. For vertical surfaces, R1 is zero. R2 is about 0.2 s/m for free-standing locations without influence from surrounding buildings etc.; it is markedly less in the center of a facade (e.g. 0.07 s/m); it may even be greater at exposed locations of a building (near edges and corners) [1].

  • Column 35-41: ambient air pressure at height of location [hPa].
    The actual (i.e. not reduced to sea level) barometric pressure at the measurement location. The barometric pressure affects the vapor diffusion coefficient in air.

  • Column 42-47: air temperature [°C].
    Adopted by WUFI without change as the exterior air temperature.

  • Column 48-52: relative humidity [-] (0..1).
    Adopted by WUFI without change as the exterior relative humidity.

  • Column 53-56: direct solar radiation [W/m²].
    The direct component of the solar radiation (i.e. received directly from the sun) incident on a horizontal surface.

    From this, the direct normal radiation can be calculated, i.e., the amount of radiation incident on a surface that is orthogonal to the beam direction [3]. This calculation requires knowledge of the time and geographical location of the measurement, since the corresponding position of the sun has to be determined.
    &bnsp;
    The direct normal radiation can then be used to calculate the direct radiation incident on a surface with arbitrary orientation and inclination. Addition of the appropriate fraction of diffuse radiation results in the global radiation incident on the building component.

    These calculations are automatically done by WUFI during a simulation run. WUFI uses a simplified radiation model which treats the diffuse radiation as isotropic and ignores the albedo of the ground. If you are more demanding or want to allow for local specifics (like shadows etc.), you can perform the conversion yourself and feed the results to WUFI via a *.KLI file.

  • Column 57-60: diffuse sky radiation [W/m²].
    The diffuse component of the solar radiation (scattered by the atmosphere or clouds), incident on a horizontal surface.

  • Column 61-70: illuminance [lux].
    Not used by WUFI.

  • Column 71-74: long-wave radiative emission [W/m²].
    Not used by WUFI.

  • Column 75-78: atmospheric counterradiation [W/m²].
    The thermal radiation of the atmosphere, incident on a horizontal surface.
    Please refer to the topic Long-wave Radiation Emissivity for a description of when and how to use counterradiation data and what to do if you have no counterradiation data.

DWD variant

Example:

The difference between the IBP variant and this one lies only in the different header and the slightly different column format. The data are the same as in the IBP variant.

• | Column 1: | update index (not used by WUFI)
• | Column 2-3: | day (not used by WUFI)
• | Column 4-5: | month (not used by WUFI)
• | Column 6-7: | hour (not used by WUFI)
• | Column 8: | blank
• | Column 9-12: | cloud cover in eighths (currently not used by WUFI)
• | Column 13: | blank
• | Column 14-16: | wind direction [degree]
• | Column 17: | blank
• | Column 18-21: | wind velocity, scalar mean [m/s] (not used by WUFI)
• | Column 22: | blank
• | Column 23-26: | wind velocity, vectorial mean [m/s]
• | Column 27: | blank
• | Column 28-29: | DWD code for regular weather observations (not used by WUFI)
• | Column 30: | blank
• | Column 31-34: | precipitation [mm/h]
• | Column 35: | blank
• | Column 36-41: | air pressure at height of location [hPa]
• | Column 42: | blank
• | Column 43-47: | air temperature [°C]
• | Column 48: | blank
• | Column 49-52: | relative humidity [-] (0..1)
• | Column 53: | blank
• | Column 54-57: | direct solar radiation on horizontal surface [W/m²]
• | Column 58: | blank
• | Column 59-62: | diffuse sky radiation on horizontal surface [W/m²]
• | Column 63: | blank
• | Column 64-70: | illuminance on horizontal surface [lux] (not used by WUFI)
• | Column 71: | blank
• | Column 72-75: | long-wave emission from horizontal surface [W/m²] (not used)
• | Column 76: | blank
• | Column 77-80: | atmospheric counterradiation on horizontal surface [W/m²]

A *.TRY file supplied by the user must be accompanied by a *.AGD file which contains additional geographical information on the climate location.

Literature:

[1] | Blümel, K. et al.: Entwicklung von Testreferenzjahren (TRY) für Klimaregionen der Bundesrepublik Deutschland. BMFT-Forschungsbericht T 86-051.
[2] | Künzel, H.M.: Regendaten für die Berechnung des Feuchtetransports. IBP-Mitteilung 21 (1994), Nr. 265.
[3] | VDI 3789 Umweltmeteorologie, Blatt 2: Wechselwirkungen zwischen Atmosphäre und Oberflächen; Berechnung der kurz- und der langwelligen Strahlung. Oktober 1994
Previous topic: The *.WET Format for Climate Data Topic 30 Next topic: The *.DAT Format for Climate Data


The *.DAT Format for Climate Data

The German National Meteorological Service DWD uses the *.DAT format for the new test reference years (published in 2004 [1]; the old test reference years [2] were in *.TRY format).
You can use existing *.DAT files (such as those offered by DWD) for a WUFI calculation, but you can also convert your own weather data to this format and use them for a calculation.

Note: as the test reference years are mainly intended as a basis for energy consumption calculations, the new test reference years do not have rain data any more and thus are not suitable for hygrothermic simulations in which the effect of rain is an essential factor.

...
  • Column 1-2: TRY region {1..15}.
    Not used by WUFI.

  • Column 3-4: blank.

  • Column 5-8: Information on location of measurement {1; 2}.
    Not used by WUFI.

  • Column 9-10: blank.

  • Column 11-12: Month {1..12}.

  • Column 13-14: blank.

  • Column 15-16: Day {1..28, 30, 31}.

  • Column 17-18: blank.

  • Column 19-20: Hour (CET) {1..24}.

  • Column 21-22: blank.

  • Column 23: Cloud cover [octa] {0..8; 9}.
    Fraction of the sky covered with clouds (9=not determined, e.g. because of fog).
    Currently not used by WUFI.

  • Column 24-25: blank.

  • Column 26-28: Wind direction [°] {0; 10..360; 999},
    90°=east,..., 360°=north;
    0=calm, 999 = variable.

  • Column 29-30: blank.

  • Column 31-36: Wind speed [m/s].

  • Column 37-38: blank.

  • Column 39-44: Air Temperature [°C].

  • Column 45-46: blank.

  • Column 47-53: Barometric pressure [hPa],
    at station height.

  • Column 54-55: blank.

  • Column 56-61: Water vapor content or mixing ratio [g/kg].
    Not used by WUFI.

  • Column 62-63: blank.

  • Column 64-66: Relative humidity [%] {1..100}.

  • Column 67-68: blank.

  • Column 69-70: Code for current weather conditions {0..99}.
    Not used by WUFI.

  • Column 71-72: blank.

  • Column 73-76: Direct solar irradiance B [W/m²],
    impinging on a horizontal surface.
    Directed downwards: positive;
    Zeros: may result from rounding small irradiances,
    Blanks: sun below horizon; no irradiance possible.

  • Column 77-78: blank.
    &bnsp;
  • Column 79-82: Diffuse solar irradiance D [W/m²],
    impinging on a horizontal surface.
    Directed downwards: positive;
    Blanks: sun below horizon; no irradiance possible.

  • Column 83: blank.

  • Column 84: Information whether B and/or D measured/calculated {1; 2; 3; 4}.
    Not used by WUFI

  • Column 85-86: blank.

  • Column 87-90: Irradiance of atmospheric thermal radiation [W/m²],
    "atmospheric counterradiation",
    impinging on a horizontal surface.
    Directed downwards: positive.

    Please refer to the topic Long-wave Radiation Emissivity for a description of when and how to use counterradiation data and what to do if you have no counterradiation data.

  • Column 91-92: blank.

  • Column 93-97: Irradiance of terrestrial thermal radiation [W/m²],
    i.e., specific emission of thermal radiation from the ground, including the reflected atmospheric counterradition,
    impinging on a horizontal surface.
    Directed upwards: negative.

    Currently not used by WUFI-2D

  • Column 98-99: blank.

  • Column 100: Quality bit for the long-wave irradiances {1..8}.
    Not used by WUFI.

A *.DAT file supplied by the user must be accompanied by a *.AGD file which contains geographical information on the climate location.

Literature:

[1] | Christoffer, J., Deutschländer, Th., Webs, M.: Testreferenzjahre von Deutschland für mittlere und extreme Witterungsverhältnisse TRY, Offenbach 2004.
[2] | Blümel, K. et al.: Entwicklung von Testreferenzjahren (TRY) für Klimaregionen der Bundesrepublik Deutschland. BMFT-Forschungsbericht T 86-051.
Previous topic: The *.TRY Format for Climate Data Topic 31 Next topic: The *.WAC Format for Climate Data


The *.WAC Format for Climate Data

The WUFI ASCII Climate format is a flexible text format for climate data.

The file consists of columns for the different weather elements. Number, content and sequence of these columns are not fixed and may be chosen as needed. Header lines describe the contents of the columns.

A detailed specification of this format will be provided in a future version of the on-line help.

Previous topic: The *.DAT Format for Climate Data Topic 32 Next topic: The *.IWC Format for Climate Data


The *.IWC Format for Climate Data

This climate data format is being used by ASHRAE for the "International Weather Year for Energy Calculation (IWEC)" files.
WUFI can read these files; but since the file format is quite complex, contains many quantities not needed for hygrothermal simulations and treats some of the needed quantities (e.g. rain) only in a semi-quantitative way, it is not recommended to convert your own data to this format in order to use them with WUFI. The format is therefore not described here.

Note: the IWEC weather data do not contain quantitative rain data but only a rain indicator reporting rain intensity categories like "light", "moderate", "heavy", etc. As long as it has not been worked out which representative hourly quantities corresponding to these categories should be used in hygrothermic simulations, WUFI will not use rain data in calculations performed with *.IWC files.

Previous topic: The *.WAC Format for Climate Data Topic 33 Next topic: The *.WBC Format for Climate Data


The *.WBC Format for Climate Data

The WUFI Binary Climate file format is a proprietary format for climate files which the provider of the data wanted to be usable with WUFI only.

Previous topic: The *.IWC Format for Climate Data Topic 34 Next topic: The *.KLI Format for Climate Data


The *.KLI Format for Climate Data

As already noted in the introduction to the climate topic, WUFI needs the following climate data for each time step:

  • the rain load vertically incident on the surface in [Ltr/m²h]. For the determination of this rain load, the inclination and orientation of the surface must be taken into account.
  • the solar radiation vertically incident on the surface in [W/m²]. For the determination of the amount of radiation, the inclination and orientation of the surface must be taken into account.
  • the temperature of the ambient air [°C]
  • the relative humidity of the ambient air [-] (0..1)
  • the barometric pressure [hPa]. Since the barometric pressure has only a minor effect on the calculation, specification of a mean value may be sufficient.

If direct measurements are not available, the rain load can be determined from the normal rain and the wind velocity and direction. The radiation load can be determined from the global (or direct) and diffuse radiation incident on a horizontal surface.
When measured weather data are used, which do not directly contain the required rain and radiation data, but rather the normal rain and the solar radiation incident on a horizontal surface, WUFI can do this conversion automatically during the calculation, so you only need to specify the appropriate climate file for use in the calculation and the orientation and inclination of the building component. This is the usual procedure for all climate files except *.KLI files.

On the other hand, you may wish to provide WUFI directly with the required data, for example because you have measured them or because you want to employ different conversion algorithms than those used by WUFI. In this case, write these data to a WUFI climate file in *.KLI format and specify this file for use in the calculation. The weather data in a *.KLI file are used as read from the file, no conversion is done and no azimuth or inclination need to be specified.

This is an example for the first few lines of a WUFI climate file:

The climate file essentially consists of a table, with each line containing all required climate data (rain, radiation, exterior temperature, exterior relative humidity, interior temperature, interior relative humidity) for a certain interval of time. Since the format was originally defined for use with WUFI-1D where a component usually has one exterior and one interior surface, the files may contain temperatures and relative humidities for both the exterior and the interior surface. In WUFI-2D, the climate is always assigned to one single surface segment; the user can select wether exterior or interior conditions in the file are to be used.

The format of the data is free. The only requirement is that a PASCAL program (like WUFI) must be able to read the numbers. All data are read as real numbers. The entries in each line are separated by blanks.
The three header lines are further discussed below.

The time structure of the climate data is defined by a relative hour count (given by the first entry in each line). This count is relative to a starting date (given in the first header line).
Imagine the climate file has been created by a fictitious data logger which has started the measurement at the starting date. At the end of each measuring interval (the intervals need not be equidistant) it has recorded the mean values over that interval and has added the total duration of the measurement so far as a time stamp.

The starting date of the calculation must be in the time interval covered by the climate file (i.e., it must be equal to or later than the starting date of the climate file and earlier than its ending date).
The calculation may go beyond the end of the climate file (i.e., the ending date of the calculation may be later than the ending date of the climate file); the climate file is then read again from the beginning (as often as necessary).

The format of the starting date is:

day.month.year_hour.fraction   e.g. "1.1.2000_14.5".

Fractions of hours are decimal fractions: "1.1.2001_0.5" means half an hour past midnight. The format allows two decimal places for the fraction.

The choice of the time step for the climate file should be suitably coordinated with the choice of the time step for the calculation. The simplest choice is to use equidistant time intervals in the climate file and to set the time step for the calculation to the same size.
If you want to use a different calculation time step, you should choose it so that it divides the climate time intervals exactly. Otherwise, WUFI adjusts each time step so that it does divide the current (*) climate interval exactly.

(* since the climate file need not have equidistant time intervals.)

Examples:

 | climate time interval | calculation time step entered by user | calculation time step adjusted by WUFI | because
a) | 1h | 1h | 1h | 1 * 1 = 1
b) | 40h | 6h | 5.714h | 7 * 5.714 = 40
c) | 42h | 6h | 6h | 7 * 6 = 42
d) | 44h | 6h | 6.286h | 7 * 6.286 = 44
e) | 6h | 44h | 6h | 1 * 6 = 6

Examples for climate files

  • Example 1:

    • Start: 3.4.1994, 0.0

    time | rain | rad. | J a | j a | J i | j i
1 | 0 | 0 | 5.9 | 0.80 | 21.1 | 0.76
2 | 0 | 0 | 5.2 | 0.86 | 21.0 | 0.76
24 | 0 | 121.0 | 11.1 | 0.63 | 20.9 | 0.76
.... | ... | ... | ... | ... | ... | ...

    These climate data mean that the measurement was started on April 3, 1994, at midnight, the mean exterior temperature was 5.9°C between 0:00 and 1:00, 5.2°C between 1:00 and 2:00, and 11.1°C in the 22-hour-interval between 2:00 and 24:00.

  • Example 2:

    • Start: 1.1.1991, 0.0

    time | rain | rad. | J a | j a | J i | j i
744 | 0.09 | 35.7 | -2.4 | 0.77 | 20.4 | 0.35
1416 | 0.03 | 58.9 | -4.4 | 0.78 | 19.7 | 0.49
2160 | 0.14 | 48.3 | 5.4 | 0.83 | 20.9 | 0.38
.... | ... | ... | ... | ... | ... | ...

    This climate file contains monthly means. The first line gives the mean values for the interval from 1.1.1991 0:00 to 31.1.1991 24:00, etc.

  • Example 3:

    • Start: 31.1.1997, 10.93

    time | rain | rad. | J a | j a | J i | j i
500 | 1000 | 0 | 20 | 1 | 20 | 0.8

    This one-line climate file might be used to simulate an imbibition experiment in the laboratory.
    Starting on 31.1.1997 10h56m (=10.93 decimal), the laboratory climate stays constant for 500 hours. Since WUFI can read a climate file repeatedly, the time could also be entered as 1 hour. The same line would then be read over and over again. No time step larger than 1 hour would then be possible, however (see above; any different time step would be adjusted down to 1 h).

    (The imbibing surface is treated here as the 'exterior' surface, the imbibed water is offered as 'rain' in a quantity that is sure to surpass the quantity of water imbibed per hour. Also see the relevant discussion in the Questions & Answers section.).

  • Example 4:

    • Start: 23.1.1998, 10.50

    time | rain | rad. | J a | j a | J i | j i
1215 | 1000 | 0 | 21 | 1 | 20 | 0.80
3410 | 0 | 0 | 21 | 0.65 | 20.5 | 0.82

    This climate file might be used to simulate an imbibition experiment with subsequent drying in the laboratory.
    The experiment started on January 23, 1998 at 10:30. The specimen was imbibing for 1215 hours and was then left to dry for (3410 - 1215 =) 2195 hours.

How to create your own KLI files

If you want to use your own weather data for a WUFI calculation, you can simply write them to a file in either the WET or TRY or DAT or WAC format and use them in this form for the calculation; WUFI will automatically convert them for the azimuth and inclination of the surface in question.

If your rain and radiation data have already been determined for the surface in question, a directional conversion is not necessary, and you can write these data to a KLI file and use them in this form for the calculation.
The KLI format also comes handy if you want to use other conversion methods, if you want to use measured interior climate data etc.

In such a case, you just need to write an ASCII file which conforms to WUFI's *.KLI format: three header lines first, then one line of climate data for each time step.
For this, you may use any editor program that allows you to write the data in a pure ASCII format, for example a text editor such as the Windows notepad, or a program written by yourself which computes or converts the data in the desired manner and then writes them to a file.
If you are using Excel to create a KLI file, save the data using one of the ASCII formats *.TXT or *.PRN, since WUFI cannot read the proprietary Excel format *.XLS; then rename the file to the extension *.KLI.

Please note that the second header line of the KLI format has to contain data at certain positions so that WUFI can read them (it is much longer than can be displayed in most ASCII editors, which is not immediately obvious because of the large blank spaces between the data). The simplest way to obtain such a line is to copy to your own file one from a KLI file supplied with WUFI. The information contained in that line is then not correct for your file, but this does not affect the calculation (it is information about the parameter settings used for generating the file and is not used during the calculation).

The tool KLI_Create.exe in the Tools folder may be useful when you want to create a *.KLI file with monthly average values for temperature and humidity, no rain and no radiation.

Previous topic: The *.WBC Format for Climate Data Topic 35 Next topic: The *.AGD File


The *.AGD File

The climate files usually contain the solar radiation impinging onto a horizontal surface (exception: *.KLI files). If a hygrothermic simulation of a non-horizontal building component shall include the effect of solar radiation, the radiation component impinging on the surface must be determined for each time step, depending on the surface's orientation and inclination. This requires computing the sun's position in the sky for that time step, and therefore WUFI needs information on the geographical coordinates and the time zone of the location where the weather data were measured.

Depending on the climate file format, this information may not be present in the file itself and must then be supplied separately.
For the climate files delivered with WUFI, the information is either present in the files or it has been listed in the database. For climate files created by the user, it may be necessary to also create a corresponding *.AGD file ("additional geographic data").

Example (cf. example.agd in the Projects folder):

Additional Geographic Data

Showing data for Holzkirchen as an example
Longitude,Latitude  [°] (East,North is Positiv)
HeightAMSL          [m]
TimeZone            [hours from UTC]

[WUFI]
Longitude=11.73
Latitude=47.88
HeightAMSL=680
TimeZone=1

The lines preceding the section marker [WUFI] will be ignored and may contain any comments. The section [WUFI] lists those data describing geographical longitude, geographical latitude, height above mean sea level and time zone that are missing in the climate file itself. These are in particular:

File format: | Longitude | Latitude | Height | TimeZone
*.WET | x | x | x | x
*.TRY | - | - | - | x
*.DAT | x | x | x | x
*.IWC | - | - | - | -
*.KLI | - | - | - | -
*.WBC | - | - | - | -

The "TimeZone" is indicated by the difference between the time zone of the measurement location and the Greenwich time zone (UTC) in hours (examples: Central European Time = 1; Eastern Standard Time = -5).

If the AGD file contains data that are already present in the climate file, but with different values, WUFI uses the values from the climate file.

The name of the AGD file must be the name of the corresponding climate file, with the extension .AGD added, e.g. Aberystwyth.TRY.AGD. WUFI expects the file in the same folder as the corresponding climate file.

Previous topic: The *.KLI Format for Climate Data Topic 36 Next topic: Sources for Climate Data


Sources for Climate Data

Several climate files are supplied with WUFI. The following are some sources offering weather data for additional locations. WUFI can read the respective file formats; the user must judge to which degree these data are useful and appropriate for his specific application.

Test reference years:

The German National Meteorological Service DWD offers test reference years for all climatic regions in Germany, representing typical as well as extreme weather situations:

"New Test Reference Years (TRYs) have been worked out for Germany. Test Reference Years are datasets of selected meteorological elements for each hour of the year. They provide climatological boundary conditions for simulating calculations on an hourly basis, in the first place for the operation of heating and air conditioning systems. On the basis of a factor and cluster analysis the Federal Republic has been divided into 15 regions. For each region a representative station has been determined and a Test Reference Year has been prepared. They replace the previous Test Reference Years of the old West German states. For those states which acceded to the Federal Republic after unification such datasets are available for the first time. A Test Reference Year contains characteristic weather data of a representative year. The weather sequences have been chosen on the basis of an analysis of the Grosswetterlagen in such a way that the seasonal mean values of the individual meteorological elements (especially of temperature and humidity) of the representative stations mainly correspond with their 30-years mean values. As heating and air conditioning equipment also have to be designed for extreme situations, additional datasets with the same data structure for a very cold winter (December 1984 to February 1985) and an extremely hot summer (June to August 1983) have been compiled."

(http://www.dwd.de/de/wir/Geschaeftsfelder/KlimaUmwelt/Leistungen/Statistiken/TRY/TRY.htm)

Unfortunately, these new test reference years (as opposed to the 'old' test reference years of 1986) do not contain precipitation data any more. They are thus not suitable for investigations involving the influence of rain.

The representative stations for the test reference years have already been predefined in WUFI's climate selection map. Just copy the respective files into WUFI's Climate folder, on the next start WUFI will recognize the files. They can then easily be selected via the climate selection map.

METEONORM:

The Swiss METEOTEST company has developed METEONORM, a program for creating synthetic hourly weather data, based on measured long-term mean values:

"METEONORM 5.0 (Edition 2003) is based on over 18 years of experience in the development of meteorological databases for energy applications. It is a comprehensive meteorological reference, incorporating a catalogue of meteorological data and calculation procedures for solar applications and system design at any desired location in the world. METEONORM addresses engineers, architects, teachers, planners and anyone interested in solar energy and climatology.
...
Several databases from different parts of the world have been combined and checked for their reliability. In the present version, most of the data is taken from the GEBA (Global Energy Balance Archive), from the World Meteorological Organization (WMO/OMM) Climatological Normals 1961-1990 and from the Swiss database compiled by MeteoSwiss.
Monthly climatological (long term) means are available for the following parameters:
• global radiation
• ambient air temperature
• humidity
• precipitation, days with precipitation
• wind speed and direction
• sunshine duration
...
For many regions of the world, measured data may only be applied within a radius of 50 km from weather stations. This makes it necessary to interpolate parameters between stations. Interpolation models for solar radiation, temperature and additional parameters, allowing application at any site in the world, are included in the software.
...
From the monthly values (station data, interpolated data or imported data), METEONORM calculates hourly values of all parameters using a stochastic model. The resulting time series correspond to "typical years" used for system design.

(http://www.meteotest.ch/en/mn_description?w=ber)

Note: METEONORM can create files in the TRY format which can be directly read by WUFI.

Austrian Test Reference Years

In addition to the three weather files included with WUFI, weather data for numerous other Austrian locations are available.

The distributor for these data is

QUADRUPLE-M Elsässer GmbH
Technisches Büro für Bauphysik
GF Dr. Manfred Elsässer
Erzherzog-Eugen-Straße 14/1
A-6020 Innsbruck

Tel. and Fax | +43 512 251401
Fax | +43 512 378550
Mobile | +43 664 4324814
E-mail | office@quad-m.at or manfred.elsaesser@uibk.ac.at

ASHRAE CD-ROM: International Weather for Energy Calculations (IWEC)

"Contains "typical" weather data in ASCII format, suitable for use with building energy simulation programs, for 227 locations outside the USA and Canada. The files are derived from up to 18 years of DATSAV3 hourly weather data originally archived at the National Climatic Data Center. The weather data are supplemented by solar radiation estimated on an hourly basis from earth-sun geometry and hourly weather elements, particularly cloud amount information. This CD is the result of ASHRAE Research Project 1015. The CD contains the user's manual and complete research report in PDF, the weather data in printable ASCII format and a version of Adobe Acrobat Reader. To run Acrobat Reader, a 486 or Pentium-based computer and either Microsoft Windows 95 or Windows NT 3.5 or later is required. Will also run on a Macintosh. For Windows 95 and NT, 8MB or RAM (16MB recommended) and 10MB of free hard-disk space are required."

(http://resourcecenter.ashrae.org/store/ashrae/newstore.cgi?itemid=9448&view=item&page=1&loginid=2167053&words=iwec&method=and&)

Note: the IWEC weather data do not contain quantitative rain data but only a rain indicator reporting rain intensity categories like "light", "moderate", "heavy", etc. As long as it has not been worked out which representative hourly quantities corresponding to these categories should be used in hygrothermic simulations, WUFI will not use rain data in calculations performed with *.IWC files.

Japanese Weather Data

Weather data for 842 Japanese locations are available (Expanded AMeDAS Weather Data).

The distributor for these data is

http://www.f-ei.jp/wufi_pro.html

These locations have already been predefined in WUFI's climate selection map (see there for a list of locations). Just copy the respective files into WUFI's Climate folder; on the next start WUFI will recognize the files. They can the easily be selected via the climate selection map.

Previous topic: The *.AGD File Topic 37 Next topic: Overview of WUFI's Dialog Structure


Overview of WUFI's Dialog Structure

This list contains a description of all menu items and of all dialogs, including dialogs which are not directly accessible via the menus, but as sub-dialogs of other dialogs:

WUFI-2D:

File:

• | New
 | Wipes WUFI's memory clean and starts a new project.
• | Open Project...
 | Displays a dialog in which you can specify the directory where your project data reside.
• | Revert to last saved
 | Reverts the project to its last version saved in the cache directory, thus providing a rudimentary undo function.
• | Save
 | Saves the project data to the save directory.
• | Save Project As...
 | Asks for a save directory and writes the project data there.
• | Import...
 | Imports archived project files.
• | Export...
 | Creates an archive file from your project data.
• | Exit
 | Closes WUFI-2D.

Input:

• Project
This dialog can be used as a memo pad for some administrative project info.
• Geometry
Here you define the geometry of the component by assembling it from rectangular elements.
• | Page Setup
 | Use this dialog to define the home position and the default magnification for the component graphics.
• | Load From File
 | Load a PostScript file describing the geometry of the component
• | Save To File
 | Save the script describing the geometry as a PostScript file.
• Grid
Specify the numerical grid for the component.
• | Page Setup
 | Use this dialog to define the home position and the default magnification for the component graphics.
• Materials
Assign material properties to the different elements of the component.
• Page Setup
Use this dialog to define the home position and the default magnification for the component graphics.
• Allocation of Properties (Material)
This dialog displays a list of materials that have so far been assigned to different elements of the component. You can assign an existing material to the component, add new materials you want to assign to the component, and edit the properties of existing materials.
• | Material Database
 | You can select a new material from the material database.
• | Material Properties
 | You can edit the properties of a material to better suit your needs.
• Initial Conditions
Specify the temperatures and relative humidities existing in the different elements of the component at the start of the component.
• Surface/Climate
Assign surface coefficients and climatic boundary conditions to the different surface segments of the component.
• Page Setup
Use this dialog to define the home position and the default magnification for the component graphics.
• Allocation of Properties (Surface/Climate)
This dialog displays a list of surface coefficients and climatic conditions that have so far been assigned to different surface segments of the component. You can assign a list entry to a surface segment of the component, add new list entries or edit existing ones.
• Edit Surface Coefficients
• Edit Climate
You can edit the surface coefficients and select the climate to be assigned to a surface segment of the component.
• Select Climate
Select the climate to be assigned to a surface segment. You may use measured climate data, schematic sine curves or interior climates derived from exterior climate data.
• | Select Climate File (from map)
• | Select Climate File (File Browser)
 | If you want to read the climate data from a file, you can select the file from a map (for files included with WUFI) or with a file browser (for files provided by yourself).
• | Detailed Options
 | If you are reading the climate data from a file, you may make use of special options provided by some file formats.
• Computational Parameters
The options offered in this dialog allow you to control the way the calculation is done.

Processing:

Click Start to run the calculation. You may Suspend or Terminate the calculation at any time; the results accumulated so far remain accessible and can be analysed.
• | Edit Input File
 | WUFI experts may edit the input file which transfers all the input data to WUFI's numerical processor.

Output:

• | View the Results
 | Launches the program WUFI2Dmotion which displays the results as animated 3D graphs.
• | View the Results (1D)
 | Launches a program which allows you to select regions of interest in the component and to analyse the temporal behavior of the mean temperatures, humidities etc. in this region.
• | View Report
 | Creates a report detailing all the project data and launches the web browser to display it.

Database:

• Material
The material database dialog allows you to browse the material database and to create new catalogs and materials.
• | Edit Catalog
 | Use this dialog to create a new catalog for user-defined materials
• | New Material
 | Use this dialog to create a new material.
• Constructions
The database also contains a collection of one-dimensional building components. In WUFI-2D these are currently not accessible.

Options:

• | Settings
 | Specify the cache directory in which you are working, the home directory for saving projects, the database language and a few other settings.
• | Set As Default
 | This option allows you to define the current project as the default project.
• | Reset Default
 | This option resets a previous definition of a default project.
• | Administrate Modules
 | (This menu item is currently not used)
• | Export...
 | Creates a self-extracting compressed file containing the result file and the result viewer WUFI-2D Motion.
• | Customize
 | (This menu item is currently not used)

Help:

• | Contents
 | This menu item opens the contents dialog of the on-line help system.
• | Topic Search
 | This menu item opens the keyword search dialog of the on-line help system.
• | About
 | This menu item displays the version number of WUFI-2D.

WUFI-2D Motion:

There is currently only a very short description of the WUFI-2D Motion program for visualizing the calculation results.

Previous topic: Sources for Climate Data Topic 38 Next topic: Menu: File


Menu: File

• | New
 | Wipes WUFI's memory clean and starts a new project.
• | Open Project...
 | Displays a dialog in which you can specify the directory where your project data reside.
• | Revert to last saved
 | Reverts the project to its last version saved in the cache directory, thus providing a rudimentary undo function.
• | Save
 | Saves the project data to the save directory.
• | Save Project As...
 | Asks for a save directory and writes the project data there.
• | Import...
 | Imports archived project files.
• | Export...
 | Creates an archive file from your project data.
• | Exit
 | Closes WUFI-2D.
Previous topic: Overview of WUFI's Dialog Structure Topic 39 Next topic: Menu: File | New


Menu: File | New

This menu item wipes WUFI's memory clean and starts a new project.

Previous topic: Menu: File Topic 40 Next topic: Menu: File | Open Project...


Menu: File | Open Project

Previous topic: Menu: File | New Topic 41 Next topic: Menu: File | Revert to Last Saved

Menu: File | Open Project...

This menu item displays a dialog from which you can select the directory containing the files of the project you wish to open.

Previous topic: Menu: File | New Topic 41 Next topic: Menu: File | Revert to Last Saved


Menu: File | Revert to Last Saved

This menu item reverts the project to its last version saved in the cache directory, thus providing a rudimentary undo function.

Previous topic: Menu: File | Open Project... Topic 42 Next topic: Menu: File | Save


Menu: File | Save

This menu item saves the project data to the save directory.

Previous topic: Menu: File | Revert to Last Saved Topic 43 Next topic: Menu: File | Save Project As...


Menu: File | Save Project As...

This menu item asks for a save directory and writes the project data there.

Previous topic: Menu: File | Save Topic 44 Next topic: Menu: File | Import...


Menu: File | Import

Previous topic: Menu: File | Save Project As... Topic 45 Next topic: Menu: File | Export...

Menu: File | Import...

This menu item imports archived project files.

Previous topic: Menu: File | Save Project As... Topic 45 Next topic: Menu: File | Export...


Menu: File | Export

Previous topic: Menu: File | Import... Topic 46 Next topic: Menu: File | Exit

Menu: File | Export...

This menu item creates an archive file from your project data.

Previous topic: Menu: File | Import... Topic 46 Next topic: Menu: File | Exit


Menu: File | Exit

This menu item closes WUFI-2D.

Previous topic: Menu: File | Export... Topic 47 Next topic: Menu: Input


Menu: Input

Previous topic: Menu: File | Exit Topic 48 Next topic: Dialog: Project

Input:

• Project
This dialog can be used as a memo pad for some administrative project info.
• Geometry
Here you define the geometry of the component by assembling it from rectangular elements.
• | Page Setup
 | Use this dialog to define the home position and the default magnification for the component graphics.
• | Load From File
 | Load a PostScript file describing the geometry of the component
• | Save To File
 | Save the script describing the geometry as a PostScript file.
• Grid
Specify the numerical grid for the component.
• | Page Setup
 | Use this dialog to define the home position and the default magnification for the component graphics.
• Materials
Assign material properties to the different elements of the component.
• Page Setup
Use this dialog to define the home position and the default magnification for the component graphics.
• Allocation of Properties (Material)
This dialog displays a list of materials that have so far been assigned to different elements of the component. You can assign an existing material to the component, add new materials you want to assign to the component, and edit the properties of existing materials.
• | Material Database
 | You can select a new material from the material database.
• | Material Properties
 | You can edit the properties of a material to better suit your needs.
• Initial Conditions
Specify the temperatures and relative humidities existing in the different elements of the component at the start of the component.
• Surface/Climate
Assign surface coefficients and climatic boundary conditions to the different surface segments of the component.
• Page Setup
Use this dialog to define the home position and the default magnification for the component graphics.
• Allocation of Properties (Surface/Climate)
This dialog displays a list of surface coefficients and climatic conditions that have so far been assigned to different surface segments of the component. You can assign a list entry to a surface segment of the component, add new list entries or edit existing ones.
• Edit Surface Coefficients
• Edit Climate
You can edit the surface coefficients and select the climate to be assigned to a surface segment of the component.
• Select Climate
Select the climate to be assigned to a surface segment. You may use measured climate data, schematic sine curves or interior climates derived from exterior climate data.
• | Select Climate File (from map)
• | Select Climate File (File Browser)
 | If you want to read the climate data from a file, you can select the file from a map (for files included with WUFI) or with a file browser (for files provided by yourself).
• | Detailed Options
 | If you are reading the climate data from a file, you may make use of special options provided by some file formats.
• Computational Parameters
The options offered in this dialog allow you to control the way the calculation is done.
Previous topic: Menu: File | Exit Topic 48 Next topic: Dialog: Project


Dialog: Project

This dialog serves as a memo pad for some administrative project info which can thus be kept together with the calculation results.
All these inputs are optional; they only have an informative character for the user.

Previous topic: Menu: Input Topic 49 Next topic: Dialog: Geometry


Dialog: Geometry

This dialog serves to define the two-dimensional geometrical arrangement of the individual elements which make up the construction and which are filled with the appropriate materials in a later step.

The construction has to be built up from rectangular elements. More complicated shapes must be broken down into rectangles:

The construction is most easily defined by drawing the constituent rectangles in the graphics area of the present dialog. Fine-tuning can later be done by editing the graphics script that is automatically generated by WUFI in the lower part of the dialog as you draw the construction.

Add a new element: the first rectangular element can be drawn at any location of the graphics area. Any subsequent elements must have at least one corner point in common with an existing rectangle: point the cursor at an existing corner, marked with a dot, and drag the rectangular outline to the intended shape. Refer to the rulers along the borders for proper dimensioning. The dots are 'magnetic' to help you in precisely positioning the cursor.
You may delete a rectangle by removing its description from the graphics script below.
The construction as a whole need not be rectangular.

Scroll: Press the CTRL key and the left mouse button, and drag the graph of the construction into a convenient position.

Zoom in: Press the SHIFT key and the left mouse button, and drag a zoom frame over the part of the construction to be zoomed, moving from top left to bottom right.

Zoom out: Press the SHIFT key and the left mouse button, and drag open a zoom frame of arbitrary size at an arbitrary location, moving from bottom right to top left. This will reset the magnification to default and undo any scrolling.

Tips: It will be useful to put the lower left corner of the assembly at the coordinate origin (0, 0); this makes it easier to match the desired dimensions of the assembly and its elements to the coordinates displayed on the rulers and used by the graphics script.
If you shift the home position of the coordinate origin a small distance away from the coordinate origin (say by (100, 100)), then after zooming out the construction will stay clear of the edges of the graphics area and allow easier access for editing.

This graphical interface provides an easy way for defining and positioning the elements of the construction. If you need finer control you may edit the graphics script that is automatically generated by WUFI in the script window in the lower part of the dialog as you draw the construction.

Previous topic: Dialog: Project Topic 50 Next topic: Dialog: Geometry, PostScript-Interpreter


Dialog: Geometry, PostScript-Interpreter

Previous topic: Dialog: Geometry Topic 51 Next topic: Dialog: Page Setup

Dialog: Geometry - PostScript Interpreter

If you need finer control over the geometry of the construction than is possible with the graphical editor you may edit the graphics script that is automatically generated by WUFI in the script window in the lower part of the dialog as you draw the construction.

The script uses a subset of the "Postscript" graphics language. WUFI has a Postscript interpreter that processes the script and accordingly draws the construction in the graphics area in the top part of the geometry dialog. You can edit the script as needed; the Postscript interpreter will update the graphics as soon as you hit ENTER. Use CTRL+ENTER to create a new line.

Postscript is a stack-oriented language. A stack is a "last-in-first-out" (LIFO) data structure that holds the operands to be fed to an operator, and the result(s) of the operator's action, if any. An operator removes its operands from the stack (if any) and puts the returned results on the stack (if any). The order of the operands on the stack is therefore crucial for proper working of a script.

The postscript interpreter manages its own internal operand stack for alphanumerical input and output; graphical output is directed towards the graphical editor area.

Example:
The operand add applied to the stack containing the operands

2 3

in the two topmost positions reads the two numbers from the stack, adds them and returns

5

to the stack.

A graphics path consists of a sequence of connected or unconnected points, lines and curves that together describe shapes and their positions. It is built up through the sequential application of path construction operators, each of which modifies the current path in some way, usually by appending one new element. Path construction operators include newpath, moveto and lineto. The trailing endpoint of the segment entered most recently is the current point. A newly appended sup-path usually starts at the current point.

Once the graphics path has been defined completely, it can be rendered on the page by invoking a painting operator, such as stroke or fill. The graphics path then acts as an implicit operand for this operator, i.e. it does not appear explicitly on the operand stack.

Other implicit parameters for the painting operators include the current color, current line thickness etc. These constitute the current graphics state which determines the details of how the current path is rendered by a painting operator. A graphics state stack allows to save and later restore a graphics state by invoking the operators gsave and grestore. This can be useful for temporary use of modified graphics attributes (different colors or line thicknesses etc.) and easy restoring of the standard graphics state.
In particular, the graphics state contains the current path, which can thus be saved and re-used by means of the gsave and grestore operators.

The coordinates used as operands for most of the graphical operators refer to the user space coordinate system. These coordinates are indicated on the rulers along the borders of the graphics area. The Postscript interpreter automatically applies an appropriate transformation to these coordinates in order to convert them to the coordinate system of the output device (that is, to the device space, e.g. the pixel array on a screen). This transformation is internally represented by the current transformation matrix (CTM). The CTM can be modified by transformation operators, such as translate, rotate etc. The CTM is part of the graphics state and can thus be saved and restored.

The Postscript operators implemented in the WUFI2D construction editor are:

add | adds two numbers Example: 2 3 add -> 5
bind | ...
closepath | closes the current subpath by appending a straight line segment connecting the current point to the subpath's starting point. Example: 0 0 moveto 1 1 lineto 2 0 lineto closepath defines a closed triangle as the graphics path, which can subsequently be filled with a color (see fill) or drawn as a line figure (see stroke).
def | defines a macro (i.e. a command) for later use.
div | divides the second stack element by the topmost stack element. Example: 3 2 div -> 1.5
dup | duplicates the top element on the stack Example: 3 dup -> 3 3
exch | exchanges the top two elements on the operand stack. Example: 2 3 exch -> 3 2
fill | paints the area enclosed by the current path with the current color Example: 0 0 moveto 1 1 lineto 2 0 lineto closepath fill fills the triangle defined by the current path with the color currently defined in the graphics state (see setrgbcolor).
findfont | pushes a font on the operand stack for subsequent use or manipulation. See setfont.
grestore | replaces the current graphics state with the one on the top of the graphics state stack, thus restoring the graphics state in effect at the time of the matching gsave. This operator provides a simple way to undo modifications to the graphics state without having to re-establish all graphics state parameters individually. Example: gsave 1.5 setlinewidth stroke grestore temporarily sets the linewidth to 1.5 units and renders the current path; then restores the original settings, including the current path which may thus be drawn or filled once more, possibly using another setting of graphics parameters.
gsave | pushes a copy of the current graphics state on the graphics state stack. The saved state may later be restored by a matching grestore.
lineto | appends a straight line segment to the current path, extending from the current point to the provided coordinates. Example: 1 2 moveto 4 5 lineto stroke draws a straight line from the point (1; 2) to the point (4; 5).
moveto | starts a new subpath of the current path by setting the current point to the provided coordinates. Example: 0 0 moveto
mul | multiplies two numbers. Example: 2 3 mul -> 6
imul | multiplies two integer numbers
neg | returns the negative of the operand Example: 3.14 neg -> -3.14
newpath | initializes the current path to be empty, causing the current point to be undefined. Example: newpath 0 0 movetoy 1 1 lineto creates a current path containing only a straight line segment from the point (0; 0) to the point (1; 1). Without the newpath, this line segment would have been appended to an existing current path, if any existed.
rlineto | relative lineto; appends a straight line segment to the current path, but the provided operands are interpreted as displacements relative to the current point rather than absolute coordinates. Example: newpath 1 1 moveto 2 3 rlineto creates a straight line segment from the point (1; 1) to the point (3; 4).
rmoveto | relative moveto; starts a new subpath of the current path, but the provided operands are interpreted as displacements relative to the current point rather than absolute coordinates.
rotate | adds to the CTM a rotation through the specified angle about the coordinate origin. All subsequently drawn graphics will appear rotated in the graphics area. The WUFI-2D interpreter only allows angles which are a multiple of 90°. Example: 90 rotate rotates all subsequently drawn graphics by 90° counterclockwise.
scale | adds a scale change to the CTM. Requires two scale factors s_x and s_y as operands and makes the x and y units in the user coordinate system the size of s_x and s_y units in the former user coordinate system. Example: 2 0.5 scale has the effect of stretching the x dimensions of subsequently drawn elements by a factor two, and of shrinking the y dimensions of subsequently drawn elements by half.
scalefont | expects a font and a scale factor on the stack, applies the scale factor to the font and returns the scaled font to the stack. The characters of a standard font have a line height of 1 unit; after scaling by a factor s the font will be s units high. See setfont.
setfont | establishes the font on the stack as the current font to be used by subsequent character operators, such as show. Use findfont to push the desired font on the stack. Use scalefont to scale it as needed. Then make it the current font using setfont. Example: /Arial findfont 20 scalefont setfont 50 50 moveto (outer surface) show establishes Arial with a height of 20 units as the current font and writes the string "outer surface" at the coordinates (50; 50).
setlinewidth | sets the line width parameter in the graphics state to the value indicated by the operand. This controls the thickness of lines rendered by subsequent execution of the stroke operator. Example: 0.5 setlinewidth sets the line width of all subsequently rendered lines to 0.5 units.
setrgbcolor | sets the current color parameter in the graphics state to a color described by the parameter red, green and blue, each of which must be a number in the range 0 to 255. This establishes the color subsequently used to paint shapes, such as lines, areas and characters, in the graphics area. Example: 0 0 255 setrgbcolor sets the color of subsequently drawn shapes to blue.
show | paints a specified text string in the graphics area, starting at the current point and using the font face, size and orientation specified by the most recent setfont. Example: 300 400 moveto (outer surface) show writes the text 'outer surface' to the graphics area, starting at the point (300; 400), which has been specified as the current point by the moveto operator. After execution, the current point is at the end
stroke | paints a line as defined by the current path, using the current color.
translate | adds a translation to the CTM. Requires two operands t_x and t_y, and moves the origin of the user coordinate system by t_x units in the x direction and t_y units in the y direction relative to the former user coordinate system. Example: 10 20 translate shifts all subsequently drawn elements 10 units to the right and 20 units up.
% | Lines starting with this character will be ignored. They can serve as comment lines.
/ | This character starts a literal string.
Previous topic: Dialog: Geometry Topic 51 Next topic: Dialog: Page Setup


Dialog: Page Setup

Use this dialog to define the home position and the default magnification for the assembly graphics. You can access it from the Geometry dialog, the Grid dialog, the Materials dialog and the Surface/Climate dialog with a right-click in the graphics area.

Origin x [mm]:
Origin y [mm]:

Defines the home position of the coordinate origin at x mm to the right and y mm above the lower left corner of the graphics area.

Scale [mm/pxl]:

Defines the default magnification to which the graphics area returns when you zoom out.

Previous topic: Dialog: Geometry, PostScript-Interpreter Topic 52 Next topic: Dialog: Grid


Dialog: Grid

Use this dialog to specify the numerical grid for the component.

The transport equations cannot be solved analytically. To allow a numerical treatment, the building component must be divided into discrete grid elements. WUFI can automatically generate a general-purpose grid which will suffice for most cases (you can select one of three degrees of fineness for the grid).
In special cases (e.g. severe interstitial condensation in a narrow region) you may need to adapt the grid manually.

WUFI subdivides the component into a succession of layers in x and y direction. The widths of the individual layers are determined by the geometry of the component. For each layer, its grid is defined by specifying the number of grid elements in that layer and an expansion factor. The expansion factor is the ratio of the thicknesses of two adjacent grid elements in the layer. An expansion factor different from 1 will result in a smoothly expanding (>1) or contracting (<1) grid.
A table in the lower part of the dialog lists the layers and their widths, and for each layer the number of grid elements, the expansion factor and the resulting thickness of the first and last grid element in the layer.

Usually, WUFI automatically determines all these quantities by itself, but you can also manually adjust the grid parameters of each layer (see below).

For the discretisation of the transport equations, the values of the calculated temperatures and humidities are assumed to be constant across each grid element. Therefore, the size of each element should be chosen so as to make this assumption approximately valid, taking the local conditions into account. In general, this requires the use of small elements in regions where steep moisture or temperature gradients are to be expected, and allows the use of larger elements in more placid regions to cut down on calculation effort.
In general, steep gradients are to be expected close to the boundaries of a layer, i.e., close to the surfaces of the component because of the influence of climate conditions, and close to internal material interfaces because of condensation. Less variation will occur in the middle of each material.
WUFI therefore subdivides the component into layers in such a way that there is always an even number of layers between two material interfaces. The automatic grid generator then chooses expansion factors which are alternately greater and less than 1, thus creating a grid which expands in the middle of a material and contracts towards material interfaces.

Min. # of elements,
Very thin materials will only contain a very small number of grid elements. Here you can specify the minimum number of grid elements allotted to a layer by the automatic grid generator . Reasons for wanting a higher minimum number of elements may be, among others:
  • your component contains a thin membrane whose vapor permeability depends on its moisture content (e.g. a polyamide membrane). The moisture profile across the membrane should then be resolved faithfully enough so that the total vapor permeability can be determined accurately.
  • you have a thin material in the component whose material parameters differ markedly from the materials around it (e.g. a vapor barrier). In order to determine the heat or vapor flows between adjacent grid elements, WUFI must combine the heat conductivities or vapor permeabilities of both elements into one single conductivity value describing the effective conductivity between the grid element centers. If the elements belong to materials with markedly different material properties, this results in "smearing" part of each material into the neighboring material. While confined to the edges of the materials, in thin materials this affects a relatively large part of the whole construction element and may affect its properties, e.g. the permeance of the vapor barrier. Increasing the number of grid elements limits this averaging effect to a smaller portion of the construction element.
Max. # of elements,
Enter here the maximum number of grid elements that is available for distribution across the component. Fine grids will try to use all of these elements, medium and coarse grids will use proportionately less. You may increase this number in order to get a finer grid, you may decrease the number (within limits) to speed up the calculation.
Total # of elements:
WUFI tells you how many grid elements were actually used for the grid.

Right-click on the data table to access options for the automatic grid generation or switch to the manual editing mode:

ModeX,
ModeY:
For the x or the y direction, select between three degrees of fineness for the automatic grid, or activate the manual grid editor mode.

Coarse
Medium,
Fine:
Select between a coarse, medium or fine grid. WUFI is in general quite robust with respect to the choice of the grid. Finer grids are only needed when fine details in the temperature or moisture fields need to be resolved, or when coarse grids create numerical problems.
Manual:
If you need more control over the grid, you may manually specify the grid in x- and/or y-direction by entering the desired number of elements and expansion factor for each layer. For numerical reasons, the widths of adjacent grid elements should not be too different. So please use only moderate expansion factors, and refer to the widths of the first and last element of each layer in order to achieve a smooth continuity of grid element widths across layer interfaces.
Previous topic: Dialog: Page Setup Topic 53 Next topic: Dialog: Materials


Dialog: Materials

After the geometry and position of an element have been defined, it must be filled with the appropriate material; that is, data describing the material properties must be assigned to the element.

A material may have different properties in x and y direction (example: the longitudinal capillary conductivity of wood is much larger than the radial conductivity). WUFI-2D therefore allows to assign different properties in the two directions.

Point the cursor at one of the elements to highlight it and to display a help tip showing any existing assigned materials.
• | Pressing the left mouse button will assign properties for the x direction, and for the y direction if the latter is still empty.
• | Pressing the right mouse button will assign properties for the y direction.

So in order to assign the same properties for both directions, simply use the left mouse button while both directions are still empty.
In order to assign different properties, you may either first fill both with the left button and then change the y-property with the right button, or you may first fill the y-property with the right button and then the x-property with the left button.

The mouse click will open the dialog "Allocation of properties (Material)" in which you can specify the material properties to be assigned.

You may scroll and zoom the graph the same way you did in the Geometry dialog.

In order to unassign a material from the element, open the material allocation dialog with a right- or left-click (as above) and press that dialog's Unassign button.

Previous topic: Dialog: Grid Topic 54 Next topic: Dialog: Allocation of Properties (Material)


Dialog: Allocation of Properties (Material)

This dialog serves to assign material properties to an element of the component. It presents a list of materials that have already been assigned to an element.

The material currently assigned to the element (if any) is highlighted in a purple tint for reference. Select the desired material if it is already in the list and press the Assign button to assign the material to the element.

Press the New button to add a new material to the list. The material database dialog opens which allows you to select a material from WUFI's material database. The selected material is added to the list.

Select a material and press the Copy button to add a copy of this material to the list. The copy may serve as a starting point for creating a material with slightly different properties. Also, if two sections of the component shall contain the same kind of material but start with different initial temperatures or moisture contents, you may assign a copy of the material to the second section to be able to specify separate initial conditions for it.

In order to view or edit the data for a material in the list, select the material and press the Edit button. The Edit Material dialog opens which allows you to review or change the data for this material.
Double-click on the list entry to edit the name of the material.

If you want to remove a material assignment from the component, select it in the list and press the Unassign button. If you opened the property allocation dialog with the left mouse button, this will remove the assignment from the x direction; if you opened the dialog with the right mouse button, this will remove the assignment from the y direction. A material which is not assigned to at least one direction of one element of the component will automatically be removed from the list.

Previous topic: Dialog: Materials Topic 55 Next topic: Dialog: Material Database


Dialog: Material Database

Use this dialog to assign material properties from the database to the selected construction element.

The material data are organized by sources and by catalogs (1).
The source indicates the institution which has provided the data. You may select "All sources" in order to see all materials, or you may select only one source if only a subgroup of materials is relevant to your investigation.
For each source, the data have been organized in catalogs which comprise a specific category of building materials each (e.g. "Plasters and Mortars", "Insulation Materials", etc). Select "All catalogs" to view all materials of the selected source.

The materials contained in the selected sources and catalogs are displayed in the materials list (2). You may sort the materials by name or by one of the basic material parameters.

The basic material parameters are displayed within the list, the optional data (3) are displayed in a graph panel on the right side of the screen. Uncheck the option "Show optional data" to remove the panel and make more room for the list.
For some materials typical thicknesses are specified in a separate list box, but they are not used in the two-dimensional WUFI version.

Select the material to be assigned and press the "Assign" button (4), or simply double-click the desired material. This will transfer the material data as a new list item to the dialog "Allocation of Properties (Material)" from where it can be assigned to an element of the building component.

For a discussion of the material data, please consult the topic Material Data.

The predefined materials in the database are read-only and cannot be edited. However, you can edit the material data once they have been transferred to the allocation list and you can add your own materials to the database.

Please note: the database contains typical data for typical materials which are therefore suited to the investigation of typical situations.
The large variations often found in different batches of the same material or in equivalent materials of different manufacturers, and the influence of different standards of workmanship applied in different cases may lead to variations in the hygrothermal behavior of the investigated components.
When comparing simulations with real-life cases or drawing far-reaching (and maybe expensive) conclusions from simulations, you should be aware of possible sensitive reactions of the results on uncertainties or variations in the input data. It may be necessary to determine some input data very precisely to get a reliable result, while other input data may have no discernible effect on the results. Of course, you can use WUFI to perform a sensitivity analysis and to determine how sensitively the result depends on variations in the input data.

Previous topic: Dialog: Allocation of Properties (Material) Topic 56 Next topic: Dialog: Edit Material


Dialog: Edit Material

In this dialog you can view or edit the material data for the selected element of the building component.

For a detailed discussion of the material data, please consult the topic Material Data.

The Unlock Icon:
Unlock the material to edit it. Once the material has been unlocked, an asterisk to the left of its name indicates that it may not be identical any more with the original material from the database, as it may have been edited.
"Material Name":
The name of the material.
An asterisk to the left of the material name indicates that it has been unlocked and may not be identical any more with the original material from the database (see above).
"Basic Values"
"Bulk Density [kg/m³]",
"Porosity [m³/m³]",
"Spec. Heat Capacity [J/kgK]",
"Thermal Conductivity dry [W/mK]",
"Water Vapor Diffusion Resistance Factor dry [-]":
These basic material data are required as a minimum for a calculation.
"Generation Parameters":
Some of the material data in the section "Hygric Extensions" (see below) are difficult to acquire, but WUFI offers means generate them from standard data which can be collected more easily. These standard data are then "Generation Parameters"; which of them are required for this material depends on the settings in the "Hygric Extensions" dialog.

The generation parameters are discussed in the respective topics of the "Hygric Extensions" section.
"Additionals"
"Color":
Select the color of the material for the graphical component display.

"Typical Built-In Moisture [kg/m³]":
A typical application for WUFI is a calculation to determine the time it takes a newly-built wall to dry out. If a typical initial moisture content for the current material is known, you can enter it here to look it up later when you need it.

"Hygric Extensions":
Enter the hygric material data in these tables (if required).

The hygric extensions comprise the moisture storage function of the material, the liquid transport coefficients, the moisture-dependent thermal conductivity and the moisture-dependent vapor diffusion resistance factor.

The hygric extensions are always entered in tables. However, you can have WUFI automatically create some of these tables by entering other related data from which the tables can be generated.

"Moisture Storage Function":
Enter the moisture storage function of the material, i.e. the moisture contents [kg/m³] which result from exposition to different relative humidities (0..1).

If detailed tabulated data are not available, but the moisture storage function of the material can be adequately described by an approximation function, you can check the option "Generate" and enter in the section "Generation of the Moisture Storage function"
  • the sorption moisture corresponding to RH 0.8, w80 ("Reference Water Content [kg/m³]", as determined according to German standard DIN 52620),
  • the "Free Water Saturation [kg/m³]" wf and
  • RH and water content for a third point if you selected the "Enhanced" approximation function.

WUFI then uses an analytical moisture storage function which passes through these two or three points and the zero point.

For non-hygroscopic materials, just leave the table of the moisture storage function empty. For numerical reasons, however, WUFI needs a defined moisture storage function for all materials; it then internally uses a default function which allows for the very low sorption moisture of non-hygroscopic materials. For details on this default moisture storage function see the Questions & Answers section.

"Liquid Transport Coefficient"
Enter the liquid transport coefficients in this table - separately for suction and redistribution.

If the liquid transport coefficients for the material at hand are not known, you can have WUFI automatically generate a table by estimating the coefficients from the water absorption coefficient (A-value) which is known for most materials or is at least easily measurable.

To this end, check the option "Generate" and enter the A-value in the section "Generation Parameters" (in [kg/m²s1/2]; the relevant German standard uses the non-SI units [kg/m²h1/2]. Division by 60 converts such values to SI). WUFI automatically generates a three-line table with the corresponding estimated liquid transport coefficients.

Please note that only a rough estimate is possible which proves successful in many cases, but which is not necessarily useful for all materials. Especially, there may be inaccuracies in the shape of the suction profiles. Generating is just meant to be some assistance; you should not blindly rely on it. Future WUFI versions are planned to offer more sophisticated methods.

Remarks on generating:
  • The estimate of the liquid transport coefficients from the A-value also uses the moisture contents w80 and wf. If the moisture storage function is being approximated from w80 and wf (see above), the two values are directly taken from these two entries; otherwise they are calculated from the corresponding table - by interpolation, if necessary.
  • If no moisture storage function has been defined yet, generating is not possible - the table remains empty (but you can already enter the A-value).
  • If the moisture storage function is modified after generating, the generated table adapts automatically. Please note, therefore, that modification of a material property can also change another property as a side effect without this being immediately evident.
  • If you want to generate both the tables for suction and those for redistribution, both must of course be derived from the same A-value - the two tables therefore share this text box. Note that here, too, a modification intended to change one coefficient may entail changes in the other one (if you are generating only one of the tables and editing the other one by hand, the non-generated table is not affected by a modification of the water absorption factor, of course).

"Thermal Conductivity, Moisture-dependent":
Enter the heat conductivity of the material as a function of its moisture content if you want to allow for its moisture-dependent variability.

If you are satisfied with a simple linear dependence of the heat conductivity on the moisture content, you can have WUFI automatically generate a two-line table by entering the moisture-induced heat conductivity supplement.

To this end, check the option "Generate" and enter the supplement in the section "Generation Parameters" (in [%/mass-%]). WUFI automatically generates a two-line table with the heat conductivities resulting for the dry condition and the maximum water content. Heat conductivities for intermediate moisture contents are linearly interpolated during the calculation.

Remarks on Generating:
  • The evaluation of the heat conductivity for maximum water content also uses the basic material properties bulk density, porosity and heat conductivity dry. If these values are modified after generating, the generated table adapts automatically. Please note, therefore, that modification of a material property can also change another property as a side effect without this being immediately evident.
  • If the required basic material data have not all been defined yet, generating is not possible - the table remains empty (but you can already enter the supplement).

"Water Vapor Diffusion Resistance Factor, Moisture-dependent":
Enter the diffusion resistance factor of the material as a function of moisture content if you want to allow for its moisture-dependent variability.

General remarks on generating:

For all hygric material properties - except the diffusion resistance factor - WUFI is holding two tables in memory: one table created by hand (editable), and one generated table (non-editable). You can work on both tables in parallel; which of both is used for the calculation depends on whether the option "Generate" is activated at the start of the calculation, or not.

By activating or deactivating the option, you can switch between the two kinds of tables. The unused table remains inactive in background.
"Info"
The info text provides additional information about the material, such as sources of the data, peculiarities of the material etc.

"Details"
This tab will provide features used by future versions of WUFI-2D. Currently, WUFI-2D ignores them.
Previous topic: Dialog: Material Database Topic 57 Next topic: Dialog: Initial Conditions


Dialog: Initial Conditions

Specify the temperatures and moisture contents existing in the different materials of the component at the start of the calculation.
WUFI then initialises the temperature field and the moisture field of the component with the respective values (one of each in every grid element). The calculation will then start with these values and determine their further development in time.

For the initial moisture, you may specify either the initial moisture content [kg/m³] or the corresponding relative humidity [0..1]. WUFI will automatically update the respective other value, using the moisture storage function of that material.
If you enter a moisture content above free saturation, the corresponding relative humidity will only be specified as "supersaturated".

If you have to different sections in the construction which consist of the same material but shall have different initial temperatures or moisture contents, make a copy of the material and assign that to the second section.

Previous topic: Dialog: Edit Material Topic 58 Next topic: Dialog: Surface/Climate


Dialog: Surface/Climate

Assign surface coefficients and climatic boundary conditions to the different surface segments of the component.

Point the cursor at one of the surface segments of the component to highlight it. Press the mouse button to open the dialog "Allocation of properties (surface/climate) in which you can specify the surface transfer coefficients and climate data to be assigned to that surface segment.

You may scroll and zoom the graph the same way you did in the Geometry dialog.

In order to unassign the properties from the segment, open the material allocation dialog and press its Unassign button.

You can specify the colors and line widths of the default, selected and assigned surface segments in the dialog "Options Settings".

Previous topic: Dialog: Initial Conditions Topic 59 Next topic: Dialog: Allocation of Properties (Surface/Climate)


Dialog: Allocation of Properties (Surface/Climate)

This dialog serves to assign surface coefficients and climatic boundary conditions to a surface segment of the component. It presents a list with the properties that have been defined so far. Each list item comprises a specific set of surface transfer coefficients, climate data etc. If several surface segments share the same properties, it is sufficient to create one list item specifying these properties and to assign this item to all those surface segments.

If a list item has already been assigned to the surface segment under consideration, it is highlighted in a purple tint for reference. To re-use another one of the previously defined surface conditions, select it and press the Assign button.

Press the New button if you want to add a new set of properties to the list. This will create a new list entry with a provisional name.
This name is based on the name of the construction segment bounded by the surface in question, e.g. 'r5' if you left the automatically generated name, or 'brick' if you changed it to indicate the material of the element. It also indicates on which side of that element the segment is located. For example, '0@r5, 3@r5' means that the segment extends from point 0 of element r5 (the lower left corner) to point 3 of element r5 (the lower right corner).

For easier reference, you may double-click on the list entry and rename it appropriately (e.g. 'south facade', 'adiabatic system boundary' etc.)

Select a list item and press the Copy button to add a copy of this item to the list. The copy may serve as a starting point for creating a list item with slightly different properties.

In order to view or edit a list item, select it and press the Edit button. The Edit Surface Coefficients dialog opens which allows you to review or change the properties.

If you want to remove the properties assignment from the surface section, select the assigned properties in the list and press the Unassign button. A list item which is not assigned to at least one surface segment of the component will automatically be removed from the list.

Previous topic: Dialog: Surface/Climate Topic 60 Next topic: Dialog: Edit Surface Coefficients


Dialog: Edit Surface Coefficients

Use this dialog to specify the surface coefficients to be assigned to a surface segment of the component.

"Adiabatic / System Border":
If your component and the boundary conditions are symmetric with respect to some symmetry axis, then no heat or moisture transport will occur across the symmetry axis, even if the axis does not coincide with some impermeable construction element. You can save on computation time by modelling only one half of the construction and treating the symmetry axis as an impermeable boundary.
Checking this option will disable the edit boxes for the surface transfer coefficients and disallow any heat or moisture flow across this surface segment.

"Treat as Inner Surface":
WUFI automatically computes the vapor transfer coefficients from the heat transfer coefficients. The formula used for this distinguishes between exterior and interior surfaces. So if the surface segment under consideration is on the indoor side of the component, check this option; if the surface is on the outdoor side, leave the option unchecked.

"Sd value [m]",
"Vapor Transfer Coefficient [kg/m²sPa]":
There are two possible contributions to the water vapor transfer resistance at the surface:
  • the natural resistance due to the boundary air layer close to the surface. This resistance is usually computed by WUFI from the heat transfer coefficient specified for that surface and automatically taken into account (see below for how to override this if needed).
  • a possible additional resistance due to a surface coating, if such a coating shall be accounted for by only having its sd-value specified instead of being explicitly modelled in the component assembly (see the topic "Surface Coatings" for details).
This dialog offers two ways to specify the desired diffusion resistance:
  • Sd-value [m]:
    Use this option to specify an additional resistance, if any. WUFI will automatically compute and add the natural component. For example, if you wish to model a layer of tiles with sd = 2 m in this way, enter "2" as the sd-value.
    Note for the experts: if you enter a negative number here, WUFI will use it (with positive sign) as the total transfer resistance (i.e. it will add nothing). This may be useful if you need to specify a given total resistance in terms of an sd-value.
  • "Vapor Transfer Coefficient [kg/m²sPa]":
    Use this option to specify the total resistance, expressed in terms of the vapor transfer coefficient.

In most cases you will have no need to model any additional surface layer, and you'll want to leave it to WUFI to deal with the natural component of the transfer resistance. Then simply enter sd-value = 0.

"Heat Transfer Coefficient [W/m²K]":
The heat transfer coefficient governs the convective and (long-wave) radiative heat exchange between the component and the surroundings.

"Short-Wave Radiation Absorptivity [-]":
The short-wave radiation absorptivity determines the fraction of total incident solar radiation that is absorbed by the component.

"Long-Wave Radiation Emissivity [-]"
This coefficient controls the emission and absorption of thermal radiation. It is usually ignored by WUFI and can safely be set to zero.
If a weather file in Test Reference Year format (*.TRY or *.DAT) is used, WUFI will use the emissivity to estimate nighttime radiative cooling. However, we generally recommend to switch off the cooling effect by setting the emissivity to zero unless you have adequate counterradiation data. For a discussion of these issues please see the topic Long-wave Radiation Emissivity.

"Rain Water Absorption Factor [-]":
The rain water absorption factor takes into account that some of the rain water hitting the component surface splashes off on impact and is not available for capillary absorption. For ordinary walls, a value of 0.7 appears adequate for most cases. Set it to zero if the facade is protected from rain and no rain absorption shall take place at all. Set it to 1 if all rain water shall be available for absorption (as on a flat roof).

"Surface Type":
This option is not used in the current version of WUFI-2D.

"Surface Group":
This option is not used in the current version of WUFI-2D.

"Color in Model":
Select the color with which the surface segment whose properties you are editing shall be displayed in the component diagram.
Previous topic: Dialog: Allocation of Properties (Surface/Climate) Topic 61 Next topic: Dialog: Edit Climate


Dialog: Edit Climate

Use this dialog to select the climate to be assigned to the current surface segment of the component and to specify the orientation and exposure of the surface.

"Climate File"
Select the climate to which the current surface segment shall be exposed. The Browse button opens the "Select Climate" dialog where you can select from a variety of climate files (provided with WUFI or supplied by yourself) or different interior climate models.

"Orientation"
The azimuth is the compass direction towards which the building component is facing. It is needed for calculating the rain and radiation loads incident on the surface. Due south is 0°, north is 180°, east is -90° and west is 90°.
The inclination is the tilt of the surface. It is needed for calculating the rain and radiation loads incident on the surface.
90°: vertical surface
0°: horizontal surface

"Driving Rain Coefficients"
The driving rain coefficients are used to estimate the driving rain load on the building component. The rain load on a wall is determined by the driving rain rather than the normal rain.

The driving rain coefficients R1 and R2 serve to estimate the driving rain load on a surface of arbitrary orientation and inclination from data on normal rain, wind velocity and mean wind direction, using the relation
Driving rain load = rain · (R1 + R2 · wind velocity),

where 'rain' is the normal rain and 'wind velocity' is that component of the mean wind velocity (measured at a height of 10 m, in open area), which is orthogonal to the building surface. This component is determined from the mean wind velocity and the mean wind direction. The data on normal rain, wind velocity and wind direction are read from the selected weather file.

R1 and R2 are strongly dependent on the specific location on the building facade. For vertical surfaces, R1 is zero. R2 is about 0.2 s/m at free-standing locations without influence from surrounding buildings etc.; it is markedly less in the center of a facade (e.g. 0.07 s/m); it may even be greater at exposed locations of a building (near edges and corners).

Note: Since most component surfaces - with the exception of unrendered masonry and natural stone facades - only have a moderate water absorption, they cannot imbibe all the offered water anyway. In these cases, an exact knowledge of the driving rain quantity is not essential (whereas the duration of the rain is still important) and fairly plausible estimates for the driving rain load are usually sufficient (the same is true for the rain water absorption factor).

Previous topic: Dialog: Edit Surface Coefficients Topic 62 Next topic: Dialog: Select Climate


Dialog: Select Climate

At its surfaces the building component is exposed to the climatic boundary conditions which have a profound effect on its hygrothermic behaviour. As discussed in the topic Climate data, WUFI needs for each time step and for each of the surfaces data on the rain and radiation load acting upon the surface and on the temperature and relative humidity of the adjacent air.

A two-dimensional building component usually has several different surfaces which may be exposed to different climatic conditions. Each of the surfaces must be assigned its respective boundary conditions. The boundary conditions may be given as hourly data read from a climate file or as interior conditions derived from a climate file or as schematic yearly sine curves.

"Map/File":

Choose this option if the boundary conditions are to be read from a climate file.
The button "Browse..." (1) opens a dialog in which you can select the desired climate file on a map or through a file open dialog.
The button "Details..." (2) opens a subdialog which offers additional options, depending on the climate file format (e.g. to use measured surface or ground temperatures etc.).

Once you have selected a climate file, WUFI will plot the temperature and the relative humidity. The thin curves show the data read from the climate file, the bold curves represent the centered moving monthly means for easier visual accessibility. You may also have a climate analysis performed.

Click on the button "Analyze" to start the analysis. WUFI will display the minimum, maximum and mean values of temperature and relative humidity, the normal (i.e. vertical) rain sum and the directional distributions of solar radiation and driving rain:
The radiation rose shows the yearly sum of global radiation for receiving surfaces with different orientations and inclinations, the driving rain rose shows the yearly sum of driving rain on free-standing vertical surfaces (R2 = 0.2 s/m) with different orientations.

These data will give you an overview of the most important characteristics of the selected year. In particular, the radiation and rain roses show the directions from which the radiation and rain loads on the facade are mainly to be expected.

*.KLI files can not be analyzed, since their radiation and rain data have already been converted for a fixed orientation and inclination.
The analysis of *.WET files is independent of any options you may have selected in the "Details..." subdialog; that is, the temperature analysis always reads the air temperature from the file, the radiation analysis always reads the global and diffuse radiation on a horizontal surface and the driving rain analysis always reads the normal rain and the wind speed and direction.

If the boundary conditions assigned to a surface are being read from a climate file of *.WET, *.TRY, *.DAT, *.IWC, *.WAC or *.WBC type, you also need to specify the orientation and inclination of the facade so that WUFI can convert rain and solar radiation for that direction. If you use a *.KLI file, it is assumed that rain and radiation have already been converted for the proper orientation and inclination.

"Sine Curves":

In some cases it is sufficient to ignore short-term fluctuations of the boundary conditions and to consider only their long-term (e.g. yearly) trend (this is only possible if the highly variable quantities rain and solar radiation play no role anyway). Temperature and relative humidity may then be modelled by simple sine curves with yearly period, or even by constant values.
These conditions are usually met by the interior climate: the daily variations of indoor temperature and humidity are strongly damped by the heat and sorption capacities of the furnishings; the remaining fluctuations do not penetrate far into the building components and only have a negligible effect on their hygrothermal behaviour. If the component is not affected by rain and solar radiation, and if its hygrothermal inertia is large enough, even the exterior climate may be modeled in this simplified way.

WUFI generates the temperature as a sine wave with one-year period from the yearly mean value, the amplitude and the day of maximum specified by the user.
The default values suggested for indoor conditions (mean temperature: 20°C, amplitude: 1°C) correspond to typical temperatures in residential homes, as determined by measurements [1].
The default values suggested for exterior conditions (mean temperature: 9°C, amplitude: 9°C) correspond to typical conditions in Germany [1].

WUFI generates the relative humidity as a sine wave with one-year period from the yearly mean value, the amplitude and the day of maximum specified by the user.
The default values suggested for indoor conditions correspond to the average humidities in residential homes under low, normal and high moisture load [1].

The moisture load is the difference between the water vapor concentrations of the indoor and the outdoor air. It depends on the indoor moisture production and the air change rate.

moisture load [g/m³] = moisture production [g/m³h] / air change rate [1/h].

The default values suggested for exterior conditions (mean value: 80%, amplitude: 8%) correspond to typical conditions in Germany [1].

If you wish to use other values than the defaults, choose "User-Defined Sine Curve Parameters" from the drop-down list and enter your values in the text boxes which can now be edited. If you want to simply use constant values, you may hide the text boxes for amplitude and day of maximum by checking the option "constant".

Literature:

[1] WTA Guideline 6-2-01/E: Simulation of Heat and Moisture Transfer.

"EN 13788":

With this option you can derive an interior climate from an exterior climate, using the algorithm specified by DIN EN ISO 13788. Use the "Browse..." button to select the climate file which shall provide the source data.

For the relative humidity, you may select one of four predefined humidity classes from the drop-down list. You may also specify your own moisture load function by selecting "User-defined" from the drop-down list: there appears a table where you can enter your values for the function.

Method of calculation:

The relative humidity for the interior climate is determined from the interior air temperature (held fixed) and the absolute humidity Ni of the interior air. For Ni, we have:

Ni = Na + dN
Ni: interior absolute humidity,
Na: exterior absolute humidity
dN: moisture supplement, determined from q a by means of the moisture load function Na.
Na = j a *absolute-humidity-at-saturation(q a)
q a: monthly centered moving mean of exterior air temperature
j a: monthly centered moving mean of exterior relative humidity

"prEN 15026":

With this option you can derive an interior climate from an exterior climate, using the algorithm specified by prEN 15026. Use the "Browse..." button to select the climate file which shall provide the source data.

The interior air temperature is determined from the exterior air temperature by means of a transfer function; the interior relative humidity is also determined from the exterior air temperature by means of a transfer function:

q i = temperature-function(q a),
j i = humidity-function(q&bnsp;a).
q i: interior air temperature,
j i: interior relative humidity,
q a: daily centered moving mean of the exterior air temperature

For the relative humidity, you may select one of two predefined moisture loads from the drop-down list ("normal" and "high").

If the prEN 15026 option is used, no orientation and inclination needs to be specified, since it is then assumed that there is neither rain nor solar radiation acting on this surface.

"ASHRAE 160P"

With this option you can derive the interior climate from the exterior climate, using the algorithm specified by ASHRAE Standard 160P.

For details please refer to: ASHRAE Standard 160P, "Design Criteria for Moisture Control in Buildings" (Draft July 2006). WUFI determines the indoor climate by the method illustrated in "Flowchart 3. Indoor design humidity, intermediate method".

Previous topic: Dialog: Edit Climate Topic 63 Next topic: Dialog: Climate File | Select from Map


Dialog: Climate File | Select from Map

Dialog: Climate File | Select File

Those locations for which climate files are supplied with WUFI and some predefined locations for which climate files are available from other sources can be selected from this dialog's maps with a simple mouse click.
To select climate files created by yourself or acquired otherwise, please use the option "Select user-defined file".

You may zoom into the maps by dragging open a zoom frame from upper left to lower right at the desired location. You may pan a zoomed map with the right mouse button held down. You may zoom out by dragging open a zoom frame from lower right to upper left.

"Region/Continent":
Select the desired map. Currently Europe, North America and Japan are available.

"Location":
This drop-down list contains all the locations on the map in alphabetic sequence and offers an alternative way of selecting a location.

"Climate file",
If several files are available for a location (e.g. one warm and one cold year), you must select here the desired file.

"Remarks":
If comments or remarks are available for the selected file, they can be displayed here.

Currently, the following climate files are supplied with WUFI:

  • Holzkirchen (1991),
  • Kassel,
  • Vienna, Graz, Innsbruck
  • Zürich, Davos, Locarno (one 'warm' and one 'cold' year each),
  • Warsaw, Krakow, Kolbrzeg
  • Grenoble
  • Lissabon
  • Espoo (in the Finnish Pro version also Helsinki, Jyväskylä und Sodankylä)
  • 12 Norwegian cities
  • 55 US-American cities (the 10%-coldest and the 10%-warmest year selected from 30 years),
  • 9 Canadian cities (some of them with one warm and one cold year)
  • 7 Japanese cities.

The Holzkirchen weather data are supplied by IBP, other data are courtesy of Mr. William Seaton, ASHRAE (USA and Canada), Dr. K. Krec, Büro für Bauphysik (Austria), Dr. Ghazi Wakili, EMPA (Switzerland), Dr. W. Haupt, Uni GH Kassel (Kassel), CSTB (Grenoble), FEUP, Uni Porto (Lisbon), VTT (Finland), NBI/NTNU (Norway), TU Lodz (Poland) and the Architectural Institute of Japan (AMeDAS data for Japan).

The colors of the available locations indicate the file format of the respective weather files. Predefined locations for which weather data can be purchased separately are grey. Please copy such a file into WUFI's Climate folder; on the next start WUFI will recognize the file and display the location in color.
WUFI is prepared to read the Test Reference Years from the German Weather Service DWD, both the 'old' (Blümel et al., 1986, *.TRY; not offered any more by DWD) and the 'new' files (Christoffer et al., 2004, *.DAT).
There are also 842 predefined locations for Japan (depending on the WUFI version, data for one or seven locations are included with WUFI).
See the topic Sources for Climate Data for where to purchase such files.

The Holzkirchen climate file currently supplied with WUFI contains the measured data from 1991 which is considered typical for Holzkirchen. Future WUFI versions may come with two Hygrothermal Reference Years representing different stress situations for building components.

Dialog: Climate File | Select File

This dialog serves to select a user-defined climate file for the calculation. The files supplied with WUFI can be selected from maps.

"Browse...":
This button opens a file dialog in which you can select the desired file.

"Additional Geographic Data":
To be able to convert the solar radiation data contained in the climate files for receiving surfaces at arbitrary orientation and inclination, WUFI needs to compute the position of the sun in the sky, and for this it must know the geographic coordinates and the time zone of the climate location.
Since most climate file formats do not contain these data, they must be provided by some other means. For the files supplied with WUFI they have been filed in the database. For each user-defined climate file the user must create an *.AGD file with the relevant supplementary data.

Note: We recommend to always specify the climate file with its full path. Otherwise ambiguities might arise, especially if the climate file is accompanied by an *.AGD file.

Previous topic: Dialog: Select Climate Topic 64 Next topic: Dialog: Climate File | Select File


Dialog: Climate File | Select File

This dialog serves to select a user-defined climate file for the calculation. The files supplied with WUFI can be selected from maps.

"Browse...":
This button opens a file dialog in which you can select the desired file.

"Additional Geographic Data":
To be able to convert the solar radiation data contained in the climate files for receiving surfaces at arbitrary orientation and inclination, WUFI needs to compute the position of the sun in the sky, and for this it must know the geographic coordinates and the time zone of the climate location.
Since most climate file formats do not contain these data, they must be provided by some other means. For the files supplied with WUFI they have been filed in the database. For each user-defined climate file the user must create an *.AGD file with the relevant supplementary data.

Note: We recommend to always specify the climate file with its full path. Otherwise ambiguities might arise, especially if the climate file is accompanied by an *.AGD file.

Previous topic: Dialog: Climate File | Select from Map Topic 65 Next topic: Dialog: Climate File Details


Dialog: Climate File | Details

Some climate formats offer additional options:

*.WET files:

*.WET files can contain additional measured data that might be useful for a hygrothermic simulation:

"Temperature":
*.WET files may contain several columns with measured temperatures. WUFI usually reads and uses the air temperature. However, it may optionally read and use surface temperatures of a white and a black facade or the ground temperatures at different depths.
"Black surface",
"White surface":

A *.WET file created for Holzkirchen contains the measured surface temperatures of a 'white' ( as ~ 0.4) and a 'black' (as ~ 0.9) west-facing facade specimen modeled after an ETICS. If you want to expose your component to the same surface temperatures, select the respective option and set the heat transfer coefficient for the surface to a large number. WUFI then reads the corresponding temperature from the file and uses it as the 'air temperature' for the calculation; the large heat transfer coefficient takes care that the surface assumes the same temperature.
Using measured surface temperatures also requires proper treatment of other climate quantities:

"Relative humidity":
The relative humidity in the climate file is based on the temperature contained in the column 'Exterior air temperature'. If, instead, one of the surface temperatures is used as the 'air' temperature, this combination will result in wrong water vapor partial pressures at the component surface. The option "Adjust relative humidity" adjusts the relative humidity read from the file so that the correct partial pressures result at the surface.

"Radiation":
If the surface temperature of the component has been set to assume the measured surface temperature, "No radiation" must be used for the calculation, since the thermal effect of the solar radiation is already included in the measured temperature.

"Ground surface":
For calculating heat transport within the ground it may be helpful to use measured ground surface temperatures as boundary conditions. Select this option and set the heat transfer coefficient for the surface to a large number. WUFI then reads the corresponding temperature from the file and uses it as the ambient air temperature for the calculation; the large heat transfer coefficient takes care that the surface assumes the same temperature.
The ground surface temperatures recorded in Holzkirchen are measured a few centimeters below the actual surface.
Using measured ground surface temperatures also requires proper treatment of other climate quantities:

"Relative humidity":
The relative humidity in the climate file is based on the temperature contained in the column 'Exterior air temperature'. If, instead, the ground surface temperature is used as the 'air' temperature, this combination will result in wrong water vapor partial pressures at the component surface. The option "Adjust relative humidity" adjusts the relative humidity read from the file so that the correct partial pressures result at the surface.

"50 cm below ground surface",
"1 m below ground surface":
For the hygrothermal simulation of a component in contact with the ground (e.g. a cellar wall) it may be helpful to use measured ground temperatures as boundary conditions. Select the respective option and set the heat transfer coefficient for the surface to a large number. WUFI then reads the corresponding temperature from the file and uses it as the ambient air temperature for the calculation; the large heat transfer coefficient takes care that the surface assumes the same temperature.
If you want to allow for the thermal effect which the component has on the ground temperatures, insert a sufficiently thick layer of soil in front of the component and set the exterior surface of this layer to the measured temperatures.
Using measured ground temperatures also requires proper treatment of other climate quantities:

"Relative humidity":
The soil usually has a fairly "constant relative humidity"; if plant cover is present, the humidity is at least about 99%, since otherwise the plants could not overcome the soil's hydraulic tension and were not able to draw water from the ground. For simulation of components in contact with the ground, WUFI therefore uses a constant relative humidity as boundary condition whose value you can enter according to your wishes.
"Radiation":
Since there is "no radiation" within the ground, the solar radiation data from the climate file are ignored.

"Rain":
Since there is "no rain" within the ground, the rain data from the climate file are ignored. If you want to simulate the uptake of (pressureless) ground water, it would be preferable to use an appropriately tailored *.KLI file.

"Relative humidity":
Depending on the selected temperature option (see above) it may be necessary to adjust the relative humidity for a different temperature level or to set it constant.

"Radiation":
Depending on the selected temperature option (see above) it may be necessary to suppress solar radiation.

Otherwise, you have the option to bypass the usual conversion of solar radiation for the specific orientation and inclination of your facade, and to directly read and use radiation data measured on the facade (if available).

"Rain":
Depending on the selected temperature option (see above) it may be necessary to suppress rain.

Otherwise, you have the option to bypass the usual conversion from normal rain to driving rain and to directly read and use rain data measured on the facade (if available).
For this purpose, set the rain coefficients to R1=1 and R2=0.

Also, see The *.WET Format for Climate Data for details.

*.KLI files:

*.KLI files contain data describing the outdoor climate (rain, radiation, air temperature, relative humidity) and data describing the indoor climate (air temperature, relative humidity). This dialog allows you to specify which one of the two shall be applied to the surface segment under consideration.

*.TRY, *.DAT, *.WAC, *.IWC, *.WBC files:

No options are available for these file types.

Previous topic: Dialog: Select Climate File (with file browser) Topic 66 Next topic: Dialog: Select Columns of Boundary File


Dialog: Select Cols of Boundary File

Previous topic: Dialog: Climate File | Details Topic 67 Next topic: Dialog: Surface Flow

Dialog: Select Columns of Boundary File

This dialog is only needed for the fluid dynamics version of WUFI-2D.

Previous topic: Dialog: Climate File | Details Topic 67 Next topic: Dialog: Surface Flow


Dialog: Surface Flow

This dialog is only needed for the fluid dynamics version of WUFI-2D.

Previous topic: Dialog: Select Columns of Boundary File Topic 68 Next topic: Dialog: Inner Surface


Dialog: Inner Surface

This dialog is only needed for the fluid dynamics version of WUFI-2D.

Previous topic: Dialog: Surface Flow Topic 69 Next topic: Dialog: Inner Surfaces


Dialog: Inner Surfaces

This dialog is only needed for the fluid dynamics version of WUFI-2D.

Previous topic: Dialog: Inner Surface Topic 70 Next topic: Dialog: Computational Parameters


Dialog: Computational Parameters

The options available in this dialog allow you to control the way the calculation is done.

Simple

  • Start Date, Time

    Enter the starting date and time for the calculation. WUFI will search for this point in the climate file and start the calculation there.

    Most climate files represent typical climates and not individual years (e.g. "1995"). Therefore, any year number may be entered for the date.

    If the calculation period extends beyond the end of the year, WUFI starts reading the same climate file again from the beginning.
    If the calculation period spans more than one year, WUFI reads the same climate file repeatedly.

  • Number of Time Steps

    Enter the number of time steps WUFI shall perform during the calculation.

    The standard time step size is one hour. See the topic Background for a discussion on appropriate time step sizes. You may change the time step size in the "Enhanced" section of this dialog.

  • Mode of Calculation

    Decide whether heat and/or moisture transport shall be allowed in the calculation. In general, you will have activated both; there may be cases where it is useful to switch one of them off.

  • Hygrothermal Special Options

    "Excluding Capillary Conduction":
    Capillary conduction can be switched off separately; moisture transport is then only effected by vapour diffusion. Thus you can examine the contributions of both transport mechanisms to the total transport.

    If the "Moisture Transport Calculation" has been deactivated altogether (see above), there is of course no capillary conduction anyway, independent of this option.

    "Excluding Latent Heat of Evaporation",
    "Excluding Latent Heat of Fusion":
    If you want to examine the importance of latent heat effects, you can switch them off and compare calculations with and without latent heat.

  • Numerical Parameters

    "Increased Accuracy",
    "Adapted Convergence":

    If a calculation should suffer from numerical problems and a revised grid can't solve the problems, you can try to improve the calculation with the help of these options. In general, increased accuracy is more effective than adapted convergence. With any of these options computing time increases, of course.

    Before using these options, you should check if the numerical grid is well adapted to the problem at hand. A smaller time step may be helpful, too.

  • Result File contains

    Select the result quantities that shall be written to the result file for analysis. De-selecting some quantities will reduce the size of the result file.

    The available quantities are the water content (W.C.), the relative humidity (R.H.), the temperature (Temp.), the vapor pressure (Va.P.), the capillary moisture flow (Flu.C.), the vapor diffusion flow (Flu.D.) and the heat flow (Flu.H.).

Enhanced

(no description yet)

Previous topic: Dialog: Inner Surfaces Topic 71 Next topic: Dialog: Processing


Dialog: Processing

Click Start to run the calculation. You may Suspend or Terminate the calculation at any time; the results accumulated so far remain accessible and can be analysed.

WUFI experts may edit the input file which transfers all the input data to WUFI's numerical processor.

Make the calculation a Low Priority task on your PC if you wish to continue working while the calculation is done in the background. The calculation will take longer, however.

Previous topic: Dialog: Computational Parameters Topic 72 Next topic: Menu: Output


Menu: Output

• | View the Results
 | Launches the program WUFI2Dmotion which displays the results as animated 3D graphs.
• | View the Results (1D)
 | Launches a program which allows you to select regions of interest in the component and to analyse the temporal behavior of the mean temperatures, humidities etc. in this region.
• | View Report
 | Creates a report detailing all the project data and launches the web browser to display it.
Previous topic: Dialog: Processing Topic 73 Next topic: Dialog: Result Analyzer


Dialog: Result Analyzer

This menu item launches the program WUFI2D Motion which displays the results as animated 3D graphs.

WUFI2D Motion automatically reads the result file created by WUFI-2D and displays the two-dimensional fields of temperature, water content, relative humidity, vapor pressure, heat flux, capillary flux and diffusion flux.

"Start" the "Movie" to see an animation of the changes which happen in these fields during the calculation period. The values in the fields are color coded; right-click on the color scale to edit the color coding.

Originally, you are viewing the fields from 'above'. Grab them with the cursor or use the tool buttons to rotate them into a side-view. In addition to the color coding, the different values in the fields will then be visualized by their different heights along the z-axis. The boundary conditions are indicated along the edges of the fields

Press CTRL and the left mouse button to move the graph.
Press CTRL+ALT and the left mouse button to zoom into the graph: moving the mouse in positive x direction will zoom in; moving the mouse in negative x direction will zoom out.

Previous topic: Menu: Output Topic 74 Next topic: Menu: Database


Menu: Database

• Material
The material database dialog allows you to browse the material database and to create new catalogs and materials.
• | Edit Catalog
 | Use this dialog to create a new catalog for user-defined materials
• | New Material
 | Use this dialog to create a new material.
• Constructions
The database also contains a collection of one-dimensional building components. In WUFI-2D these are currently not accessible.
Previous topic: Dialog: Result Analyzer Topic 75 Next topic: Dialog: Database Materials


Dialog: Database Materials

In this dialog you can view the material data contained in the materials database. You also can add and edit your own materials (you can not edit the predefined materials).
(In order to assign material data from the database to the current construction, use the dialog "Material Database", which can be accessed from the dialog "Allocation of Properties (Material)").

The material data are organized by Sources and by Catalogs (1).
The source indicates the institution which has provided the data. You may select "All sources" in order to see all data, or you may select only one source if only a subgroup of data is relevant to your investigation.
For each source, the data have been organized in catalogs which comprise a specific category of building materials each (e.g. "Plasters and Mortars", "Insulation Materials", etc). Select "All catalogs" to view all materials of the selected source.

The materials contained in the selected sources and catalogs are displayed in the materials list (2). You may "Sort" the materials by name or by one of the basic material parameters.

The following data are displayed for each material:

  • The basic parameters of the materials are displayed in the list itself.
  • For some materials typical thicknesses are available which are specified in a separate list box.
  • The large display panel on the right side of the screen (3) displays the hygric extensions of the material, complete with data tables and graphical curves. If you uncheck the "Show Hygric Extensions" checkbox, this display panel vanishes and you can view the materials list more comfortably on a smaller screen.

For a discussion of the material data, please consult the topic Material Data.

The predefined materials in the database are read-only and cannot be edited. However, you can add your own materials to the database. To do this, first create your own catalog with the "Edit catalog" button (4):

The catalog editor subdialog displays a list of the catalogs in the database. The predefined catalogs are read-only, but you can create a "New" catalog, "Change" the names of your catalogs and "Delete" your catalogs.

In order to enter a new material into the database, open the "New Material" subdialog with the "New" button (4), enter the material data and assign them to one of your catalogs.

In order to edit one of your materials, select it in the materials list (2) and use the "Change" button (4) to edit the material data, or the "Delete" button (4) to remove the material.

Previous topic: Menu: Database Topic 76 Next topic: Dialog: Database Materials | Edit Catalog


Dialog: Database Materials | Edit Catalog

The catalog editor dialog displays a list of the catalogs in the database. The predefined catalogs are read-only, but you can create a "New" catalog, "Change" the names of your catalogs and "Delete" your catalogs.

Previous topic: Dialog: Database Materials Topic 77 Next topic: Dialog: Database Materials | New Material


Dialog: Database Materials | New Material

This subdialog serves to create or edit a user-defined material in the material database. It contains several tab sheets.

"New Material":

In this tab sheet you can enter, edit or view the data for the highlighted material.

For a detailed discussion of the material data, please consult the topic Material Data.

"Name":

The name of the material.

"Basic Values"
"Bulk Density [kg/m³]",
"Porosity [m³/m³]",
"Specific Heat Capacity, Dry [J/kgK]",
"Thermal Conductivity Dry [W/mK]",
"Water Vapor Diffusion Resistance Factor [-]":

These basic material data are required as a minimum for a calculation.

"Optional Parameters":

Some of the material data in the following section "Optional Data" are difficult to acquire, but WUFI offers means to approximate or generate them from standard data which can easier be collected. These standard data are then "Optional Parameters" which may be required, depending on the settings in the "Optional Data" dialog.

The optional parameters are discussed in the respective topics of the following section:

"Optional Data":

Enter the optional material data in these tables (if required).

The optional material data comprise the moisture storage function of the material, the liquid transport coefficients, the moisture-dependent thermal conductivity and the moisture-dependent vapor diffusion resistance factor.

The optional data are always entered in tables. However, you can have WUFI automatically create some of these tables by entering other data from which the tables can be generated.

"Moisture Storage Function":

Enter the moisture storage function of the material, i.e. the moisture contents [kg/m³] which result from exposition to certain relative humidities (0..1).

If detailed tabulated data are not available, but the moisture storage function of the material can be adequately described by an approximation function, you can check the option "Approximate" and enter

  • the sorption moisture corresponding to 0.8 RH, w80 ("Reference Water Content [kg/m⊃]", determined according to German standard DIN 52620) and
  • the "Free Water Saturation [kg/m³]" wf

in the additional table "Optional Parameters". WUFI then uses an analytical moisture storage function which passes through these two points and the zero point.

For non-hygroscopic materials, just leave the table of the moisture storage function empty. For numerical reasons, however, WUFI needs a defined moisture storage function; it then internally uses a default function which allows for the very low sorption moisture of non-hygroscopic materials. For details on this default moisture storage function see the Questions & Answers section.

"Liquid Transport Coefficient - Suction"
"Liquid Transport Coefficient - Redistribution":

Enter the liquid transport coefficients in this table - separately for suction and redistribution.

If the liquid transport coefficients for the material at hand are not known, you can have WUFI automatically generate a table by estimating the coefficients from the water absorption coefficient (A-value) which is known for most materials or at least easily measurable.

To this end, check the option "Generate" and enter the A-value in the additional table "Optional Parameters" (in [kg/m²s1/2]; the relevant German standard uses the non-SI units [kg/m²h1/2]. Division by 60 converts such values to SI). WUFI automatically generates a three-line table with the corresponding estimated liquid transport coefficients.

Please note that only a rough estimate is possible which proves successful in many cases, but which is not necessarily useful for all materials. Especially, there may be inaccuracies in the shape of the suction profiles. Generating is just meant to be some assistance; you should not blindly rely on it. Future WUFI versions are planned to offer more sophisticated methods.

Remarks on generating:

The estimate of the liquid transport coefficients from the A-value also uses the moisture contents w80 and wf. If the moisture storage function is being approximated from w80 and wf (see above), the two values are directly taken from these two entries; otherwise they are calculated from the corresponding table - by interpolation, if necessary.

If no moisture storage function has been defined as yet, generating is not possible - the table remains empty (but you can already enter the A-value).

If the moisture storage function is modified after generating, the generated table adapts automatically. Please note, therefore, that modification of a material property can also change another property as a side effect without this being immediately evident.

If you want to generate both the tables for suction and those for redistribution, both must of course be derived from the same A-value - the two tables therefore share this text box. Note that here, too, a modification in one spot may entail changes elsewhere (if you are generating only one of the tables and editing the other one by hand, the non-generated table is not affected by a modification of the water absorption factor, of course).

"Thermal Conductivity, Moisture-dependent":

Enter the heat conductivity of the material as a function of its moisture content if you want to allow for this.

If you are satisfied with a simple linear dependence of the heat conductivity on the moisture content, you can have WUFI automatically generate a two-line table by entering the moisture-induced heat conductivity supplement.

To this end, check the option "Generate" and enter the supplement in the additional table "Optional Parameters" (in [%/m-%]). WUFI automatically generates a two-line table with the heat conductivities resulting for the dry condition and the maximum water content. Heat conductivities for intermediate moisture contents are linearly interpolated during the calculation.

Remarks on Generating:

The evaluation of the heat conductivity for maximum water content also uses the basic material properties bulk density, porosity and heat conductivity dry. If these values are modified after generating, the generated table adapts automatically. Please note, therefore, that modification of a material property can also change another property as a side effect without this being immediately evident.

If the required basic material data have not all been defined as yet, generating is not possible - the table remains empty (but you can already enter the supplement).
"Water Vapor Diffusion Resistance Factor, Moisture-dependent":

Enter the diffusion resistance factor of the material as a function of moisture content if you want to allow for this.

General remarks on approximating and generating:

For all optional material properties - except the diffusion resistance factor - WUFI is holding two tables in memory: one table created by hand (editable), and one generated table (non-editable). You can work on both tables in parallel; which of both is used for the calculation depends on whether the option "Approximate" or "Generate" is activated at the start of the calculation, or not.

By activating or deactivating these options, you can switch between the two kinds of tables. The unused table remains inactive in background.

You can use the "Copy" button to copy the generated table line by line to the editable table and work on it there by hand.

"Typical Built-In Moisture [kg/m⊃]":

A typical application for WUFI is a calculation to determine the time it takes a newly-built wall to dry out. If a typical initial moisture content for the current material is known, you can enter it here to look it up later when you need it.

"Color":

Select the color of the material for the graphical assembly display.

"Thicknesses":

If there exist typical thicknesses for this building material, you may enter them into this list. They will be displayed on the database screen and in WUFI-1D (which can use the same material database) you can assign a selected thickness to the highlighted assembly layer together with the material data, so you need not edit the thickness manually in the assembly dialog. The thicknesses are not used in WUFI-2D.

"Info-Text":

Here you may enter any info or remarks on the material.

"Assign Catalog":

The material needs to be assigned to (at least) one of the catalogs. This tab sheet displays a list of All Catalogs that are user-defined (you cannot assign a material to one of the predefined catalogs).

Double-click on the catalog(s) to which you want to assign the material. These catalogs are transferred to the "Material is in Catalog" list. The material will be assigned to all catalogs in this list.
Use the "Delete Catalog" button to remove the highlighted catalog from this list (in order to delete the catalog from the database, use the "Edit Catalog" dialog.

The material will be added to the database when you close this dialog with the "OK" button.

Previous topic: Dialog: Database Materials | Edit Catalog Topic 78 Next topic: Menu: Options


Menu: Options

• | Settings
 | Specify the cache directory in which you are working, the home directory for saving projects, the database language and a few other settings.
• | Set As Default
 | This option allows you to define the current project as the default project.
• | Reset Default
 | This option resets a previous definition of a default project.
• | Administrate Modules
 | (This menu item is currently not used)
• | Export...
 | Creates a self-extracting compressed file containing the result file and the result viewer WUFI-2D Motion.
• | Customize
 | (This menu item is currently not used)
Previous topic: Dialog: Database Materials | New Material Topic 79 Next topic: Dialog: Options | Settings


Dialog: Options | Settings

Specify the cache directory in which you are working, the home directory for saving projects, the database language and a few other settings.

Previous topic: Menu: Options Topic 80 Next topic: Menu: Options | Set as Default


Menu: Options | Set as Default

This option allows you to define the current project as the default project.

It writes the project data in memory to files in the cache directory and copies these to the default directory. The next time WUFI-2D is run, it will automatically copy the contents of the default directory back into the cache directory and read the project data into memory so that you can continue working without having to load the project first.

Use Menu: Options | Reset Default to empty the default directory and to prevent WUFI-2D from loading a default project.

Previous topic: Dialog: Options | Settings Topic 81 Next topic: Menu: Options | Reset Default


Menu: Options | Reset Default

This option resets a previous definition of a default project by deleting the contents of the default directory.

Previous topic: Menu: Options | Set as Default Topic 82 Next topic: Dialog: Options | Administrate Modules


Dialog: Options | Administrate Modules

(this menu item is currently not used)

Previous topic: Menu: Options | Reset Default Topic 83 Next topic: Dialog: Options | Export


Dialog: Options | Export

Creates a self-extracting compressed file containing the result file and the result viewer WUFI-2D Motion. WUFI-2D uses Igor Pavlov's 7-Zip file archiver.

Previous topic: Dialog: Options | Administrate Modules Topic 84 Next topic: Dialog: Options | Customize


Dialog: Options | Customize

Previous topic: Dialog: Options | Export Topic 85 Next topic: Menu: Help

Dialog: Options | Customize...

(This menu item is currently not used.)

Previous topic: Dialog: Options | Export Topic 85 Next topic: Menu: Help


Menu: Help

Help:

• | Contents
 | This menu item opens the contents dialog of the on-line help system.
• | Topic Search
 | This menu item opens the keyword search dialog of the on-line help system.
• | About
 | This menu item displays the version number of WUFI-2D.

Previous topic: Dialog: Options | Customize Topic 86 Next topic: Main Form


Main Form

(no description yet)

Previous topic: Menu: Help Topic 87 Next topic: Tree View


Tree View

(no description yet)

Previous topic: Main Form Topic 88 Next topic: Background


Background

WUFI is a computer program for the calculation of the simultaneous heat and moisture transport in multi-layer building components. It has repeatedly been validated by comparison with experimental results (*).

Nevertheless, WUFI also has its limitations. As with every tool, you should be aware of what WUFI can do and what it can not.

The fact that WUFI's results have been calculated by a computer does not make them infallible. You should check every result for plausibility. There are numerous circumstances that can degrade the quality of a calculation or even render it worthless (a slightly inaccurate result may be more dangerous than a totally wrong one since it may not be easily recognized as such). Some possible problems are

  • program errors
  • input errors
  • insufficient knowledge of the required data
  • limitations of the underlying mathematical model
  • numerical problems

These items will be discussed in the following.

Program Errors

WUFI has been tested comprehensively and should not contain any errors that might affect the calculation results. Considering its complexity, it can not be ruled out, however, that problems might arise under certain circumstances. Please report any problems to IBP.

Input Errors

Having entered all data, save them to a project file in order to have a status quo and recheck the entries in all the dialogs in the sequence of the menus to make sure they are correct.

Refer to the detailed explanations provided in the on-line help to make sure that WUFI's interpretation of the material data, surface transfer coefficients etc. is the same as yours.
Note there are possible side effects if you are generating tables from standard data.

Insufficient Knowledge of the Required Data

It often happens that material data, coefficients or boundary conditions required for the calculation are not well known. Do not try under these circumstances to obtain a 'precise' result.

Instead, estimate the possible variation range of the input data and perform some representative calculations for this range. From the variation in the results you may see if those aspects of the results which you are interested in are affected by the uncertainty or not. In the latter case, they may be usable; in the former case, a more precise determination of some input data may be necessary.

Actually, in cases where you have 'reliable' data at your disposal, you should bear in mind that in practice there are also variations in the materials or workmanship which might cause deviations from your theoretical results.

It can be more instructive to know the effect of the variations of an estimated parameter on the results than to use 'precise' input to arrive at a single numerical result of unknown reliability.

Limitations of the Mathematical Model

The complex hygrothermal processes in a building component need to be simplified to make their simulation accessible to present-day computers. WUFI has been designed for the most important applications in building physics [1], but several limitations had to be accepted.

WUFI-1D only deals with one-dimensional processes. Situations that cannot be adequately reduced to one dimension (e.g. geometrical thermal bridges, rising damp etc.) cannot be treated by WUFI and must be left to the two-dimensional version WUFI-2D.
Likewise, WUFI-2D cannot deal with situations which are inherently three-dimensional etc.

Several transport phenomena have been neglected (cf. What is WUFI?), that is why e.g. air flows in the component, uptake of ground water under hydrostatic pressure etc. cannot be calculated.

The interdependence of salt and water transport has not been allowed for.

The interface between two capillary-active materials (e.g. rendering/brick) is treated as ideally conducting, whereas in reality there often is a transfer resistance which may reduce the moisture transport considerably. This resistance may be simulated by introducing an interface layer (ca. 1 mm thick) with adequately adjusted liquid transport coefficients [2].

Some materials do not conform to the simplified transport equations. Wood and concrete are changing their material data dependent on their present and past moisture content - the imbibed amount of water does not increase as the square root of time. The consequences of this fact may be negligible or serious - depending on the component assembly and the boundary conditions. Here only a comparison with samples exposed to natural weather can show whether the calculation results are reliable or not. The material data should be determined under boundary conditions similar to practical use.

If a material has a pronounced hysteresis in its moisture storage function, it may not be sufficient to use an averaged moisture storage function for the calculation.

The enthalpy flows resulting from the transport of liquid water across a temperature differential are ignored; i.e., cold rain water does not cool the surface of a building component in the calculation. The cooling effect by the subsequent evaporation of the imbibed water - which is considerably greater in general - is correctly included, however.

For simplicity, the heat transfer coefficients are treated as constant (in WUFI-1D and -2D) or exhibiting a simple predefined dependence on wind speed (optionally in WUFI-1D). Regarding the simplified radiation exchange with the surroundings, see the topic Long-wave radiation emissivity.htm.

In the dissertation [1], on which WUFI is based, you can find an extensive discussion of the mathematical model.

Numerical Problems

If boundary conditions relevant to building physics are to be applied, the coupled differential equations describing heat and moisture transport can only be solved numerically .

Ideally, only the programmers and the computer should worry about the details of the numerical method. Unfortunately, present numerical methods are not advanced enough as to be able to automatically and perfectly adapt themselves to every problem. So it's up to you, the user, to do part of the work that ideally should be done by the computer itself: you have to select or define an appropriate numerical grid and to choose a suitable time step.

How to choose a suitable numerical grid

WUFI's grid generator automatically creates a numerical grid for the component you entered. Usually, you only need to specify whether you want a fine, medium or coarse grid. However, you should have some background knowledge about which grid to choose, how to assess its adequacy for different situations and how to manually edit the grid if the automatic grid proves inadequate for the situation at hand.

For a numerical treatment, the differential equations have to be discretised, i.e. the continuous heat and moisture fields decribed by the equations are evaluated at a number of separate points only. To this end, a suitable method is used to reduce the differential equations to a system of algebraic equations which describes the interdependence of those points and which can be treated numerically.

WUFI uses the method of 'finite volumes'. This method first formulates the differential equations in terms of balance equations for heat and moisture and then derives the algebraic equations in a way which makes sure that the heat and moisture balances remain preserved for every element of the numerical grid. That is, the variation of a physical quantity in each grid element is strictly consistent with the amount of that quantity that flows into or out of the element through the element boundaries ("conservative discretisation").

Since the balances are preserved in every individual grid element, they are also preserved in the whole assembly as the sum of all grid elements. This is valid for all possible grids - not only in the limit of an infinite number of grid elements (as it may be in other discretisation methods).

Through this mathematical procedure, WUFI has a physical principle (conservation of energy and mass) built right into its heart and thus shows a very robust behaviour regarding the choice of the grid.

This compliance with a basic physical principle means that even coarse, wide-meshed grids can usually be expected to give physically realistic results.

However...
Instead of the continuous heat and moisture fields, WUFI only knows their values at separate points. The farther these points are spread, the less the complete fields can be derived from them. And the less well a field is known, the less precise are predictions of its behaviour in the next time step.

Furthermore...
Another problem is that two transport equations have to be solved: for heat and moisture. They can only be solved one after the other, although in reality they are continuously affecting each other (e.g., a condensation process is a vapour sink and a water source as well as a heat source; the heat conductivity may be moisture-dependent etc.).

Therefore, a solution step for the temperature cannot allow for the change in moisture content which in reality happens during the same time step. The result for the temperature is thus not entirely accurate. The following solution step for the moisture has the same problem.

Repeating the solution step for the temperature, now taking the new moisture field as a basis (which is slightly inaccurate but certainly better than the original unevolved moisture field) results in a better accuracy of the resulting temperature field. Continued alternating repetitions of these steps (iteration) finally result in temperature and moisture fields that sufficiently approach the desired solutions of the transport equations (convergence).

Under certain circumstances, however, this convergence may be so slow that WUFI has to stop the iteration (convergence failure). Then the heat and moisture fields attained so far do individually satisfy their respective balance equation, but their interdependence has not yet fully developed.

In nearly all those cases, the remaining error is negligible in the context of building physics. If the grid is not well adapted, it may happen, however, that a poor representation of the temperature field cannot adjust itself the way the poorly represented moisture field requires it - the convergence may then be seriously hampered or even impossible. In this case, markedly inaccurate fields may be left after the stop of the iteration. Occasionally, fluctuations in the numerical values may even overload the numerics and produce results that do not conform to the balance equations.

Such a case is rare, but you should recognise it if it happens. For this purpose, WUFI-1D displays a water balance after the calculation has finished; if you are viewing the film, you can also see 'flutter' appearing in the curves for no apparent reason. As discussed above, you should then first check if the choice of the grid could be responsible for the problems and adapt it accordingly. If that fails, you may try stricter numerical parameters (convergence failures are further discussed in the "Questions and Answers" section).
WUFI-2D currently has no such balance check.

Unfortunately, there are presently no common methods which can reliably recognise that kind of problem during the calculation and adapt the grid on the fly - in this case you have to remedy this shortcoming by using your own insight into the problem at issue and define the grid yourself. There are no fixed recipes for this, but a few general rules:

For the discretisation, the values of the calculated quantities are assumed to be spatially constant across each grid element. Therefore, the size of each element should be chosen so as to make this assumption valid, taking the local conditions into account. In general, this requires the use of small elements in regions where steep moisture or temperature gradients are to be expected, and allows the use of larger elements in more placid regions to cut down on calculation effort.
In case of doubt, you should prefer a larger number of smaller elements to a few large ones as long as you can tolerate the computing time.

In general, steep gradients are to be expected close to the boundaries of a layer, i.e., close to the exterior and interior surfaces of the building component because of the influence of climate conditions, and close to internal layer interfaces because of interstitial condensation. Less variation will occur in the middle of a layer.
Splitting up a layer into two layers with identical material data but different expansion factors (>1, <1) allows you to achieve a smooth, not necessarily symmetrical, expansion and contraction of the grid elements which can be adapted to the requirements of each individual layer.

For numerical reasons, neighbouring elements should not differ too much in size. This requires in particular that boundary elements of neighbouring layers be matched, at least approximately.

In WUFI-1D view a film of the calculation and see if there are noticeable kinks in the curve. Refine the grid in those spots.

To be sure that a suitable grid was chosen for the calculation, you may repeat the same calculation with double the number of grid elements. If the result remains the same, the first grid already was well adapted.

Example 1:

An impressive example of what kind of gradients may occur close to layer boundaries can be seen in the case of construction moisture drying out of a cellular concrete flat roof with mineral wool insulation. During the cold season, the moisture migrates up through the permeable mineral wool and condenses at the impermeable roof membrane in amounts that are not only a problem for the insulation quality but for the numerics as well. In such a case it is imperative to have very fine grid elements close to the roof membrane, while a relatively coarse grid is sufficient in the cellular concrete.

Example 2:

The following image shows how the calculation results may be affected if the grid is too coarse. A 10-cm-long prismatic lime silica brick specimen, sealed on the sides and one face, was saturated with water and then left to dry in a climate chamber. In a WUFI-1D calculation, the liquid transport coefficients and the water vapour transfer coefficient were adjusted until good agreement with the measurements was reached. The diagram shows such a calculation using 20 equidistant grid elements (solid line) and another calculation with the same material data, but using only 5 grid elements.

Obviously, the latter grid is too coarse. Note however, that despite the remarkably small number of 5 grid elements, the results are not entirely inaccurate!
Note: the equidistant grids with 20 and 5 elements, respectively, have been used here for demonstration purposes only. A better choice would be an expanding grid with small elements close to the drying surface and larger elements close to the sealed surface.

How to choose a suitable time step

The temporal evolution of the building component, too, has to be discretised for the numerical treatment - the temperature and moisture fields are calculated for separate, discrete points of time only. The solution algorithm starts with the present fields and calculates from them the new fields for the next point in time which is one time step later.

The derivation of this algorithm leads to a time integral over the dependent variable (temperature or moisture) which has to be approximated by an expression that can be treated numerically. To this end it is necessary to know the behaviour of these variables as a function of time - but it's that unknown time-dependent behaviour because of which we are undertaking the calculation!

Therefore, assumptions have to be made about the unknown time-dependent behaviour. These choices determine the method to be used.

The simplest choice is the assumption that at each grid point the variable in question always has the same constant value during the time step it had at its beginning - and then 'suddenly' at the end of the time step jumps to the newly calculated value. Example: the heat flows between a grid point and its two next neighbours resulting from the present temperature field are determined. It is then assumed that these flows remain unchanged during the time step and from the resulting increase or decrease of heat the new temperature at the grid point is calculated. Since the calculation involves only the known temperatures of the two neighbouring points, it can be separately done for each and any grid point. This is the explicit scheme.

On the other hand, one may use those values for the variables during the entire time step which they will have at the end of the step. This does not require clairvoyance but the solution of a system of equations. The final temperature of the grid point in question depends on the heat flows which depend on the final temperatures of the neighbouring points which in turn depend on the final temperatures of their neighbouring points etc. etc. At both ends, this chain is terminated by the known boundary conditions, and the whole of this constitutes a system of equations: there exists a unique solution which can, however, only be found by solving the problem for all grid points simultaneously. This is the implicit scheme.

If during the time step the variables are set to the mean value beween their initial and final values (which corresponds to the time-average if the change is linear), the result is the widely used Crank-Nicolson scheme. In addition, there are a number of other schemes not discussed here.

The explicit scheme is the simplest one. However, its stability reqires that the width of the time step is below some upper limit which depends on the spatial discretisation. A high spatial resolution thus requires very small time steps which result in a very high, often not tolerable computation load.

The implicit scheme is somewhat more complex since an entire system of equations has to be solved for every time step. However, it has the advantage of being stable for all time step widths. The computation load is thus markedly reduced since much wider time steps can be used without numerical problems.

The Crank-Nicolson scheme is of higher order and therefore theoretically more precise than the other two schemes. In the case of non-linear transport coefficients, however, it is prone to numerical oscillations which might produce physically unrealistic results. Furthermore, for applications in building physics, where material data and boundary conditions often are only known with limited accuracy, lower-order methods are perfectly sufficient.

For these reasons, WUFI uses the implicit scheme (which is also called "fully implicit" in order to distinguish it from partially implicit schemes like Crank-Nicolson).

The implicit scheme also has the advantage that it is a physically more realistic approximation for wide time steps: the change of a variable exposed to constant boundary conditions often has an exponential character; with its larger variation at the beginning of the time step and smaller variation at its end, this behaviour is closer to the implicit scheme than to the linear variation in the case of Crank-Nicolson or even the constant behaviour in the case of the explicit scheme. If the time steps are small enough, however, any physical quantity varies more or less linearly - and is then better represented by Crank-Nicolson.

Example 1:

A 36.5-cm-thick brick wall, treated as homogeneous, initially has a temperature of 30°C. At time t=0, the ambient air temperature suddenly drops to 10°C.

The following table shows the temperature in the centre plane of the wall after 20 hours, calculated with 50 equidistant grid elements and time steps between 0.1 and 10 hours, compared to the exact solution:

exact: | 18.5°C
WUFI with step size...
0.1 h: | 18.5°C
0.5 h: | 18.6°C
1 h: | 18.7°C
5 h: | 19.5°C
10 h: | 20.3°C

With very short time steps, the result is virtually exact; a time step of one hour still produces a very good result. With increasing time steps, however, the changes in temperature during the step are less and less well taken into account.

In the diagram, the exact course of the temperature in the centre plane is shown as a solid line, the calculation with a time step of one hour, as a dashed line, and the calculations with time steps of 5 and 10 hours as open and filled dots, respectively.

Example 2:

An imbibition experiment is performed with a prismatic specimen of Baumberger sandstone, sealed on the flanks and one face; the unsealed face of the specimen is completely wetted with water (by setting the 'rain' in the climate file to a very high value).

The numerical imbibition experiment is conducted over two time intervals and with various time steps, then the water absorption coefficient (A-value) is determined from the imbibed amount of water.

The grid contained 100 equidistant grid elements, distributed across 6 cm and 20 cm of the specimen length, respectively. Diffusion transport was not allowed for.

The numerically exact A-value for the liquid transport coefficients used here is 0.0426 kg/m²s1/2 (obtained by a method which is independent of any grid widths and time steps).

time step[h] | A-value [kg/m²s1/2]
 | after
 | 10 h | 100 h
0.5 | 0.0427 | 0.0428
1 | 0.0426 | 0.0428
2 | 0.0424 | 0.0428
5 | 0.0419 | 0.0427
10 | 0.0408 | 0.0426
20 | - | 0.0425
50 | - | 0.0419
100 | - | 0.0408

In this example, the result is only very weakly dependent on the choice of the time step.

Of course, the results are given to three significant digits for comparison purposes only - because of measurement uncertainties the A-value of the actual specimen from which the liquid transport coefficients were taken may slightly differ from these calculated results.

The two different calculation intervals also serve to illustrate the accumulation of numerical errors (see below).

The diagram shows the suction profile after 100 hours. The 'exact' solution is shown as a solid line, the WUFI calculation, as a dotted line. The agreement is nearly perfect; only in the lower part of the curves, it becomes evident that WUFI's finite grid resolution cannot represent arbitrarily steep moisture gradients.

There is also a non-numerical aspect to the choice of the time step. WUFI assumes that the boundary conditions read from the climate file are prevailing as constant values during the time step. For natural weather, this is only true as an approximation. Some thought should be given to the validity of this approximation.

For applications in building physics, it turns out that generally a time step of one hour is adequate. This is fortunate since measured weather data often are not available with higher temporal resolution than hourly mean values.

Shorter time steps should be required in special cases only. The adequacy of longer time steps has to be decided case by case. They must not be used if solar gains or rain play a noticeable role.

The solar radiation shows a very pronounced diurnal variation. Because of the hygrothermal inertia of a building component, short-lived fluctuations in the radiation intensity - e.g. because of drifting clouds - have no major effect and may be 'smoothed away' in an average value. The systematic variation of the radiation intensity over several hours, however, cannot be damped by the inertia of the component and leads to corresponding variations in temperature. Because of the exponential dependence of the water vapour saturation pressure on the temperature even short-lived temperature peaks should not be averaged away - the evaporation resulting from a mean temperature is too low [1].

Similar arguments apply to rain: if the component can absorb even a moderate amount of moisture by capillary conduction, a sufficiently accurate duration of rain events in the climate data may be decisive for a realistic calculation of the moisture balance; the same amount of 'mean rain' distributed over 24h would probably yield completely meaningless simulation results.

In other cases - e.g. diffusion calculations in shaded building components sheltered from rain - use of daily or even monthly mean values may be adequate.

There is no point in using smaller time steps than the time interval over which the boundary conditions are assumed to be constant. For example, if you have hourly mean values of the weather data, a time step of one hour is sufficient - smaller time steps do not increase accuracy.
However, smaller time steps may provide more numerical stability in situations where poor convergence or other numerical problems show up.

To be sure that a suitable time step was chosen for the calculation, you may repeat the same calculation with other time steps - the results should not change noticeably.

Accumulated and damped errors

A building component which is exposed to periodic boundary conditions approaches a "periodic steady" condition, i.e. a series of conditions repeating with the period of the boundary conditions. This periodic steady condition is independent of the initial condition of the building component - it has completely forgotten its earlier conditions.

This forgetfulness also applies to 'inaccurate' conditions: if during a calculation a temperature or moisture field has not been accurately calculated at one time step (e.g. because of a convergence failure), its effect on the subsequent time steps will wear off more and more until finally the calculation will proceed as if the error never had happened.

The natural weather is not strictly periodic, but in the long run it leads to a 'typical' condition of the building component which also shows a certain forgetfulness.

Therefore, numerical inaccuracies do not necessarily always accumulate and render the result useless after a sufficiently long calculation. In fact, the longer the calculation is running, the less it suffers from earlier inaccuracies. This is simply a consequence of the natural physical behaviour of a building component.

Of course, this only applies if the inaccuracies do not occur systematically or regularly, and if the calculation interval is sufficiently long compared to the memory of the building component. A massive moist concrete wall will take years to dry out and to reach a periodic steady state - and since the process of drying is always proceeding in the same direction, the inaccuracies may also occur in the same direction and possibly accumulate nevertheless.

Example:

The diagram shows the course of the mean water content of a facade test element with unrendered brick masonry (24 cm thick) which has been exposed to Holzkirchen's copious driving rain. The solid line represents a WUFI calculation with an initial moisture content of 100 kg/m³ (10 vol-%), assumed constant across the wall. The dashed line shows another calculation with an initial moisture content of 50 kg/m³ (5 vol-%). The drier brick absorbs more water during a rain period, so that the mean water contents of the two specimens become indistinguishable after about 50 days.

Conclusion

# The foregoing discussion was to show you that WUFI has a remarkable stability in its calculations, but it nevertheless also has its limitations and, in addition, is dependent on a certain insight of the user into specific numerical and physical details.

Hopefully, it will help you to successfully apply WUFI in its proper scope.

Literature:

[1] | Künzel, H.M.: Simultaneous Heat and Moisture Transport in Building Components. One- and two-dimensional calculation using simple parameters. IRB Verlag 1995
[2] | Holm, A., Krus, M., Künzel, H.M.: Feuchtetransport über Materialgrenzen im Mauerwerk. Bauinstandsetzen 2 (1996), H. 5, 375 - 396.

(*) For the test example shown in the diagrams, dry prismatic natural sandstone specimens (5 x 5 x 25 cm³) were incorporated into the west-facing facade of a test hall. The moisture profiles in the prisms were regularly determined by NMR measurements (dots).

The calculations (solid lines) were done using the material data of the sandstone as determined in the laboratory and hourly mean values of the weather data measured during the test period.

The diagrams show the measured and calculated moisture profiles for four typical weather conditions:

  • after a period of rain (sharply defined moisture front like in an imbibition experiment),
  • after a longer period of fair weather (moisture front has been flattened by drying and redistribution),
  • in stormy weather with low exterior humidity ("foehn" weather; steep moisture gradient close to the surface, resulting from high drying rate),
  • during cold and damp weather (steady gradient of moisture content - nearly free saturation at the exterior surface, still dry close to the interior surface).

18 Aug 97, 11 Oct 00, 29 Mar 01, 03 Apr 2007 TS

Previous topic: Tree View Topic 89 Next topic: Questions and Answers


Questions and Answers

This collection of Questions and Answers refers to the one-dimensional version of WUFI. Some of the program features mentioned here may not apply to WUFI-2D.

1: | Sources of Material Data
2: | Sources of Climate Data
3: | Volume Percent, Mass Percent
4: | Relative Humidity in a Building Component
5: | Default Moisture Storage Function
6: | Water Content of an Air Layer
7: | Convergence Failure Caused by Vapor-Permeable Layer
8: | Moisture Content at a Monitoring Position
9: | Liquid Transport Coefficient of a Paint Layer
10: | Rain Absorption Factor of an Unrendered Sandstone Wall
11: | Hygric Parameters of Ecological Insulation Materials
12: | Typical Initial Moisture Content
13: | Water-Repellent Facade
14: | Simulation of Absorption Experiment
15: | Absorption Experiment with Limited Water Supply
16: | Why Never 100% RH in the Component?
17: | 100% RH at the Facade
18: | Criteria for Evaluating Hygrothermal Performance
19: | Ventilated Curtain Walls
20: | Heat Flow Through Exterior Surface Is Not Realistic?
21: | More Recent Weather Data?
22: | Averaging of Conductivities at Element Boundaries
23: | Conversion of Radiation Data for Other Directions

(1):
Where can I find material data for materials which are not included in the database?

Unfortunately, finding material data for hygric simulations can prove difficult since there are no standard collections of such data as yet. While thermal data can be found in many books, hygric data are sparse and hard to come by.

A collection of design values for heat conductivity (including the effect of practical moisture content) and diffusion resistance factors is listed in German standard DIN 4108-4 and numerous textbooks on building physics. The new DIN EN 12524 lists thermal as well as basic hygric design values for building materials.

An extensive list of "NIST Heat Transmission Properties of Insulating and Building Materials" is available on-line at http://srdata.nist.gov/insulation/.

Moisture storage functions and liquid transport coefficients may be estimated from the standard parameters wf, w80 and the A-value which may also be found in some textbooks (at least for selected materials) and data sheets or can be measured relatively easily.

Occasionally, some data may be found scattered through the specialised literature, but there is no systematic way to retrieve them.

Sometimes the manufacturer may be able to provide material data. Some laboratories (including IBP) can measure the required data if samples are provided.

(2):
Where can I find climate data?

Hourly climate data which include rain are even harder to find than material data.

IBP offers one year of hourly weather data with WUFI (the file can also be downloaded from the IBP website). These data from 1991 are considered fairly representative for the climate of the Holzkirchen region.
In addition, weather data for 93 locations in Europe, America and Japan are provided with the professional WUFI version.

Another source of hourly weather data for Germany are the Test Reference Years of the German Meteorological Service DWD which represent typical as well as extreme weather situations. Since they are primarily intended for heating and energy consumption investigations, they have no rain data, however, and thus are of only limited usefulness for hygrothermal investigations.

For other possible climate data sources see Sources for Climate Data.

If the situation of a specific object is to be investigated, it may be necessary to measure the weather in-situ anyway.

(3): WUFI gives me the water content of the simulated wall in units of kg/m³ or in volume percent. However, I need the result in mass percent. How do I convert the results?

WUFI usually gives the water content as "water density", i.e. how many kg of water are in one m³ of building material.
A result given in volume percent tells you how many m³ of water are in one m³ of building material (expressed as percentage).
A result given in mass percent tells you how many kg of water are in one kg of dry building material (expressed as percentage). Please note that the water content in mass percent may easily exceed 100% if the dry material has low density.

With

m_W : | mass of the water in the component
r_W : | density of water (= 1000 kg/m³)
V_W : | volume of the water in the component
m_C : | mass of the component
r_C : | density of the (dry) component
V_C : | volume of the component

we have

water content as expressed by WUFI:
 | u | = m_W / V_C [kg/m³]
water content expressed in volume percent:
 | u_v | = V_W / V_C * 100
 |  | = (m_W / r_W) / V_C * 100
 |  | = (m_W / V_C) / r_W * 100
 |  | = u * 100 / r_W
 |  | = u * 100 / 1000
 |  | = u / 10
water content expressed in mass percent:
 | u_m | = m_W / m_C * 100
 |  | = m_W / (r_C * V_C ) * 100
 |  | = (m_W / V_C) * (100 / r_C)
 |  | = u * (100 / r_C)
 |  | = u / (r_C / 100)

So you get the water content in volume percent if you divide the WUFI result [kg/m³] by 10.
You get the water content in mass percent if you divide the WUFI result by (density of the building component / 100).

(4):
I'm trying to make sense of the WUFI results, but I'm confused. What exactly is 'relative humidity' and what is the relative humidity in a building component referred to?

In air the relative humidity is the ratio of the actual water vapor partial pressure p and the water vapor saturation pressure ps. Example: If the air temperature is 20°C (and therefore ps = 2340 Pa) and the actual vapor pressure is 1872 Pa, then the relative humidity is 1872 Pa / 2340 Pa = 0.8 = 80%.

The condition in a porous building material corresponds to a RH of x % if it has been exposed to air with a RH of x % until equilibrium was reached and no moisture was taken up or given off any more.
The moisture in the material is then in equilibrium with the RH of the air in the pore spaces. At RHs less than ca. 50% this means that a molecular layer with a thickness of one or a few molecules has been adsorbed at the surfaces of the pores; at higher RHs capillary condensation occurs.

Here is what happens in detail: the usual formulas for the saturation vapor pressure (such as in German standard DIN 4108) are only valid for plane water surfaces. At concavely curved surfaces, where the water molecules are bound stronger, the saturation vapor pressure is reduced; the more so the stronger the curvature of the surface is.

In a partly filled capillary the interface surface between air and water forms a curved meniscus whose curvature is determined by the surface energies involved and in particular by the radius of the capillary. If the air space in such a capillary is filled with air whose partial water vapor pressure is greater than the saturation vapor pressure at the meniscus (whereas the RH in the air is still less than 100%), then the air in the immediate neighborhood of the meniscus is supersaturated and water condenses from the air onto the meniscus, i.e. the capillary fills up.

In a porous material there exists a wide range of pore sizes. In the smallest pores, any menisci may be curved so strongly that in these pores moisture condenses onto the menisci from 50% RH in the pore air upwards. The smallest pores get filled with water, and subsequently larger and larger pores (with smaller curvatures of the menisci) get filled until a pore size is reached where - because of the larger pore size and the smaller curvature of the meniscus - the saturation vapor pressure at the meniscus is equal to the vapor pressure in the pore air. In this way capillary condensation results in an equilibrium between the moisture content and the relative humidity in the pore air, even if this RH is less than 100%. The amount of water needed to fill the pores up to this point depends on the pore structure and the pore size distribution.

The moisture storage function describes the amount of moisture taken up in this manner by the building material if it is exposed to air with a specific RH. Since this relationship between RH and moisture content is largely temperature-independent, the RH is an important and unique parameter describing the moisture content of a material.

(5):
When I do not define a moisture storage function for a material, WUFI uses a default moisture storage function instead. What does this function look like?

WUFI needs a well-defined moisture field for each time step, so it must assign a moisture content even to materials which nominally don't have any appreciable moisture content (e.g. water-repellent mineral wool, air layers etc.).

The default moisture storage function used by WUFI is described by the function
w = a / (b - phi) + c
w | [kg/m³]: | water content
phi | [-]: | relative humidity

Since phi must be 0 for w=0, it follows immediately that
c = -a/b

The constants a and b are determined as follows:

b is set to 1.0105.

The moisture content at free saturation, wf, corresponds to a relative humidity of 1 (=100%). Since WUFI also needs a unique relationship between moisture content and RH for moisture contents above free saturation, this oversaturation region is assigned RHs greater than 1, up to phimax = 1.01. This value phimax is reached when the moisture content reaches maximum saturation wmax which is determined by the porosity:

wmax = porosity * 1000 kg/m³

Therefore we have

wmax = a / (b-phimax) - a/b.

Solving for a yields:

a = wmax * b * (b - phimax) / phimax,

and thus:

w / wmax = phi / (b - phi) * (b - phimax) / phimax.

In particular, for phi=1 we have

wf / wmax = 1 / (b - 1) * (b - phimax) / phimax = 0.047.

So this pseudo material has a free saturation of wf = 0.047 wmax.

(6):
I did a WUFI calculation with an assembly that includes an air layer. However, I get completely unrealistic water contents for the air layer. What went wrong?

WUFI was developed to simulate the hygrothermal processes in porous building materials. The detailed simulation of heat and moisture transport in air layers (including convection, turbulence etc.) is much more complicated and is outside WUFI's scope. Furthermore, it does not make much sense to try and implement these inherently two- or three-dimensional processes in a one-dimensional simulation program.

Air layers can therefore only approximately be simulated by treating them as a 'porous' material. It is possible to allow for the amplifying effect of convection on heat and moisture transport by employing appropriate effective heat conductivities and vapor diffusion resistance factors.

However, the moisture storage function of an air layer can only very crudely be approximated by the moisture storage function of a porous material. The latter is largely temperature-independent (and implemented as such in WUFI), so that the functional dependence of the moisture content in air on the relative humidity and temperature cannot be reproduced.
Furthermore, the default moisture storage function used by WUFI for materials for which the user has not defined one assumes that capillary condensation will occur in the material already at relative humidities less than 100%, which is not true for an air layer (it has been modeled after the moisture contents of dense mineral wool).

As a result you will get unrealistically large moisture contents for air layers. Note, however, that WUFI uses the relative humidity as the driving potential for moisture transport and computes the water content as a secondary quantity from the resulting relative humidity (using the moisture storage function of the respective material).
So the resulting distribution of relative humidity should in general be quite realistic, its temporal behavior will just be damped much more than in reality (the moisture content acts as a 'capacity term' for moisture transport in the same way the heat capacity acts as a capacity term for heat transport). If short-term fluctuations don't play a major role, the general trend in the behavior of the relative humidity should be tolerably realistic.
This also means that quantities that depend on the relative humidity in or near the air layer (e.g. mould growth rates) can be evaluated more realistically than quantities that primarily depend on the moisture content (e.g. heat conductivity, heat capacity).

Please note that the unrealistically large moisture capacity of an air layer may also affect other layers. If you are interested in the moisture distribution in an assembly that contains an air layer, the air may (or may not) take up more moisture than realistic, so that less moisture remains for distribution among the other layers.

You may mitigate these problems by explicitly defining a slightly more realistic moisture storage function for the air layer. To this end, use a linear function like

phi: | w:
0 | 0
1 | wf

with a low value for wf (the numerics may not be able to cope with very low values, you'll need to experiment a bit) (*). This avoids the spurious capillary condensation.

Also see the next question for a related problem.

(*) Note, however, that the porosity and thus wmax should remain high. If the water content exceeds wf, WUFI reduces the vapor permeability, in proportion to the excess, to reflect the fact that the pore volume gets increasingly filled with water and thus vapor transport decreases. At w=wmax the permeability reaches zero (all pores are filled). For vapor-permeable materials like air layers or mineral wool where moisture transport occurs mainly via vapor transport, wmax should therefore remain at a realistic value.

(7):
I tried to perform a WUFI simulation, but the water balance never adds up, regardless whether I make the grid as fine as possible or whether I choose stricter numerical parameters, as suggested in the on-line help. What can I do?

One situation where serious convergence failures tend to occur is a component with a vapor-permeable layer (e.g. air or mineral wool) which has accumulated a lot of moisture (RH ~ 100%) and which is now exposed to a high temperature gradient (e.g. caused by intense solar radiation). WUFI originally wasn't developed to treat these cases which sometimes prove too demanding for the numerics that are mainly tuned to massive porous materials.

If everything else fails, you may try an alternative moisture storage function. In the material database, the moisture storage functions for materials like air or mineral wool are left undefined, so that WUFI uses an internally defined default moisture storage function (see the preceding two questions).

This moisture storage function assumes that for RHs above ca. 50% capillary condensation occurs which leads to increasingly higher moisture contents until free saturation is reached at 100% RH. This is not really realistic for air layers or hydrophobic mineral wool (it may be more appropriate for non-hydrophobic mineral wool).
Since it seems that the problem is mainly caused by the high water content, reduction of the water content by choosing a different moisture storage function often remedies the problem.
Please note that the relative humidity in the material will remain largely unaffected by the specific choice of the moisture storage function, as explained above. So if you are interested in the relative humidity in the layer, your results will be affected only slightly (but please perform a few test calculations with different choices of the moisture storage function to be sure), and if you are interested in the moisture content, you should not rely on the default moisture storage function anyway, but use measured data instead which represent your particular material.

A possible choice for the moisture storage function in these cases is a table like this:

phi: | w:
0 | 0
1 | wf

Use a low value for wf (the numerics may not be able to cope with very low values, you'll need to experiment a bit.) (*).
This linear function is even more realistic than the default function in that it avoids the capillary condensation for RH= 50..100%. The moisture content remains low up to RH=100% (as it should be in air or in hydrophobic insulation materials), and at or above 100% condensation may occur and increase the moisture content beyond wf and up to wmax.

In particular if you are interested in moisture accumulation by condensation in these materials, use such a linear moisture storage function with low wf. Then you know that any moisture content exceeding wf must have been caused by condensation. You can then analyse this excess over wf (test calculations show that this excess is only slightly dependent on the specific choice of wf).

(*) Note, however, that the porosity and thus wmax should remain high. If the water content exceeds wf, WUFI reduces the vapor permeability, in proportion to the excess, to reflect the fact that the pore volume gets increasingly filled with water and thus vapor transport decreases. At w=wmax the permeability reaches zero (all pores are filled). For vapor-permeable materials like air layers or mineral wool where moisture transport occurs mainly via vapor transport, wmax should therefore remain at a realistic value.

(8):
How can I get the moisture content at a monitoring position?

WUFI's output includes the temporal behavior of

  • temperature and relative humidity at the monitoring positions, and of
  • the mean moisture content of each layer.

In order to get the moisture content at a monitoring position, you can either

  • calculate it from the relative humidity prevalent at that monitoring position by means of the moisture storage function, or
  • insert a thin 'diagnostic' layer at the position in question which has the same material properties as the surrounding material. WUFI will output curves for the water contents of each layer, including a separate curve for the diagnostic layer. This is also a useful way to get the water content of, say, the outermost 5 cm of a layer.

(9):
I want to examine the effect of driving rain on a painted wall. What liquid transport coefficients Dws do I enter for the paint?

There are no measurements of transport coefficients or, equivalently, water absorption coefficients for paint layers themselves known to us.

What is measured sometimes is the water uptake for different paint layers by applying the paint on a standard substrate (such as cellular concrete or lime cement mortar) and measuring the water absorption for this composite material.

So the best thing you can do is probably the following:
Don't use a layer of rendering and a layer of paint; instead, use a layer of the 'hybrid' material for which you already know the combined water uptake from the measurements. Use the Dws from the hybrid water uptake (let it generate by WUFI from the measured water absorption coefficient) and use the Dww and other data from the original rendering.

The vapor diffusion resistance of the paint can then be included in the surface transfer coefficients (as long as it is not markedly moisture-dependent).

Please note some possible problems, though:

  • The result of the measurement may (or may not) depend on the substrate material, the details of the application etc. So you should make sure that you are using a water absorption value that has been measured under the same circumstances as the case you consider in your calculations.
  • The paint may slowly change its properties when it gets wet (e.g. by swelling). The mean properties over a rain period of two or three hours may be different than the mean properties during a measurement that takes many hours. Again, the measurement should be done close to natural conditions.

(10):
What is the right choice for the rain absorption factor for an unrendered natural sandstone wall? When I use the value of 0.7 suggested by WUFI, then the entire wall gets wet like a sponge. When I reduce the absorption factor to 0.5, the same happens, it just takes longer. What's wrong?

This should not happen, but the rain absorption factor is very likely not to blame. It does not depend on the material of the wall (it depends a bit on its surface structure and, of course, on its tilt). After all, it simply expresses the fact that some of the rain water splashes off when it hits the wall surface and is no longer available for absorption.

Are you sure that the amount of rain is okay? Maybe you created your own *.KLI file and used normal rain instead of the correct driving rain?
Several kinds of sandstone have a very high water absorption (e.g. Rüthener) and may accumulate an inacceptable amount of moisture when exposed to a wet climate such as the Holzkirchen weather. Maybe you used one of those?

(11):
I want to investigate the hygric behavior of ecological insulation materials, such as flax, hemp or reed. However, these materials consist of fibres, whereas WUFI is mainly designed for capillary-active porous materials. What is the best approach?

The difference between fibres and porous mineral materials is in general not really crucial for the transport equations. The fibre materials may tend to have preferred transport directions, which would have to be allowed for by using appropriate material data for the x and y directions in a two-dimensional calculation.

Determining the liquid transport coefficients, however, may be difficult or even impossible if they change their consistency upon wetting (e.g. by caking).

On the other hand:
As long as your insulation materials don't become so wet that capillary conduction becomes predominant, you can ignore capillary transport and only consider diffusion transport. That is, you leave the liquid transport coefficients undefined and only enter a µ-value. Surface diffusion phenomena may be allowed for by using a moisture-dependent µ-value.

Since you probably only want to assess whether or not the insulation becomes wet by rain or condensation, you will mainly be concerned with water contents in the sorption moisture region of the moisture storage function, for which these simplifications should be adequate.
As these materials must be prevented from becoming wetted through anyway, there will be no need to investigate in detail the behavior of an insulation soaked full of water.

(12):
I want to find out how long it takes a wall with construction moisture to dry out. Which initial moisture content should I use?

That depends on a number of individual circumstances such as the amount of production moisture (e.g. in cellular concrete or lime silica bricks), the amount of mixing water (in concrete or mortar), the amount of rain hitting the wall while it was unrendered, the season when construction took place (warm/cold) etc., so no general answer is possible here. The table gives examples for typical initial moisture contents:

Material |  | Water content [kg/m³]
Fresh concrete:
 | free water | 175
Concrete, 28 days old (at 70% hydratation):
 | bound water | 85
 | dried water | 25 ... 45
 | free water | 65 ... 45
 |  | (sum = 175)
Concrete, 3 to 6 months old (at 90% hydratation):
 | bound water | 105
 | dried water | 35 ... 50
 | free water | 35 ... 20
 |  | (sum = 175)
DIN 4108 "thermal protection"
 | practical moisture content of concrete | 50
Cellular concrete |  | 180 ... 220
Clay brick masonry |  | 100 ... 150
Calcium silica brick masonry |  | 100 ... 120

(13):
How can I simulate a wall whose exterior surface has been treated with a water-repellent agent? Is it correct to set the rain water absorption factor to zero? Do I need to change the sd-value of the exterior surface, even though I use a diffusion-permeable treatment?

The rain water absorption factor must be set to zero if the water absorption is indeed completely stopped by the treatment. If water absorption is only reduced, you must determine the water absorption coefficient for the treated material and replace the part of the wall which corresponds to the penetration depth of the treatment with da layer of the treated material.

If the treatment does not change the diffusion permeability of the material, no sd-value needs to be specified for the exterior surface.
Many treatments do, however, increase the diffusion resistance factor (µ-value) of the material. In these cases, this additional resistance should be allowed for by an appropriate sd-value. Alternatively, and even better, you can replace the part of the wall which corresponds to the penetration depth of the treatment with a new layer that has the same material properties but an appropriately increased µ-value.

Even if the water absorption is negligible (so that adjusting the rain absorption factor instead of the liquid transport coefficients would be sufficient) and vapor diffusion is not hindered by the treatment (so that no µ-value needs to be adjusted), it might nevertheless be preferable to model the treated part of the wall by defining a separate layer whose liquid transport coefficients have been reduced or even set to zero.
This is because the capillary conduction in this layer does not only determine the amount of absorbed rain water; it also influences the wall's drying behavior.
Drying-out proceeds faster if water from the interior of the wall can be conducted to the surface by capillary transport and can evaporate from there. Drying-out is impeded, however, if capillary transport stops a few centimeters behind the surface and moisture can only dry out after crossing this treated layer by vapor diffusion. So this is another mechanism by which water-repellent treatment may reduce the drying potential of a wall, in addition to a possibly increased µ-value.

(14):
WUFI gives me the option to estimate the liquid transport coefficients Dws from the water absorption coefficient. How can I check how good this estimate is?

You can check the estimated Dws or determine an unknown water absorption coefficient from known Dws by simulating a water absorption experiment.

Define an initially dry layer consisting of the material in question, let it rain on the surface (with a higher rain load than the layer can absorb to be sure that no insufficient rain load is limiting the water uptake) and look at the amount of water absorbed after e.g. 100 or 200 hours.

This may be done with a one-line *.KLI-file such as:

[h: | rain: | rad: | t_ext: | RH_ext: | t_int: | RH_int:]
500 | 1000 | 0 | 20 | 1 | 20 | 0

The number of hours entered for the duration of this one-line climate file does not matter since WUFI re-starts reading from the beginning of the climate file if the simulation period extends beyond the end of the climate file.

Set the vapor diffusion thickness of the interior surface to a very high value to prevent vapor transport through that surface.

You should perform a few test calculations in order to find a suitable thickness of the test specimen which assures that the moisture front traverses most of the specimen (in order to make the most efficient use of the numerical grid) but not all of it.

(15):
I want to evaluate the effect of different material parameters on water absorption by simulating a laboratory experiment in which different specimens are exposed to a limited water supply. I created the corresponding KLI file with a spreadsheet program to avoid typing in all those numbers by hand, but WUFI can't read this KLI file.

The reason why WUFI does not accept your spreadsheet file is probably that you did not write it in ASCII format and/or did not write the header lines in the correct format. Please consult the on-line help for details on creating *.KLI files with your own programs.

Also note that if you want to simulate a simple absorption experiment with a specified constant water supply and constant climate conditions it is sufficient to create a *.KLI file which consists of only one single line, for example the line:
[h: | rain: | rad: | t_ext: | RH_ext: | t_int: | RH_int:]
1000 | 5 | 0 | 20 | 1 | 20 | 0.8
means that for 1000 hours after the starting time of the climate file there is a constant rain load of 5 Ltr/m²h.

An alternative would be a single line like
[h: | rain: | rad: | t_ext: | RH_ext: | t_int: | RH_int:]
1 5 | 0 | 20 | 1 | 20 | 0.8
which states that for 1 hour after the starting time of the climate file there is a constant rain load of 5 Ltr/m²h. When WUFI reaches the end of a climate file, it starts reading the file anew from the beginning, so you can simulate an experiment which is running for 100 hours (or whatever) and the climate file will automatically be read 100 times over.

The only difference between these two files is that in the latter case WUFI does not accept a calculation time step greater than 1 hour, whereas in the former case you may also choose any convenient time step greater than one hour.

For a simple absorption experiment I usually make sure the climate file contains a rain load large enough so that it does not limit the absorption of the specimen, for example 100 Ltr/m²h, which ould not be plausible for real rain.

If you want to have a specified limited supply please don't forget that WUFI reduces the amount of rain it reads from the climate file by the rain absorption factor which allows for the fact that some rain splashes off of the wall on impact and is not available for absorption. This factor should be set to 1 during your experiments.

Furthermore, please note a small subtlety involved in using limited rain supply. Let's assume you have a specimen with a water absorption factor of 3 kg/m²h1/2 and the climate file specifies a rain load of 3 Ltr/m²h. During each time step, WUFI performs a test step with an unlimited supply and subsequently evaluates the amount of water taken up. If this amount of water is less than the amount supplied in the climate file, then the material is the limiting factor and WUFI accepts the result of this time step and proceeds with the calculation.
However, if the amount taken up is more than the amount supplied, WUFI performs additional iteration steps in which a fictitious 'flow resistance' at the specimen surface is adjusted until the amount taken up matches the amount supplied.

If you are using 1-hour steps in your calculation, and the dry specimen absorbs 3 kg/m² of water in the first step and the climate file supplies 3 kg/m²h, then WUFI accepts the trial step done with unhindered absorption and proceeds with the calculation.
But if you are repeating the same calculation with a time step of half an hour, things are different! Since the water uptake is not linear in time, the specimen will absorb more than 1.5 kg/m⊃ in the first half hour, while WUFI compares this with 1.5 kg/m⊃ of rain in the first half hour (assuming the rain is evenly distributed over the hour) and now limits the amount absorbed to 1.5 kg/m².
This is usually of no concern with real rain data and real building materials, but it may be beneficial to be aware of these subtleties if performing test calculations with limited rain supply.

(16):
I'm familiar with steady-state water vapor diffusion calculations (in particular, the Glaser method described in German standard DIN 4108). So I knew I had to expect more or less frequent dew conditions in the wall I was simulating. However, when I watched the WUFI film, I could never see the relative humidity reach 100%.

The usual building materials always have some moisture sorption capacity. This sorption capacity buffers changes in relative humidity inside the wall. If you define boundary conditions which would provoke instant condensation in a Glaser calculation, you may nevertheless not get condensation in a realistic case (such as simulated by WUFI).

That's because a relative humidity of 100% would correspond to a moisture content equal to free saturation of the material in question, and this amount of water must first be transported into the dew region. The diffusion flows do transport moisture to the location where dew conditions prevail, but the transported amounts of moisture are generally small, and the RH will only slowly rise from the initial value, say 80%, to 81%, 82% etc. It may take days or weeks until sufficient amounts of water have been transported to the dew region so that finally free saturation (i.e. RH=100%) is reached. Meanwhile, boundary conditions may have changed and there are no dew conditions any more.

The Glaser method, on the other hand, simply assumes that 100% RH are reached instantly, it doesn't consider the necessity to actually move water in order to reach the moisture content that corresponds to 100% RH.

Furthermore, real materials (as opposed to Glaser) usually have some capillary conductivity which tries to dispel any moisture accumulations. This effect actively works against local water build-up, so that 100% RH can't be reached easily.

Of course, you may get water accumulation in your building component if conditions are right (or wrong). But this will rarely be accompanied by 100% RH. If you see relative humidity approaching 100% somewhere in your component, it's probably much too late...

(17):
OK, this explains why I didn't see dew conditions in the wall. But shouldn't condensation at least happen at the facade on days with high humidity and little sunshine?

The surface of a normal wall in temperate or cool climate regions will always be somewhat warmer than the surrounding air. By day because of solar radiation (even on foggy or overcast days), by night because of heat flow from indoors (exceptions: air-conditioned dwellings or nightly emission, see below).
Since the RH in the air can't be greater than 100% and the RH at the warmer-than-air wall surface will always be less than the RH of the air, you usually can't reach or surpass 100% there.

You'll have free saturation (i.e. 100% RH) at the surface when enough rain is absorbed, but this is not due to dew conditions.

The surface temperature will fall below air temperature when the wall emits more long-wave radiation than it gets back from surrounding surfaces. If it even falls below the dew-point temperature, you will indeed get dew conditions at the surface.
This happens routinely during the night, especially during clear nights, when the long-wave emission of the water vapor in the atmosphere is at a minimum.

In these cases you may get repeated and regular wetting of the surface which may lead to dust accumulation or algae growth, especially with exterior insulations whose surfaces cool down particularly strongly.
Currently, WUFI does not routinely allow for this effect, since the necessary data on atmospheric and terrestrial counterradiation are rarely available. If these data are provided, WUFI can compute nightly emission cooling in principle, but only approximately. Future WUFI versions will have a more sophisticated emission model incorporated.

(18):
I used WUFI to compute the water content in a variety of wall assemblies. In order to evaluate their hygrothermal performance, I now need appropriate criteria, e.g. standards that should not be exceeded.

There are no general criteria which are applicable for every case. Different materials and different applications require different criteria. Here are some general hints:

  • The most important criterion: the moisture must not accumulate over time. Water condensing in the building component must be able to dry out again. If the moisture content in your component keeps increasing - even slowly - you'll run into problems sooner or later.
  • The building materials which come into contact with moisture must not be damaged (e.g. by corrosion or mould growth).
    Mineral building materials are usually not at risk; some of them may be susceptible to frost damage if they contain a lot of moisture.
    Wood should not exceed 20 mass-% of moisture during a prolonged period; otherwise mould growth may result (possible exception: increased moisture while temperatures are low).

German standard DIN 4108-3 adds the following criteria:

  • The amount of condensing moisture in roof or wall assemblies must not exceed a total of 1.0 kg/m².
    This is a more or less arbitrary criterion. In order to test it with WUFI, start the calculation with the normal equilibrium moisture (corresponding to 80% RH) and see if the total water content exceeds the starting value by more than 1 kg/m².
  • At interfaces between materials that are not capillary-active, no moisture increase exceeding 0.5 kg/m² is permissible.
    This is meant to avoid moisture running or dripping off, which could accumulate elsewhere and cause damage.
  • The moisture increase in wood must not exceed 5 mass-%, the moisture increase in materials made of processed wood must not exceed 3 mass-%.
    These are more or less arbitrary numbers.

In addition, special criteria may be applicable in specific cases, for example:

  • Are there any materials which are particularly sensitive to moisture damage?
  • Does increased heat loss by moist insulation exceed any energy conservation requirements?
  • Is the building material at this moisture level sensitive to frost damage?
  • Is there salt in the wall which must be kept from crystallizing or from moving around?
  • Etc.

Even if you don't have clear criteria which fit your case, you may still perform a ranking of your assemblies by comparing them with each other or with a standard case.

(19):
I want to simulate a ventilated curtain wall; how can I do this? I can model the air gap as an air layer in WUFI but it seems these air layers are assumed to be stagnant, which is certainly not the case in my ventilation gap.

If you model the ventilation gap as an air layer in WUFI, it is indeed treated as a closed air layer without connection to the exterior air. The effect of inner convection on heat and moisture transport across the air layer is allowed for (as a first approximation) by use of effective heat conductivities and vapor diffusion resistance factors.

The air flow and air exchange phenomena in a ventilated air layer cannot be simulated with a one-dimensional program like WUFI-1D; WUFI-2D currently does not take air flows into account.
If the air exchange is large enough, it may be justified to assume exterior air conditions in the air gap. That is, you do not model the curtain facade and the air gap, and you consider the surface of the insulation or the wall itself (as the case may be) as the exterior surface in WUFI's component assembly. Rain must be set to zero (simply by setting the rain absorption factor = 0).
It will be advisable to choose appropriate effective values for the exterior heat transfer coefficient and the short-wave solar absorptivity, but this requires calibration by experimental data.

The same problem is encountered in simulations of roofs, either because of a ventilation cavity in the roof or because of the question how to model the covering and the batten space.

The investigations described in [1] used a simplified treatment of a roof. WUFI-1D simulations were carried out to examine the moisture balance in a fully insulated west-facing pitched roof (50° inclination). The covering and the batten space could be omitted from the simulated assembly because measured temperatures in a similar roof on IBP's testing area were available and could be used to determine appropriate effective surface transfer coefficients. The measurements were taken on the waterproofing foil (i.e. directly on the insulation layer) and were compared with the computed temperatures at the outer surface of the modeled insulation layer which sufficed to represent the whole roof for the purpose of a thermal adjustment.
The thermal surface transfer coefficients were adjusted in WUFI until good agreement between measurement and calculation was reached. This was the case with an effective short-wave absorptivity of as=0.6 and an effective heat transfer coefficient of a=19 W/m²K. The effective absorptivity is roughly identical with the real absorptivity (for red roof tiles), while the effective a is slightly higher than the usual standard value of 17 W/m²K. Obviously the covering and the air in the batten space have no major effect on the thermal behavior of the roof, at least in this case. In particular, the amount of heat removed by convection through the ventilated air cavity seems negligible and the entire heat created in the covering by solar radiation is passed on into the underlay.
The question to which extent this isolated result can be generalised could only be answered by more extensive comparisons with measurements.

[1] H.M. Künzel: Außen dampfdicht, vollgedämmt? - Die rechnerische Simulation gibt Hinweise zu dem Feuchteverhalten außen dampfdichter Steildächer. bauen mit holz 8/98, S. 36-41.

(20):
I calculated the sum of the heat flows through the exterior and the interior surfaces during one year and I noted that the heat flow out of the building component through the exterior surface is much larger than the heat flow into the component through the interior surface. But shouldn't they be nearly equal? How can more heat flow out of the component than into it? No heat can be created in the wall.

The solar radiation incident on the exterior surface is electromagnetic radiation and not heat flow; it is therefore not included in the heat flow data.
However, after absorption it is converted to heat so that there exists indeed a heat source in the wall. Since the heat source is close to the exterior surface, most of the generated heat flows outward through the exterior surface, only a small amount flows inward through the interior surface. This asymmetric heat flow is superimposed on the usual transmission heat flow (which in colder climates alway goes from the indoor side to the outdoor side of the building element).

Please note that in the film display the heat flow arrow at the exterior surface does include the solar radiation. Otherwise it would look very strange to see the sun shining on the wall surface but a lot of heat flowing out of the wall. This is a concession to the intuitive expectations of the audience.

Also note that there can be a heat source or sink in the wall when water condenses or evaporates. In some cases these latent heat effects can be non-negligible (e.g. drying of a wall wetted by driving rain).

(21):
Are there more recent weather data available? The copy of WUFI I downloaded still has those of 1991.

'Recent' weather data would probably not be very useful to you. It is more important to have weather data which are either known to be typical for a specific location or which repesent defined critical conditions (e.g. for design purposes). We consider 1991 to be a fairly typical year for Holzkirchen. 'Critical' weather data, i.e. one particularly cold year and one particularly warm year, are in preparation and may be made available as two 'Hygrothermal Reference Years'.

(22): For the numerical solution of the transport equations the component must be divided into a series of grid elements for whose midpoints the resulting temperatures and water contents are computed at each time step, and across whose element boundaries the heat and moisture fluxes required by the equations are flowing. In order to arrive at correct fluxes across the boundaries, effective conductivities have to be assigned to the boundaries which represent the integral effect of the conductivities between the midpoints of the two elements. The investigations reported in [1] show that the results do in fact depend on the way these effective heat and moisture conductivities are determined from the real conductivities of the two elements: obviously linear interpolation between the neighboring conductivities is preferable within a material layer, and a resistance formulation is more appropriate for boundaries between layers with different materials. How does WUFI treat these element boundary conductivities?

It is obvious that at element boundaries where materials with possibly very different conductivities are in contact with each other a simple average of the conductivities (or resistances) cannot result in a realistic effective conductivity to describe the fluxes between the elements. Take as an example a material with very low resistance which borders on a material with very high resistance. The flux flowing between the midpoints of the two elements is determined by the sum of the two successively encountered resistances, not by the arithmetical average of the conductivities.
One might suppose now that this physically motivated reasoning also applies to smaller differences between the neighboring elements and that therefore the resistance formulation (i.e. the harmonic mean of the conductivities) should always be used within the entire component. However, test calculations during the development of WUFI's numerics showed that this is not the case. Within a material the arithmetical mean of the conductivities yielded better results (compared with experimental data), so that WUFI uses harmonic averages at material boundaries and arithmetical averages within a material, in agreement with the cited investigation. The derivation of the resistance formulation assumes equal fluxes in the two element halves, but this need not be the case if transient processes in materials with heat or moisture storage capacities are considered.

[1] Galbraith, G.H. et al.: Evaluation of Discretized Transport Properties for Numerical Modelling of Heat and Moisture Transfer in Building Structures,
Journal of Thermal Env. & Bldg. Sci., Vol. 24, Jan. 2001

(23):
I want to perform a hygrothermal simulation of a wall on which every day a shadow is cast for some time by a building on the other side of the street. WUFI does not offer an option to allow for such a shadow, but I could simply use a self-created *.KLI file by converting the measured radiation myself and allowing for the sadow in this process. But, how is the conversion of the radiation data done?

First you need to determine the radiation incident on the surface of your building element from the measured data describing the radiation on a horizontal surface. For this purpose it is necessary to determine the position of the sun in the sky at the time of the measurement.

Position of the Sun:

Let J be the number of the day in the year (1 .. 365 or 366). Then compute the auxiliary quantity x:

x = 0.9856° * J - 2.72°

and the equation of time Z (in minutes):

Z = -7.66*sin(x) - 9.87*sin( 2*x + 24.99° + 3.83°*sin(x) ).

The equation of time describes the variable difference in time between the actual culmination of the sun and noon. Because of the ellipticity of the Earth's orbit and the obliquity of the Earth's axis the sun wanders with slightly irregular speed across the sky. During the course of the year there are thus times where it reaches culmination earlier than a fictitious sun with constant speed (the so-called 'mean' sun) and times where it reaches culmination later.

The local meridian is the great circle that rises from the horizon due north, passes through the point directly above the observer and crosses the horizon again due south. The instant at which the sun crosses the local meridian on its daily path from east to west is also the instant where its position is due south and where it reaches its daily greatest height.

When the apparent sun (i.e. the actually observed sun) crosses the meridian it is 12 noon local apparent solar time (LAT); when the mean sun crosses the meridian it is 12 noon local mean time (LMT). The equation of time is therefore the difference between LAT and LMT (Z = LAT - LMT).

Furthermore, since the place where the measurements were taken is usually not located on the reference meridian of the time zone (15° East for the Central European Time Zone, CET), the difference between local mean time and zone time must be allowed for, which is 4 minutes for 1° difference in geographical longitude L and one hour for 15° difference. If the measurement was timed in Central European Summer Time CEST, convert to CET first by subtracting one hour (CET = CEST - 1h).

In this way you can now compute the corresponding local apparent time LAT from the known measurement time (in CET):

LAT = CET - (15°-L)/(15°/h) + Z/(60 min/h) [h]

and thus determine the position of the sun: at 12 noon LAT the sun is exactly on the meridian, before noon it stands at an appropriate distance to the east of the meridian, after noon, an appropriate distance to the west.
The distance between the sun and the meridian is measured by the hour angle:

w = (LAT - 12h) * 15°/h.

The hour angle w is reckoned perpendicular to the meridian; it is negative before noon, zero at noon and positive after noon; it increases steadily by 15° per hour.

The hour angle gives the distance of the sun from the meridian; the declination d, i.e. the distance of the sun from the celestial equator, then fixes the position of the sun completely. The declination varies between -23°26' at winter solstice, 0° at the equinoxes, and 23°26' at the summer solstice. Since its change during one day is very small, it suffices to compute it once for the day J under consideration:

sin(d) = 0.3978 * sin( x - 77.51° + 1.92° * sin(x) ),
cos(d) = sqrt(1 - sin(d)^2)

where x is the auxiliary quantity introduced above.

The last step is the transformation from the coordinate system determined by w and d into the more familiar coordinates altitude g and azimuth y (=compass direction). The geographical latitude j of the measurement location is needed for this.

sin(g) = cos(d)*cos(w)*cos(j)+sin(d)*sin(j)
cos(g) = sqrt(1 - sin(g)^2)

if cos(g)=0 then y = 0
else begin
       sin(y) = cos(d)*sin(w)/cos(g)
       cos(y) = (cos(d)*cos(w)*sin(j)-sin(d)*cos(j))/cos(g)
       y = atn2(sin(y), cos(y))
     end

This formula uses atn2(A,B), the arctangent function for two arguments A and B, which is provided by many programming languages, and which gives the arctangent of A/B in the correct quadrant. If this function is not available to you, you can use the ordinary arctangent and then explicitly determine the correct quadrant (i.e. you compute y=atn(A/B), and in the case B<0 you add 180° if y<=0 or subtract 180° if y>0. If B=0 and A<0 then y=-90°, if B=0 and A>0, then y=+90°.).
The azimuth y is counted from south=0°, positive towards the west and negative towards the east.

Examples for Munich (48.13°N, 11.58°E):

CET | Altitude | Azimuth | Declination
(J=1)
1 Jan. 2001 09:00 | 6.436° | -44.614° | -22.987°
1 Jan. 2001 12:00 | 18.836° | -4.209° | -22.977°
1 Jan. 2001 16:00 | 3.441° | 49.590° | -22.962°
1 Jan. 2001 16:25 | 0.434° | 54.316° | -22.961°
(J=79)
20 Mar. 2001 07:00 | 6.498° | -82.661° | -0.126°
20 Mar. 2001 12:21 | 41.851° | -0.041° | -0.038°
20 Mar. 2001 16:00 | 22.726° | 62.242° | +0.022°
(J=172)
21 Jun. 2001 08:00 | 34.501° | -87.522° | +23.437°
21 Jun. 2001 12:00 | 65.126° | -8.437° | +23.437°
21 Jun. 2001 18:00 | 19.771° | 103.475° | +23.436°

These values were computed with an astronomical ephemeris program. Of course, the simplified method described above cannot reproduce these data exactly, in particular for low altitudes of the sun (1 Jan. 16:25), since it does not allow for atmospheric refraction. On the other hand, the comparison allows you to assess the overall accuracy of this simple method. Your results should agree with these exact positions within a few tenths of a degree. The declinations have been included as well for testing purposes.

Converting the Radiation Data:

We assume that your input data are measured hourly values of the global (I_glob) and the diffuse radiation (I_diff) on a horizontal surface.

The radiation incident on the measuring or the component surface is split up into a direct and a diffuse component. The direct component is received directly from the sun and is therefore a directed quantity that depends on the position of the sun. The direct radiation vertically incident on a surface which is facing the sun is the direct normal radiation I_dir_normal. The direct radiation I_dir obliquely incident on a horizontal measuring surface depends on the solar altitude g:

I_dir = I_dir_normal * sin(g).

Since I_dir can be computed as the difference between the measured values of global and diffuse radiation and g can be determined from the measurement location and time by the method given above, the corresponding direct normal radiation is

I_dir_normal = (I_glob - I_diff) / sin(g).

The angle of incidence h, i.e. the angle that the direct normal radiation makes with the normal to the component surface which is tilted by the angle b and oriented in the direction a, is

cos(h) = sin(g)*cos(b) + cos(g)*sin(b)*cos(a-y)
h: | Angle of incidence (vertical=0°)
g: | Altitude of the sun
y: | Azimuth of the sun (south=0°, positive towards west, negative towards east)
b: | Tilt of the component surface (vertical wall=90°)
a: | Azimuth of the normal to the component surface (south=0°, west positive).

The direct radiation incident on the component surface is therefore:

I_dir_in = I_dir_normal * cos(h)
         = (I_glob - I_diffus) * cos(h) / sin(g).

The diffuse component consists of the radiation scattered by the air ("blue sky") and the clouds which comes from all directions and can approximately be treated as isotropic. Diffuse radiation is measured by blocking the direct radiation with a shadow ring around the solarimeter. The measurement gives I_diff, the diffuse radiation incident on the horizontal measuring surface from the entire sky hemisphere. A component surface with arbitrary tilt and orientation receives the same diffuse radiation (since it is isotropic), but for non-horizontal surfaces the fact has to be allowed for that the sky covers a smaller part of its field of view and the total amount of incident diffuse radiation is reduced proportionately (a vertical wall sees sky only in the upper half of its field of view):

I_diff_in = I_diff * ( cos(b/2) )^2.

Additionally, you may add the global radiation reflected from the ground:

I_refl_in = r * I_glob * ( sin(b/2) )^2,

where r is the short-wave albedo of the ground and the reflection is assumed to be isotropic. In the current version, WUFI ignores the reflected component of the radiation.

The total radiation incident on the surface of the building component is the sum of the components:

I_in = I_dir_in + I_diff_in + I_refl_in.

You may now modify or supplement this conversion method according to your needs. For example, you can allow for shadows by setting the direct radiation to zero at times where the sun is behind the obstacle, and by reducing at all times the diffuse radiation in proportion to the reduction of the field of view caused by the obstacle. On the other hand, at times where the sun illuminates the facing side of the obstacle, it may be necessary to add some reflected radiation.

Hint: if the radiation data to be converted have been averaged over some longer interval (e.g. one hour), please note the following:

It is advisable to compute the solar positions for the middle of the measuring interval, i.e. the averaged data measured between 9h and 10h should be converted using the solar position computed for 9:30h.
If the sun has risen or set during such a measuring intervall (which is easy to check for, using the solar altitude), the solar position must be computed for the middle of the visibility interval, not for the middle of the measuring interval.

Independent of the duration of the measuring interval, radiation data obtained at very low solar altitudes should not be used, since under these circumstances the direct normal radiation must be calculated from very small and unreliable values obtained for the direct radiation at grazing angles of incidence.

Details on these conversion methods can be found in:
VDI 3789 Umweltmeteorologie, Blatt 2: Wechselwirkungen zwischen Atmosphäre und Oberflächen; Berechnung der kurz- und der langwelligen Strahlung.

In addition to data on global and diffuse radiation, the weather file IBP1991.WET included with WUFI contains radiation data obtained with a west-facing solarimeter which you can use to test your conversion routines.

Previous topic: Background Topic 90 Next topic: Glossary


Glossary

building component
-> component

climate
The climate is the description of the boundary conditions that act on the surfaces of the -> component. In general, an exterior climate is determined by the weather (and thus described by a collection of weather data), an interior climate is determined by the indoor air conditions. The terms "climate" and "weather" are used indiscriminately in WUFI.
The climate conditions for a WUFI simulation are selected in the dialog "Edit Climate" and its subdialogs.

construction
-> component

component
The component is the building element that is under investigation in WUFI. It may for example be a complete wall or roof cross-section or part thereof. In most cases it is composed of several rectangular elements that consist of different materials.

directories
WUFI-2D uses several different directories in different stages of the work:

All your input is held in memory while you are working on a project. Occasionally, the contents of WUFI-2D's memory may be written to the cache directory. This happens automatically whenever you want to save your work: the project data are first written to several files in the cache directory, then these files are copied to the save directory (see below).

You may also write the memory contents to the cache directory by pressing CTRL+W, in order to make a snapshot of the current state of your work. You may later revert your project data to the state last secured in this way by pressing CTRL+R or by choosing File | Revert to last saved. This provides a rudimentary undo function.

The directory to be used as cache directory can be specified in the dialog Options | Settings. When you close WUFI-2D, the cache directory will be cleared.

When you save your project data, all the data in memory will be written to files in the cache directory, and these files will be copied to the save directory. The save directory serves as a repository for your project data between work sessions or as a quickly accessible archive. If you want to archive your project data in a more compact format, you can export them to a compressed archive file.
Use the dialog Options | Settings to specify a root directory for the save directories.

If you choose Menu: Options | Set as Default the project data in memory will be written to files in the cache directory and these files will be copied to the default directory. The next time WUFI-2D is run, it will automatically copy the contents of the default directory back into the cache directory and read the project data into memory so that you can continue working without having to load the project first.
Use Menu: Options | Reset Default to empty the default directory and to prevent WUFI-2D from loading a default project.

project
The project is the collection of all input data and the calculation results. All of these data are written to the -> save directory when you save the project. They can also be exported to a compressed archive file.

weather
-> climate

WUFI
WUFI (Wärme und Feuchte instationär - transient heat and moisture) is a Windows-based program for the hygrothermal (heat and moisture) analysis of building envelope constructions.

Previous topic: Questions and Answers Topic 91


Update History

March, April 2007:
Convert existing 1D and 2D help topics to HTML
Add new 2D dialogs
Version number 3.2.0